<?php



namespace App\Http\Controllers\AdminAuth;



use Illuminate\Http\Request;

use App\Http\Controllers\Controller;

use Illuminate\Support\Facades\Session;

use App\Model\Sitesetting;
use App\Model\About;



class AboutController extends Controller {



    private $data = array(

        'route' => 'admin.about.',

        'title' => 'About',

        'menu' => 'about',

        'submenu' => '',

    );



    public function __construct() 

	{

		//$this->middleware('auth');

    }



    private function _validate($request, $id = null) {

        $this->validate($request, [

            'about_us' => 'max:6000',
            'vision' => 'max:6000',
            'mission' => 'max:6000',

        ]);

    }



    public function index()

    {

        $this->data['record'] = About::first();  

        return view('admin.about',$this->data);

    }

	

	public function about_post(Request $request)

    {

        $record = About::findOrFail($request->id);

        $this->_validate($request);

        $input = $request->all();
		$input['image'] = $this->uploadFile($request,$record, 'image', 'about', false);		
        if (empty($input['image'])) {
            unset($input['image']);
        }
		$input['image1'] = $this->uploadFile($request,$record, 'image1', 'about', false);		
        if (empty($input['image1'])) {
            unset($input['image1']);
        }
		$input['image2'] = $this->uploadFile($request,$record, 'image2', 'about', false);		
        if (empty($input['image2'])) {
            unset($input['image2']);
        }
		$input['image3'] = $this->uploadFile($request,$record, 'image3', 'about', false);		
        if (empty($input['image3'])) {
            unset($input['image3']);
        }
        $record->update($input);

        Session::flash('success','updated successfully.');

        $val =  route('admin.about');

        return redirect($val);

    }



}

