<?php

namespace App\Http\Controllers\UserAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Auth;
use App\Model\Sitesetting;
use App\Model\ProductImage;
use App\Model\Product;
use App\Model\Category;

class ProductController extends Controller {
	
	
	public function product($category=null,Request $request)
	{
		
		if(!empty($category))
		{	
		   $category_data = Category::where('slug',$category)->first();
			if(!empty($category_data))
			{
				$query = Product::query()->with(['category']);
				$query->where('category_id', $category_data->id);
				$product=$query->get();
				$product = $query->paginate(15);
				$product->appends($request->all());
				
				return view ('user.product')->with(['product'=>$product,'category'=>$category_data]);
			}
			else
			{
				return abort(404);
			}
		}
		else{
			
			$query = Product::query()->with(['category']);
			$product=$query->get();
			$product = $query->paginate(15);
			$product->appends($request->all());
			
			return view ('user.product')->with(['product'=>$product]);
		}
	}
	
	public function productdetail($name)
	{
		$productdetail=Product::with(['category'])->where('slug',$name)->first();
		$product_image= ProductImage::where('product_id',$productdetail->id)->get();
		return view('user.product-details')->with(['productdetail'=>$productdetail,'product_image'=>$product_image]);
	}
	
	
	
}
