<?php
namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Booking extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'route_id','voucher_name','date','flight_id','pickup_time','cab_type','cab_car','no_of_passenger','amount','location','name','contactno','whatsappno','address','email','voucher_discount','additional_pickup_drop','gst_no','grandtotal','status','remarks','razorpay_payment_id'
    ];
	
	
	
	public function flight(){
        return $this->belongsTo('App\Model\Flight','flight_id');
    }
	
	
	
}

