@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1 class="pull-left">
                {{ $title }} Form
            </h1>
            <p>&nbsp;</p>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    @if(!empty($record))
                        {!! Form::model($record, ['route' => [$route.'update',$record->id],'files'=>true,'id'=>'myform', 'method' => 'patch', 'class' => 'ajax_submit']) !!}
                    @else
                        {!! Form::open(['url' => route($route.'store'),'files'=>true, 'method' => 'post','id'=>'myform' ,'class' => 'ajax_submit']) !!}
                    @endif
                    <div class="box box-primary">
                        <div class="box-header with-border ">
                            <h3 class="box-title">Enter Details</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                        
					<style>
					  .wrapper{
						display: inline;
					  } 
					</style>
					        <div class="row">
							  <div class="col-md-6 col-md-offset-2">
								<div class="form-group {{ $errors->has('title') ? ' has-error' : '' }}">
								  <label class="control-label"> Title <span class="text-danger">*</span>
								  </label> {!! Form::text('title',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('title') }}</strong>
								  </span>
								</div>
							    
								 <div class="form-group {{ $errors->has('datee') ? ' has-error' : '' }}">
								  <label class="control-label"> Event Registration Date <span class="text-danger">*</span>
								  </label>  {!! Form::text('datee',date('d-m-Y',strtotime($record->datee)), ['class' => 'form-control datepicker','required'=>'required']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('datee') }}</strong>
								  </span>
								</div>
								
								<div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
										<label class="control-label">Event Image <span class="text-danger">*</span></label>
										{!! Form::file('image', ['class' => 'form-control thumb_image']) !!}
										<span class="help-block" id="error_image"><strong>{{ $errors->first('image') }}</strong></span>
							  </div> 
							 
							 
								  <div class="form-group {{ $errors->has('description') ? ' has-error' : '' }}">
								  <label class="control-label"> Event Text 
								  </label> {!! Form::textarea('description', null, ['class'=>'form-control','id'=>'description']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('description') }}</strong>
								  </span>
								</div>
								
								<div class="form-group {{ $errors->has('time') ? ' has-error' : '' }}">
								  <label class="control-label"> Time 
								  </label> {!! Form::text('time',null, ['class' => 'form-control timepicker','required'=>'required']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('time') }}</strong>
								  </span>
								</div>
								<div class="form-group {{ $errors->has('location') ? ' has-error' : '' }}">
								  <label class="control-label"> Location <span class="text-danger">*</span>
								  </label> {!! Form::text('location',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('location') }}</strong>
								  </span>
								</div>
								
								
							   
							  
                        
						  
                          <div class="form-group {{ $errors->has('post_event_text') ? ' has-error' : '' }}">
								  <label class="control-label"> Post Event Text
								  </label> {!! Form::textarea('post_event_text',null, ['class' => 'form-control ','required'=>'required']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('post_event_text') }}</strong>
								  </span>
								</div>
						  
						  <div class="form-group">
							<label class="control-label">Photo Gallery
							</label> {!! Form::file('image1[]', ['class' => 'form-control','multiple']) !!}
						  </div>
						 
						  

						  <div class="row "> <?php
						        
									if(!empty($eventimage)){               
										 foreach ($eventimage as $key =>$value) 
										 { 
											?> <div class="col-md-3 text-center">
							  <button type="button" class="remove" style="float: right;">X</button> {!! Form::hidden('old_image[]',$value->image1 ,['class' => 'form-control']) !!} <a href="{{ $value['image1_url'] }}"  target="_blank">
								<img src="{{ $value['image1_url'] }}" width="50" height="100"  style="margin-bottom: 10px;"/>
							  </a>
							</div>
							<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
							<script type="text/javascript">
							  element = $(".remove");
							  for (var i in element) {
								element.on("click", function() {
								  $(this).parent().remove();
								});
							  }
							</script> <?php                
											}                
										?> <?php            
										}            
									?>
						  </div>
							
							  
							
							  
							  
							  
							  
							  
							  
						 @foreach($youtubelink as $key => $value)
								
						<div class="row" id="dfd{{$value->id}}">
							   <div class="col-md-4">
								<div class="form-group {{ $errors->has('youtube_link') ? ' has-error' : '' }}">
								  <label class="control-label">Youtube Gallery 
								  </label> {!! Form::text('youtube_link[$key]', $value->youtube_link, ['class'=>'form-control','id'=>'youtube_link']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('youtube_link') }}</strong>
								  </span>
								</div>
							   </div>
							   
							  <span class="col-lg-1">
								<button type="button"  class="btn btn-primary mb-2 fa fa-trash-o" onClick="youtubedelete({{$value->id}});" style="margin-top: 26px;"></button>
							</span>
							
						  </div>
								
								
						@endforeach
						
						<div class="row event">
							   <div class="col-md-4">
								<div class="form-group {{ $errors->has('youtube_link') ? ' has-error' : '' }}">
								  <label class="control-label">Youtube Gallery 
								  </label> {!! Form::text('youtube_link[]', null, ['class'=>'form-control','id'=>'youtube_link']) !!} <span class="help-block" id="error_name">
									<strong>{{ $errors->first('youtube_link') }}</strong>
								  </span>
								</div>
							   </div>
							   
							   <div class="col-lg-1">
								
								  <button type="button" id="addButton" class="btn btn-primary mb-2 onclickshow" style="margin-top: 24px;">Add</button>
							  </div>
							  
						  </div>
							  
						<div class="form-group {{ $errors->has('form') ? ' has-error' : '' }}">
						  <label class="control-label"> Form 
						  </label> {!! Form::text('form',null, ['class' => 'form-control ','required'=>'required']) !!} <span class="help-block" id="error_name">
							<strong>{{ $errors->first('form') }}</strong>
						  </span>
						</div>
							   
							
							
								
							   
							</div>
							<div class="col-md-3 text-center" >
									<img src="{{ !empty($record['image'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg') }}" id="thumb_image" width="150" />
								</div>

                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <a href="{{ route($route.'index') }}" type="submit"
                               class="btn btn-default pull-left">Back</a>
                            <button type="submit" class="btn btn-primary pull-right">Submit</button>
                        </div>
                    </div>
					</div>
				
                    {!! Form::close() !!}
                            <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
@endsection
@section('js')
<script type="text/javascript">
    CKEDITOR.config.removeButtons = 'Image';
	CKEDITOR.replace('description');
	CKEDITOR.replace('post_event_text');
   
    $(document).ready(function () {
        $('.js-example-basic-multiple').select2();
    });
	
	 $('.timepicker').datetimepicker({
            format: 'hh:mm:ss a'
        });
		
	$('.datepicker').datepicker({
		autoclose: true,
		format: 'dd-mm-yyyy',
		todayHighlight: true,
		todayBtn: true,
	});	
	
   
</script>

<script>
$('.onclickshow').click(function() { 
	
    $(`   <div class="row ">
     
	   <div class="col-md-4">
        <div class="form-group {{ $errors->has('youtube_link') ? ' has-error' : '' }}">
          <label class="control-label">Youtube Gallery <span class="text-danger"></span>
          </label> {!! Form::text('youtube_link[]', null, ['class'=>'form-control','id'=>'youtube_link']) !!} <span class="help-block" id="error_name">
            <strong>{{ $errors->first('youtube_link') }}</strong>
          </span>
        </div>
       </div>
        
           <span class="col-lg-1"><button type="button"  class="btn btn-primary mb-2 fa fa-trash-o" onClick="$(this).closest(\'div\').remove();" style="margin-top: 26px;"></button></span>
       
      
    </div>
	
	
	`).insertAfter("div.event");
});	



</script>
<script>
 
 
   function youtubedelete(id) {
        if (confirm("Are you sure you want to delete this data?")) {
            // Send a DELETE request using Ajax
            $.ajax({
                url: "{{ url('admin/deleteyoutubelink') }}/" + id,
                type: 'get',
                data: {
                    "_token": "{{ csrf_token() }}"					                        
                },
                success: function(data) {
                    alert(data.message);
                   $('#dfd'+id).remove(); // Use $(button) to refer to the button element
                },
                error: function(data) {
                    alert("An error occurred " );
                }
            });
        }
    }
 

</script>


@endsection