@extends('admin.layout.app')

@section('js')


<link rel="stylesheet" href="{{ url('assets/admin/') }}/plugins/dropzone/basic.css">
<link rel="stylesheet" href="{{ url('assets/admin/') }}/plugins/dropzone/dropzone.css">

<!--<script src="{{ url('assets/admin/') }}/plugins/dropzone/dropzone.js"></script>-->
<script src="{{ url('assets/admin/') }}/plugins/dropzone/dropzone-amd-module.js"></script>
<script>
$(function(){
   $('#set_category').val($('#get_category').val());
   $('body').on('change','#get_category',function(){
       
       $('#set_category').val($('#get_category').val());
   });
});
</script>
@endsection

@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1 class="pull-left">
                Multiple {{ $title }} upload
            </h1>
            <p>&nbsp;</p>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-3">
                    @component('admin.component.select', [
                        'name' => 'category',
                        'title' => 'select category',
                        'lists' => App\Model\Category::all()->pluck('name','id'),
                        'value'=>null,
                        'required'=>true,
                        'options'=>['id'=>'get_category']
                    ])@endcomponent
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    @include('flash')
                    {!! Form::open(['url' => route('admin.file-multiple'),'files'=>true, 'method' => 'post','id'=>'myform' ,'class' => 'dropzone']) !!}
                    <input type="hidden" name="category_id" value="1" id="set_category">    
                    
                    <div class="fallback">
                        <input name="image" type="file" multiple />
                    </div>
                    {!! Form::close() !!}
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
@endsection

