<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{ $title or '' }} | {{ config('app.name') }}</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale =1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.6 -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/dist/css/AdminLTE.min.css">
    
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/dist/css/custom.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/dist/css/skins/_all-skins.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/iCheck/flat/blue.css">
    <!-- Morris chart -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/morris/morris.css">
    <!-- jvectormap -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/jvectormap/jquery-jvectormap-1.2.2.css">
    <!-- Date Picker -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/datepicker/datepicker3.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/daterangepicker/daterangepicker.css">
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/datatables/dataTables.bootstrap.css">
    <!-- WaitMe -->
    <link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/waitme/waitMe.min.css">
	<!-- Favicon -->
	<link rel="shortcut icon" href="{{ url('public/assets/admin') }}/images/laravel-favicon.png">
	<link
        href=
"https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker.min.css"
        rel="stylesheet">

    @yield('css')
	
    <!-- jQuery 2.2.3 -->
    <script src="{{ url('public/assets/admin/') }}/plugins/jQuery/jquery-2.2.3.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <!-- Bootstrap 3.3.6 -->
    <script src="{{ url('public/assets/admin/') }}/bootstrap/js/bootstrap.min.js"></script>
    <script src="http://talkerscode.com/webtricks/demo/js/jquery.form.js"></script>
    <script src="{{ url('public/assets/admin/') }}/dist/js/custom.js"></script>
</head>
<body class="hold-transition skin-blue sidebar-mini fixed">
<div class="wrapper">

     @include('admin.layout.header')
    <!-- Left side column. contains the logo and sidebar -->
     @include('admin.layout.sidebar')

    <!-- Content Wrapper. Contains page content -->
    @yield('content')

    <!-- Control Sidebar -->
    
    <!-- /.control-sidebar -->
    <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- Morris.js charts -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>
<script src="{{ url('public/assets/admin/') }}/plugins/morris/morris.min.js"></script>
<!-- Sparkline -->
<script src="{{ url('public/assets/admin/') }}/plugins/sparkline/jquery.sparkline.min.js"></script>
<!-- jvectormap -->
<script src="{{ url('public/assets/admin/') }}/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
<script src="{{ url('public/assets/admin/') }}/plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
<!-- jQuery Knob Chart -->
<script src="{{ url('public/assets/admin/') }}/plugins/knob/jquery.knob.js"></script>
<!-- daterangepicker -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.11.2/moment.min.js"></script>
<script src="{{ url('public/assets/admin/') }}/plugins/daterangepicker/daterangepicker.js"></script>
<!-- datepicker -->
<script src="{{ url('public/assets/admin/') }}/plugins/datepicker/bootstrap-datepicker.js"></script>
<!-- Bootstrap WYSIHTML5 -->
<script src="{{ url('public/assets/admin/') }}/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
<!-- Slimscroll -->
<script src="{{ url('public/assets/admin/') }}/plugins/slimScroll/jquery.slimscroll.min.js"></script>
<!-- FastClick -->
<script src="{{ url('public/assets/admin/') }}/plugins/fastclick/fastclick.js"></script>
<!-- DataTables -->
<script src="{{ url('public/assets/admin/') }}/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="{{ url('public/assets/admin/') }}/plugins/datatables/dataTables.bootstrap.min.js"></script>
<!-- AdminLTE App -->
<script src="{{ url('public/assets/admin/') }}/dist/js/app.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{ url('public/assets/admin/') }}/dist/js/demo.js"></script>
<!-- Select2 -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet"/>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<!-- Ck Editor -->
<script src="{{ url('public/assets/admin/') }}/dist/js/ckeditor/ckeditor.js"></script>

{{--http://www.bootstraptoggle.com/--}}
<link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
<script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
<!-- DataTables -->
<script src="{{ url('public/assets/admin/') }}/plugins/waitme/waitMe.min.js"></script>

<!-- Table2excel -->
<script src="{{ url('public/assets/admin/') }}/plugins/table2excel/jquery.table2excel.js"></script>


<!-- Datetimepicker -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.11.2/moment.min.js"></script>
<link rel="stylesheet" href="{{ url('public/assets/admin/') }}/plugins/datetimepicker/bootstrap-datetimepicker.min.css">
<script src="{{ url('public/assets/admin/') }}/plugins/datetimepicker/bootstrap-datetimepicker.min.js"></script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/js/bootstrap-datetimepicker.min.js">
        </script>
@yield('js')
</body>
</html>
