@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{ $sitesetting->meta_tag }}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{ $sitesetting->image_url }}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{ $sitesetting->comp_name }}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{ $sitesetting->image_url }}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{ $sitesetting->comp_name }}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
{{-- <title>{{ $sitesetting->meta_tag }} | Booking Form</title> --}}
@endsection

@section('body')


<style>
  @media screen and (max-width: 767px) {
    .perametr {
      text-align: center;
    }
    .mainmedia {
        margin-top: 10px !important;
        margin-bottom: 15px !important;
    }
  }

  .filter-option{
    color: black;
  } 

  .listing-box-header img{
    width: 50px;
  }
.maindate{
  color: black;
}
.listing-box-header h3{
  text-decoration: underline;
}

  label{
    font-weight: 800 !important;
    color: black;
  }

  .perametr{
    font-weight: 800 !important;
    color: black;
  }

  .perametr b{
    font-weight: 800 !important;
    color: black;
  }

  .listing-box-header p{
    font-weight: 800 !important;
    color: black;
  }

  @media screen and (max-width: 9999px) {
    ul.slick-dots {
      display: none !important;
    }
  }

@media (min-width: 768px) and (max-width: 991px){
    .mainbtn {
        width: 40px !important;
        margin-top: 22px !important;
    }
    .bookfild {
      justify-content: flex-start !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px){
    .mainbtn {
        width: auto !important;
    }
    .bookfild {
      justify-content: flex-start !important;
  }
}



@media (min-width: 992px) and (max-width: 9999px){
    .bookfild {
      justify-content: flex-start !important;
  }
}


  .responsivslid img {
    width: 370px;
    padding: 10px;
    height: 300px;
  }

  .responsivslid p {
    text-align: center;
    color: black;
    font-size: 16px;
    font-weight: 700;
  }

  img.slick-slide.slick-active {
    width: 380px;
    height: 300px;
  }

  .bookfl {
    display: flex;
    row-gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
  }

  .bookfild {
    display: flex;
    column-gap: 40px;
    flex-wrap: wrap;
    justify-content: space-around;
    row-gap: 10px;
  }

  .page-title {
    background-size: cover !important;
    background-position: left !important;
    position: relative;
    height: 320px;
  }

  .form-control {
    width: -webkit-fill-available;
  }

  section {
    padding: 70px 0 70px;
  }

  .newtitel {
    display: flex;
    justify-content: center;
    column-gap: 10px;
  }

  .profile-pic-wrapper {
    height: 30vh;
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .pic-holder {
    text-align: center;
    position: relative;
    border-radius: 50%;
    width: 150px;
    height: 150px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
  }

  .pic-holder .pic {
    height: 100%;
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center;
    object-position: center;
  }

  .pic-holder .upload-file-block,
  .pic-holder .upload-loader {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(90, 92, 105, 0.7);
    color: #f8f9fc;
    font-size: 12px;
    font-weight: 600;
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s;
  }

  .pic-holder .upload-file-block {
    cursor: pointer;
  }

  .pic-holder:hover .upload-file-block,
  .uploadProfileInput:focus~.upload-file-block {
    opacity: 1;
  }

  .pic-holder.uploadInProgress .upload-file-block {
    display: none;
  }

  .pic-holder.uploadInProgress .upload-loader {
    opacity: 1;
  }

  /* Snackbar css */
  .snackbar {
    visibility: hidden;
    min-width: 250px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 30px;
    font-size: 14px;
    transform: translateX(-50%);
  }

  .snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
  }

  @-webkit-keyframes fadein {
    from {
      bottom: 0;
      opacity: 0;
    }

    to {
      bottom: 30px;
      opacity: 1;
    }
  }

  <blade keyframes|%20fadein%20%7B%0D>from {
    bottom: 0;
    opacity: 0;
  }

  to {
    bottom: 30px;
    opacity: 1;
  }
  }

  @-webkit-keyframes fadeout {
    from {
      bottom: 30px;
      opacity: 1;
    }

    to {
      bottom: 0;
      opacity: 0;
    }
  }

  <blade keyframes|%20fadeout%20%7B%0D>from {
    bottom: 30px;
    opacity: 1;
  }

  to {
    bottom: 0;
    opacity: 0;
  }
  }








  input#birthday {
    height: 50px;
    border: 1px solid #dde6ef;
    margin-bottom: 10px;
    box-shadow: none;
    border-radius: 0;
    background: #fbfdff;
    font-size: 15px;
    color: #445461;
    padding: 6px 30px 6px 18px;
    font-weight: 400;
  }

  .checkbox-wrapper-31:hover .check {
    stroke-dashoffset: 0;
  }

  .checkbox-wrapper-31 {
    position: relative;
    display: inline-block;
    width: 26px;
    height: 26px;
  }

  .checkbox-wrapper-31 .background {
    fill: #ccc;
    transition: ease all 0.6s;
    -webkit-transition: ease all 0.6s;
  }

  .checkbox-wrapper-31 .stroke {
    fill: none;
    stroke: #fff;
    stroke-miterlimit: 10;
    stroke-width: 2px;
    stroke-dashoffset: 100;
    stroke-dasharray: 100;
    transition: ease all 0.6s;
    -webkit-transition: ease all 0.6s;
  }

  .checkbox-wrapper-31 .check {
    fill: none;
    stroke: #fff;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-width: 2px;
    stroke-dashoffset: 22;
    stroke-dasharray: 22;
    transition: ease all 0.6s;
    -webkit-transition: ease all 0.6s;
  }

  .checkbox-wrapper-31 input[type=checkbox] {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    margin: 0;
    opacity: 0;
    -appearance: none;
    -webkit-appearance: none;
  }

  .checkbox-wrapper-31 input[type=checkbox]:hover {
    cursor: pointer;
  }

  .checkbox-wrapper-31 input[type=checkbox]:checked+svg .background {
    fill: #6cbe45;
  }

  .checkbox-wrapper-31 input[type=checkbox]:checked+svg .stroke {
    stroke-dashoffset: 0;
  }

  .checkbox-wrapper-31 input[type=checkbox]:checked+svg .check {
    stroke-dashoffset: 0;
  }


  .selectable-date {
    background-color: #00ff00 !important;
    /* Override the background color for selectable dates */
  }


  .gj-picker-bootstrap table tr td:not(.disabled) div {
    color: green !important;


  }
</style>
<style>
  .errorlocation {
    color: red;
  }

/*//////////////////////popup model///////////////*/


.btn-size{
    width: 15% !important;
}


.Click-here {
  cursor: pointer;
  /*background-image: linear-gradient(190deg, #ff3f0a 0%, #f43900 100%);*/
  /* color: #ff431e; */
  width: max-content;
  text-align: center;
  font-size:16px;
  padding: 10px 0;
  margin: 0px 10px;
  transition:background-image 3s ease-in-out;
}

.Click-here a{
  color: #ff431e;
}

/*.Click-here:hover{
  transition:background-image 3s ease-in-out;
  background-image: linear-gradient(90deg, #fee140 0%, #f83600 100%);
}*/

.popup-flex{
  display: flex;
  align-items: center;
  margin: 0px 20px;
}

.custom-model-main {
  text-align: center;
  overflow: hidden;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0; /* z-index: 1050; */
  -webkit-overflow-scrolling: touch;
  outline: 0;
  opacity: 0;
  -webkit-transition: opacity 0.15s linear, z-index 0.15;
  -o-transition: opacity 0.15s linear, z-index 0.15;
  transition: opacity 0.15s linear, z-index 0.15;
  z-index: -1;
  overflow-x: hidden;
  overflow-y: auto;
}

.custom-model-main1 {
  text-align: center;
  overflow: hidden;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0; /* z-index: 1050; */
  -webkit-overflow-scrolling: touch;
  outline: 0;
  opacity: 0;
  -webkit-transition: opacity 0.15s linear, z-index 0.15;
  -o-transition: opacity 0.15s linear, z-index 0.15;
  transition: opacity 0.15s linear, z-index 0.15;
  z-index: -1;
  overflow-x: hidden;
  overflow-y: auto;
}

.model-open {
  z-index: 99999;
  opacity: 1;
  overflow: hidden;
}
.custom-model-inner {
  -webkit-transform: translate(0, -25%);
  -ms-transform: translate(0, -25%);
  transform: translate(0, -25%);
  -webkit-transition: -webkit-transform 0.3s ease-out;
  -o-transition: -o-transform 0.3s ease-out;
  transition: -webkit-transform 0.3s ease-out;
  -o-transition: transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
  transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out;
  display: inline-block;
  vertical-align: middle;
  width: max-content;
  margin: 30px auto;
  max-width: 97%;
}
.custom-model-wrap {
  display: block;
  width: 100%;
  position: relative;
  background-color: #fff;
  border: 1px solid #999;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 6px;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
  box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
  background-clip: padding-box;
  outline: 0;
  text-align: left;
  padding: 20px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  max-height: calc(100vh - 70px);
	overflow-y: auto;
}
.model-open .custom-model-inner {
  -webkit-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  transform: translate(0, 0);
  position: relative;
  z-index: 999;
}
.model-open .bg-overlay {
  background: rgba(0, 0, 0, 0.6);
  z-index: 99;
}
.bg-overlay {
  background: rgba(0, 0, 0, 0);
  height: 100vh;
  width: 100%;
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 0;
  -webkit-transition: background 0.15s linear;
  -o-transition: background 0.15s linear;
  transition: background 0.15s linear;
}
.close-btn {
  position: absolute;
  right: 0;
  top: -30px;
  cursor: pointer;
  z-index: 99;
  font-size: 30px;
  color: #fff;
}

.close-btn1 {
  position: absolute;
  right: 0;
  top: -30px;
  cursor: pointer;
  z-index: 99;
  font-size: 30px;
  color: #fff;
}

@media screen and (min-width:800px){
	.custom-model-main:before {
	  content: "";
	  display: inline-block;
	  height: auto;
	  vertical-align: middle;
	  margin-right: -0px;
	  height: 100%;
	}
  .custom-model-main1:before {
	  content: "";
	  display: inline-block;
	  height: auto;
	  vertical-align: middle;
	  margin-right: -0px;
	  height: 100%;
	}
}
@media screen and (max-width:799px){
  .custom-model-inner{margin-top: 45px;}
}



.ui-checkbox {
  --primary-color: #1677ff;
  --secondary-color: #fff;
  --primary-hover-color: #4096ff;
  /* checkbox */
  --checkbox-diameter: 20px;
  --checkbox-border-radius: 5px;
  --checkbox-border-color: #d9d9d9;
  --checkbox-border-width: 1px;
  --checkbox-border-style: solid;
  /* checkmark */
  --checkmark-size: 1.2;
}

.ui-checkbox, 
.ui-checkbox *, 
.ui-checkbox *::before, 
.ui-checkbox *::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.ui-checkbox {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: var(--checkbox-diameter);
  height: var(--checkbox-diameter);
  border-radius: var(--checkbox-border-radius);
  background: var(--secondary-color);
  border: var(--checkbox-border-width) var(--checkbox-border-style) var(--checkbox-border-color);
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  cursor: pointer;
  position: relative;
}

.ui-checkbox::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  -webkit-box-shadow: 0 0 0 calc(var(--checkbox-diameter) / 2.5) var(--primary-color);
  box-shadow: 0 0 0 calc(var(--checkbox-diameter) / 2.5) var(--primary-color);
  border-radius: inherit;
  opacity: 0;
  -webkit-transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
  -o-transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
  transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
}

.ui-checkbox::before {
  top: 40%;
  left: 50%;
  content: "";
  position: absolute;
  width: 4px;
  height: 7px;
  border-right: 2px solid var(--secondary-color);
  border-bottom: 2px solid var(--secondary-color);
  -webkit-transform: translate(-50%, -50%) rotate(45deg) scale(0);
  -ms-transform: translate(-50%, -50%) rotate(45deg) scale(0);
  transform: translate(-50%, -50%) rotate(45deg) scale(0);
  opacity: 0;
  -webkit-transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6),opacity 0.1s;
  -o-transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6),opacity 0.1s;
  transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6),opacity 0.1s;
}

/* actions */

.ui-checkbox:hover {
  border-color: var(--primary-color);
}

.ui-checkbox:checked {
  background: var(--primary-color);
  border-color: transparent;
  width: 16px;
    height: 16px;
}


.ui-checkbox:checked::before {
  opacity: 1;
  -webkit-transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
  -ms-transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
  transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
  -webkit-transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
  -o-transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
  transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
}

.ui-checkbox:active:not(:checked)::after {
  -webkit-transition: none;
  -o-transition: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  transition: none;
  opacity: 1;
}

@media screen and (max-width: 767px) {
  .ui-checkbox{
    width: 45px;
  }
}
#swal2-select {
  display:none !important;
}



/*//////////////////////popup model///////////////*/



</style>

<div class="clearfix"></div>

<!-- ================ Start Page Title ======================= -->
<section class="title-transparent page-title"
  style="background:url({{ url('public/assets/design') }}/images/newbannerr.jpg);">
  <div class="container">
    <div class="title-content">
      <h1>Booking</h1>
      <div class="breadcrumbs">
        <a href="#">Home</a>
        <span class="gt3_breadcrumb_divider"></span>
        <span class="current">Booking</span>
      </div>
    </div>
  </div>
</section>
<div class="clearfix"></div>
<!-- ================ End Page Title ======================= -->

<!-- ================ Start Add Listing Section ======================= -->




<form action="{{ url('savebooking') }}" method="post" id="bookingForm" enctype="multipart/form-data">
  {{ csrf_field() }}
  <section>

    <div class="container">
      <div class="col-md-10 col-sm-12 col-md-offset-1 mob-padd-0">
        <!-- General Information -->
        <div class="add-listing-box general-info mrg-bot-25 padd-bot-30 padd-top-25">
        <div class="listing-box-header">
        <img src="{{ url('public/assets/design') }}/images/travellogo.jpeg" alt="">
            <h3><b>Booking Form</b></h3>
            <p>For any assistance, feel free to contact on <a href="tel:{{$sitesetting->comp_phone}}" taret="_blank">{{$sitesetting->comp_phone}}</a></p>
          </div>

          <div class="row mrg-r-10 mrg-l-10">
            <div class="col-sm-6">
              <label>Select Route :</label>
              <select style="width: -webkit-fill-available !important;" data-placeholder="Choose Route" id="route"
                name="route" class="form-control chosen-select" tabindex="2" required>
                <option value="">Choose Route</option>
                <option value="Rajkot City - Hirasar airport">Rajkot City - Hirasar airport</option>
                <option value="Hirasar airport - Rajkot City">Hirasar airport - Rajkot City</option>
              </select>
            </div>

            <div class="birthdate col-sm-6" style="height: 91px;">

              <label for="birthday">Date</label>
              <input class="maindate" type="text" name="date" style="width: -webkit-fill-available;" id="datepicker" autocomplete="off"
                required readonly>

            </div>

            <div class="col-sm-6">
              <label> Flight :</label>
              <select data-placeholder="Choose Flight" name="flight" id="flight" class="form-control"
                tabindex="2" required>


              </select>
            </div>



            <div class="row mrg-r-10 mrg-l-10">
              <div class="col-sm-6">
                <label>Select cab :</label>
                <select style="width: -webkit-fill-available !important;" data-placeholder="Choose Cab" name="cab_type"
                  class="form-control chosen-select" id="cab_type" tabindex="2" required>
                  <option value="">--select Cab Type ---</option>
                  <option value="Sharing">Sharing Cab ({{$sitesetting->cab_rate}}/-Per Person)</option>
                  <option value="Special">Special Cab (Sedan – 800 & others)</option>
                </select>
              </div>
              <div iv class="col-sm-6">
                <label> pickup Time :</label>
                <input type="text" id="pickup" name="pickup_time" class="form-control" readonly>
              </div>

              <div class="col-sm-6" id="cab_car_div" style="display: none;">
                <label>Select Car :</label>
                <select style="width: -webkit-fill-available !important;" data-placeholder="Choose Car" name="cab_car"
                  id="cab_car" class="form-control chosen-select" tabindex="2" onchange="getamount_cabbytype();">
                  <option value="">--Select Cab Car-- </option>
                  <option value="Sedan">Sedan ({{$sitesetting->sedan_rate}})</option>
                  <option value="Ertiga">Ertiga ({{$sitesetting->eartiga_rate}})</option>
                  <option value="Innova">Innova ({{$sitesetting->innova_rate}})</option>
                </select>
              </div>


              <div class="col-sm-6" id="no_of_passenger_div" style="display: none;">
                <label>No Of Passenger :</label>
                <select type="text" name="no_of_passenger" id="no_of_passenger" class="form-control"
                  data-placeholder="Choose No Of Pessenger" onchange="handlechangepasss()">
                  <option value="">--Select No Of Passenger-- </option>
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                </select>
              </div>

               <div class="col-sm-6" id="" style="">
                <label>Required pickup / drop points :</label>
                <select type="text" name="no_of_address" id="no_of_address" class="form-control"
                  data-placeholder="Choose No Of Address" onchange="locationadd();">
                  <option value="">--Required pickup / drop location-- </option>
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                </select>
              </div>
			    <div id="address_div">

                <div iv class="col-sm-6">
                  <label>Address :</label> 
                  <input type="text" name="address[]" class="form-control" required> 
                </div>

              </div>
             

              <div class="row" id="location_div">

              </div>
              <div class="aditional_drop_change"></div>

              <div class="col-sm-6" id="" style="">
                <label>Remarks </label>
                <input type="text" id="remarks" name="remarks" class="form-control" >
           </div>

             
              <div iv class="col-sm-6">
                <label>Name :</label>
                <input type="text" name="name" class="form-control" required>
              </div>
              <!-- <div iv class="col-sm-6">
                <label>Contact No :</label>
                <input type="number" name="contactno" class="form-control" required>
              </div> -->
              <div iv class="col-sm-6">
                <label>Whatsapp No (To receive trip information)
                  :</label>
                <input type="number" name="whatsappno"  class="form-control digit-only" required>
              </div>


            
            
             <?php /* <div iv class="col-sm-6" id="additional_pickup_drop_div" style="display:none;">
                <label>Addistional Pickup/Drop :</label>
                <input type="text" name="additional_pickup_drop" class="form-control" >
              </div> */  ?>
              <!-- <div iv class="col-sm-6">
                <label>Email (To receive invoice):</label>
                <input type="text" name="email" class="form-control" >
              </div> -->
              <div class="col-sm-6">
                <label>Voucher (If available):</label>

                <input type="text" name="voucher" id="voucher" class="form-control" value="ABDG SP" onblur="getdiscount()">
                <div id="voucherError"></div>
              </div>

              <!-- <div class="col-sm-6">
                <label>Billing Name *</label>

                <input type="text" name="billing_name" id="billing_name" class="form-control" required>
              </div>

              <div class="col-sm-6">
                <label>Billing Address *</label>

                <input type="text" name="billing_address" id="billing_address" class="form-control" required>
              </div> -->



              <div iv class="col-sm-6" style="display: none;">
                <label>Gst No(If available):</label>
                <input type="text" name="gst_no" class="form-control">
              </div>



            </div>

          </div>
          <div class="row">
          <div class="container">
            <!-- <div class="popup-flex">

          <input type="checkbox" class="ui-checkbox mainchack" required>
            <div class="Click-here">Agree to <a href="javascript:void(0)"> Terms And Condition</a></div>
            </div> -->
            <div class="custom-model-main">
              <div class="custom-model-inner">
                <div class="close-btn">×</div>
                <div class="custom-model-wrap">
                  <div class="pop-up-content-wrap">
                    <section class="terms">
                      <div class="container">
                        <div class="terms-text">
                          <h3>Terms Condition Gujarati</h3>
                          <br>

                          <ul>
                          <li>પ્રિય યાત્રીશ્રી, કૃપા કરીને નીચેના મુદ્દે અમને સહયોગ આપશો.</li>
                            <li>👉🏻 "શેરિંગ કેબ" માં આપને ટાઈમ રેન્જ આપવામાં આવશે એ ટાઈમ રેન્જ દરમ્યાન ગાડી કોઈપણ સમયે આપને પીકઅપ કરવા આવશે માટે કૃપા કરી એ સમય દરમ્યાન તૈયાર રહેશો. સ્પેશ્યલ કેબમાં આપ આપનો ઈચ્છીત પીકઅપ સમય  પસંદ કરી શકો છો.</li>
                            <li>👉🏻સ્પેશિયલ કેબ માં  પ્રથમ 15 મિનિટ વેઇટિંગ ફ્રી રહેશે, ત્યારબાદ પ્રતિ 30 મિનિટ ₹150/- વેઇટિંગ ચાર્જ રહેશે.</li>  
                            <li>👉🏻 જો આપે "શેરિંગ કેબ" બુક કરેલ હોય તો કૃપા કરીને આપને જણાવવામાં આવેલ ટાઈમ રેન્જ દરમ્યાન તૈયાર રહેશો, અન્ય સહ-યાત્રીઓને અસુવિધા ન થાય તે માટે કેબ પાંચ મિનિટ થી વધુ રાહ જોઈ શકશે નહીં.</li>
                            <li>👉🏻 "શેરિંગ કેબ" માં વ્યક્તિ દીઠ માત્ર એક જ બેગ સમાવી શકાશે.</li>
                            <li>👉🏻"શેરિંગ કેબ" માં સેડાન કેબમાં ચાર અને SUVમાં છ સહયાત્રીઓ હોઈ શકે છે.</li>
                            <li>👉🏻 આપે કરાવેલ બુકિંગ રદ્દ થવા પાત્ર કે રિફંડેબલ નથી.</li>
                            <li>👉🏻 જો આપની ફ્લાઇટ વિલંબિત/રદ/સામાન કે અન્ય કારણોસર વિલંબ થાય, તો પ્રથમ 30 મિનિટ વેઇટિંગ ફ્રી છે. ત્યારબાદ ₹100/- પ્રતિ કલાકનો વેઇટિંગ ચાર્જ રહેશે.</li>  
                            <li>👉🏻 વાહનમાં કોઈ યાંત્રિક સમસ્યાને લીધે થનાર વિલંબ / નુકશાની માં અમારી જવાબદારી રહેશે નહીં.</li>
                            <li>👉🏻 આપના દ્વારા કરવામાં આવેલ બુકિંગની સમીક્ષા કરવામાં આવશે અને આપનું બુકિંગ સ્વીકારવા બાબતનો અંતિમ નિર્ણય ABDG Travels નો રહેશે, જો અમારા તરફથી આપનું બુકિંગ રદ્દ કરવામાં આવે તો આપને પૂરું રિફંડ ચૂકવવામાં આવશે.</li>

                              <li>આપના સહયોગ બદલ આભારી છીએ. 🙏🏻🙏🏻
</li>

                            <p>આપની યાત્રા સુખદ રહે એવી કામના કરીએ છીએ. 💐💐🙂</p>
                          </ul>
                        </div>

                        <hr class="hr-4">

                        <div class="terms-text eng-text">
                          <h3>Terms Condition English</h3>
                          <br>

                          <ul>
                          <li>👉🏻 If you have booked the "sharing cab”, kindly be ready at our instructed time range. You can book a special cab for your desired pickup time.</li>
                            <li>👉🏻 If you have booked a special cab, the first 15 minutes of waiting will be free; after that, ₹150/- waiting charge for every 30 minutes will be applicable. </li>
                            <li>👉🏻 If you have booked the "sharing cab", kindly be ready at the instructed time range. The cab will only wait up to five minutes to avoid inconveniencing co-passengers. 
</li>
                            <li>👉🏻 In the "sharing cab", only one bag per person can be accommodated. </li>
                            <li>👉🏻 In a "sharing cab", a sedan cab may have up to four passengers, and an SUV may have up to six passengers.
</li>
                            <li>👉🏻 The booking made is not cancellable or refundable. </li>
                            <li>👉🏻 If your flight is delayed/cancelled / luggage or any other issue, the first 30 minutes of waiting is free. After that, a waiting charge of ₹100/- per hour will be applicable. </li>
                            <li>👉🏻 We will not be responsible for any delay / financial loss due to any mechanical problem in the vehicle. </li>
                            <li>👉🏻 Your booking will undergo a review, and ABDG Travels will make the final decision on whether to accept it. In the event of a cancellation, you will receive a full refund.</li>
                            <li>👉🏻 We appreciate your support. 🙏🏻🙏🏻</li>
                          
                            <p>We wish you a pleasant journey. 💐😊</p>
                          </ul>


                         

                        </div>

                        <div><button class="btn  btn-primary main-check-out btn-size"> Check out</button></div>

                      </div>

                    </section>
                  </div>
                </div>
                </div>
              <div class="bg-overlay"></div>
            </div>

            <!-- <div class="custom-model-main1">
              <div class="custom-model-inner">
                <div class="close-btn1">×</div>
                <div class="custom-model-wrap">
                  <div class="pop-up-content-wrap">
                    <section class="terms">
                      <div class="container">
                        <div class="terms-text">
                          <h3>Terms Condition Gujarati</h3>
                          <br>

                          <ul>
                            <li>પ્રિય યાત્રીશ્રી, કૃપા કરીને નીચેના મુદ્દે અમને સહયોગ આપશો.</li>
                            <li>👉🏻 "શેરિંગ કેબ" માં આપને ટાઈમ રેન્જ આપવામાં આવશે એ ટાઈમ રેન્જ દરમ્યાન ગાડી કોઈપણ સમયે આપને પીકઅપ કરવા આવશે માટે કૃપા કરી એ સમય દરમ્યાન તૈયાર રહેશો. સ્પેશ્યલ કેબમાં આપ આપનો ઈચ્છીત પીકઅપ સમય  પસંદ કરી શકો છો.</li>
                            <li>👉🏻સ્પેશિયલ કેબ માં  પ્રથમ 15 મિનિટ વેઇટિંગ ફ્રી રહેશે, ત્યારબાદ પ્રતિ 30 મિનિટ ₹150/- વેઇટિંગ ચાર્જ રહેશે.</li>  
                            <li>👉🏻 જો આપે "શેરિંગ કેબ" બુક કરેલ હોય તો કૃપા કરીને આપને જણાવવામાં આવેલ ટાઈમ રેન્જ દરમ્યાન તૈયાર રહેશો, અન્ય સહ-યાત્રીઓને અસુવિધા ન થાય તે માટે કેબ પાંચ મિનિટ થી વધુ રાહ જોઈ શકશે નહીં.</li>
                            <li>👉🏻 "શેરિંગ કેબ" માં વ્યક્તિ દીઠ માત્ર એક જ બેગ સમાવી શકાશે.</li>
                            <li>👉🏻"શેરિંગ કેબ" માં સેડાન કેબમાં ચાર અને SUVમાં છ સહયાત્રીઓ હોઈ શકે છે.</li>
                            <li>👉🏻 આપે કરાવેલ બુકિંગ રદ્દ થવા પાત્ર કે રિફંડેબલ નથી.</li>
                            <li>👉🏻 જો આપની ફ્લાઇટ વિલંબિત/રદ/સામાન કે અન્ય કારણોસર વિલંબ થાય, તો પ્રથમ 30 મિનિટ વેઇટિંગ ફ્રી છે. ત્યારબાદ ₹100/- પ્રતિ કલાકનો વેઇટિંગ ચાર્જ રહેશે.</li>  
                            <li>👉🏻 વાહનમાં કોઈ યાંત્રિક સમસ્યાને લીધે થનાર વિલંબ / નુકશાની માં અમારી જવાબદારી રહેશે નહીં.</li>
                            <li>👉🏻 આપના દ્વારા કરવામાં આવેલ બુકિંગની સમીક્ષા કરવામાં આવશે અને આપનું બુકિંગ સ્વીકારવા બાબતનો અંતિમ નિર્ણય ABDG Travels નો રહેશે, જો અમારા તરફથી આપનું બુકિંગ રદ્દ કરવામાં આવે તો આપને પૂરું રિફંડ ચૂકવવામાં આવશે.</li>

                              <li>આપના સહયોગ બદલ આભારી છીએ. 🙏🏻🙏🏻
                                              </li>

                            <p>આપની યાત્રા સુખદ રહે એવી કામના કરીએ છીએ. 💐💐🙂</p>
                          </ul>
                        </div>

                        <hr class="hr-4">

                        <div class="terms-text eng-text">
                          <h3>Terms Condition English</h3>
                          <br>

                          <ul>
                            <li>👉🏻 If you have booked the "sharing cab”, kindly be ready at our instructed time range. You can book a special cab for your desired pickup time.</li>
                            <li>👉🏻 If you have booked a special cab, the first 15 minutes of waiting will be free; after that, ₹150/- waiting charge for every 30 minutes will be applicable. </li>
                            <li>👉🏻 If you have booked the "sharing cab", kindly be ready at the instructed time range. The cab will only wait up to five minutes to avoid inconveniencing co-passengers. 
                           </li>
                            <li>👉🏻 In the "sharing cab", only one bag per person can be accommodated. </li>
                            <li>👉🏻 In a "sharing cab", a sedan cab may have up to four passengers, and an SUV may have up to six passengers.
                            </li>
                            <li>👉🏻 The booking made is not cancellable or refundable. </li>
                            <li>👉🏻 If your flight is delayed/cancelled / luggage or any other issue, the first 30 minutes of waiting is free. After that, a waiting charge of ₹100/- per hour will be applicable. </li>
                            <li>👉🏻 We will not be responsible for any delay / financial loss due to any mechanical problem in the vehicle. </li>
                            <li>👉🏻 Your booking will undergo a review, and ABDG Travels will make the final decision on whether to accept it. In the event of a cancellation, you will receive a full refund.</li>
                            <li>👉🏻 We appreciate your support. 🙏🏻🙏🏻</li>
                          
                            <p>We wish you a pleasant journey. 💐😊</p>
                          </ul>


                         

                        </div>

                        {{-- <div><button class="btn  btn-primary main-check-out btn-size"> Check out</button></div> --}}

                      </div>

                    </section>
                  </div>
                </div>
                </div>
              <div class="bg-overlay"></div>
            </div> -->
          </div>
        </div>

          <div class="mainchack">
            <div class="bookfl">
              <div class="col-sm-12 bookfild">
                <span class="col-sm-12 col-xs-12 perametr"> Sub Total : <span id="amount">0</span></span>
                <span class="col-sm-12 col-xs-12 perametr"> Aditional pick up / drop charge: <span id="pickupdrop_charge">0</span></span>
                <span class="col-sm-12 col-xs-12 perametr"> TAC : <span id="voucher_discount">0</span></span>
                <span class="col-sm-12 col-xs-12 perametr" style="display: none;"> GST (5%): <span id="gst_amount">0</span></span>
                <span class="col-sm-12 col-xs-12 perametr"> Convenience Fee: <span id="convenience_fee">0</span></span>
                <span class="col-sm-12 col-xs-12 perametr"> <B>Grand Total :</B> <span id="grandtotal">0</span></span>
              </div>
              <div class="col-sm-6 text-center">
                <input type="submit" onclick="" value="Check Out" class="btn theme-btn" title="Submit Listing">
              </div>
            </div>
          </div>
        </div>
  </section>

</form>
<!-- ================ End Add Listing Section =======================-->



<section class="mainslider">
  <div class="container">
    <div class="responsivslid">
      <h3 STYLE="text-align: center;">Available Cabs </h3>
      <div class="imgslide">
	     @foreach($slider as $s)
        <div><img src="{{ $s->image_url }}" />
          <p>{{ $s->title }}</p>
        </div>
		@endforeach
		<?php /*
        <div><img src="{{ url('public/assets/design') }}/images/carslide02.jpg" />
          <p>Special Ertiga cab: 800/-</p>
        </div>
        <div><img src="{{ url('public/assets/design') }}/images/carslide03.jpg" />
          <p>Special Innova cab: 1200/</p>
        </div>
        <div><img src="{{ url('public/assets/design') }}/images/carslide04.jpg" />
          <p>Special sedan cab: 2000/-</p>
        </div>
        <div><img src="{{ url('public/assets/design') }}/images/carslide05.jpg" />
          <p>Special Innova crysta: 2700/-</p>
        </div>  */ ?>
      </div>
    </div>
  </div>
</section>



@endsection
@section('js')
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>


<script>



  $('.imgslide').slick({
  dots: false,
  infinite: true,
  speed: 300,
  autoplay: true,
  slidesToShow: 3,
  slidesToScroll: 1,
  responsive: [
    {
      breakpoint: 1024,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 2,
        infinite: true,
        dots: true
      }
    },
    {
      breakpoint: 600,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 2
      }
    },
    {
      breakpoint: 480,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
    // You can unslick at a given breakpoint now by adding:
    // settings: "unslick"
    // instead of a settings object
  ]
});
</script>


<script
  src="https://maps.googleapis.com/maps/api/js?key=AIzaSyALf35x2eUy8GNaV8kpkYFA9EYxi0JMF-A&libraries=places&callback=initAutocomplete"
  async defer></script>

<script>


/*navigator.geolocation.getCurrentPosition(

  (position) => {
    // Success callback
    const latitude = position.coords.latitude;
    const longitude = position.coords.longitude;
    const accuracy = position.coords.accuracy; // Optional: Estimated accuracy in meters


    const apiKey = "AIzaSyDgx-BEIFmY5JVvy_tn2TC5KCp9xAtSagE";
    fetch(`https://maps.googleapis.com/maps/api/geocode/json?latlng=${latitude},${longitude}&key=${apiKey}`)
      .then((response) => response.json())
      .then((data) => {

        const address = data.results[0].formatted_address;

        const pincode = getPincodeFromGeocode(data);

     
       
      });

  });
  },
  (error) => {
    console.error("Error getting location:", error);
  },
  {
    enableHighAccuracy: true, // Optional: Try to get more accurate position
    timeout: 5000, // Optional: Timeout in milliseconds
    maximumAge: 0, // Optional: Accept cached position if less than specified age (in milliseconds)
  }
);  */


function getPincodeFromGeocode(data) {
        const results = data.results;
        for (const result of results) {
          const addressComponents = result.address_components;
          for (const component of addressComponents) {
            if (component.types.includes("postal_code")) {
              return component.long_name; // This is the pincode
            }
          }
        }
        return null;
      }


      function getcurrentlocation(id) {

    

        if (navigator.geolocation) {
          navigator.geolocation.getCurrentPosition(

          (position) => {
              showPosition(position, id); // Pass the extra parameter here
            },
            (error) => {
              alert('allow location permission')
            },
            {
            });


        } else { 
        }

        function showPosition(position,id) {
         

          const latitude = position.coords.latitude;
          const longitude = position.coords.longitude;



          const apiKey = "AIzaSyDgx-BEIFmY5JVvy_tn2TC5KCp9xAtSagE";
          fetch(`https://maps.googleapis.com/maps/api/geocode/json?latlng=${latitude},${longitude}&key=${apiKey}`)
            .then((response) => response.json())
            .then((data) => {
              const address = data.results[0].formatted_address;
              const pincode = getPincodeFromGeocode(data);


              /*const addressElement = document.getElementById('locality'+id);
             addressElement.textContent = address;  */

             $('#locality'+id).val(address);

           /*  const pincodeElement = document.getElementById('pincode'+id);
             pincodeElement.textContent = pincode; */

             $.ajax({
                type: "POST",
                url: '{{ url('checkpincode') }}',
                data: {
                  "pincode": pincode,
                  "_token": "{{ csrf_token() }}",
                },
                success: function(result) {

                  var checkpincode1 = result.check;
                  if (checkpincode1 == 2) {
                    $('#pincode'+id).val('');
                    $('#location_error'+id).html('Service is not available for this area');
                  } else {
                    $('#pincode'+id).val(pincode);
                    $('#location_error'+id).html('');

                  }

                }

              });

             
            });



        }

      }
 








  function pickup()
{
	
	var flight = $('#flight').val();
	var cab = $('#cab_type').val();
	
	 $.ajax({
        type: "POST",
        url: "{{ url('pickupchangetime') }}",
        data: {
          "cab": cab,
          "flight": flight,
          "_token": "{{ csrf_token() }}",
        },
        success: function(result) 
		{
          $('#pickup').val(result);
        }
  });
}
</script>



<script type="text/javascript">
  function initAutocomplete() {

    var input1 = document.getElementById('locality1');


    var options = {
      /*types: ['geocode', 'establishment'], */
    };

    var autocomplete1 = new google.maps.places.Autocomplete(input1, options);

    google.maps.event.addListener(autocomplete1, 'place_changed', function() {
      var place = autocomplete1.getPlace();
      var lat = place.geometry.location.lat();
      var lng = place.geometry.location.lng();

      var cityName, stateName, countryName;
      var pincode = null;

      for (var sc = 0; sc < place.address_components.length; sc++) {

        if (place.address_components[sc].types[0] == "postal_code") {
          pincode = place.address_components[sc].long_name;
        }

      }

      const apiKey = "AIzaSyDgx-BEIFmY5JVvy_tn2TC5KCp9xAtSagE";
          fetch(`https://maps.googleapis.com/maps/api/geocode/json?latlng=${lat},${lng}&key=${apiKey}`)
            .then((response) => response.json())
            .then((data) => {
              const pincode = getPincodeFromGeocode(data);

              $.ajax({
                type: "POST",
                url: '{{ url('checkpincode') }}',
                data: {
                  "pincode": pincode,
                  "_token": "{{ csrf_token() }}",
                },
                success: function(result) {

                  var checkpincode1 = result.check;
                  if (checkpincode1 == 2) {
                    $('#pincode1').val('');
                    $('#location_error1').html('Service is not available for this area');
                  } else {
                    $('#pincode1').val(pincode);
                    $('#location_error1').html('');

                  }

                }

              });


            });





      //   $('#pincode1').val(pincode);

     

     

    });




    var input2 = document.getElementById('locality2');


    var options = {
    /*  types: ['geocode', 'establishment'],  */
    };

    var autocomplete2 = new google.maps.places.Autocomplete(input2, options);

    google.maps.event.addListener(autocomplete2, 'place_changed', function() {
      var place = autocomplete2.getPlace();
      var lat = place.geometry.location.lat();
      var lng = place.geometry.location.lng();

      var cityName, stateName, countryName, pincode;

      for (var sc = 0; sc < place.address_components.length; sc++) {

        if (place.address_components[sc].types[0] == "postal_code") {
          pincode = place.address_components[sc].long_name;
        }

      }
      const apiKey = "AIzaSyDgx-BEIFmY5JVvy_tn2TC5KCp9xAtSagE";

      fetch(`https://maps.googleapis.com/maps/api/geocode/json?latlng=${lat},${lng}&key=${apiKey}`)
            .then((response) => response.json())
            .then((data) => {
              const pincode2 = getPincodeFromGeocode(data);

              $.ajax({
                type: "POST",
                url: '{{ url('checkpincode') }}',
                data: {
                  "pincode": pincode2,
                  "_token": "{{ csrf_token() }}",
                },
                success: function(result) {

                  var checkpincode2 = result.check;
                  if (checkpincode2 == 2) {
                    $('#pincode2').val('');
                    $('#location_error2').html('Service is not available for this area');
                  } else {
                    $('#pincode2').val(pincode);
                    $('#location_error2').html('');

                  }

                }

              });


            });


     



    });





    var input3 = document.getElementById('locality3');


    var options = {
     /* types: ['geocode', 'establishment'],  */
    };

    var autocomplete3 = new google.maps.places.Autocomplete(input3, options);

    google.maps.event.addListener(autocomplete3, 'place_changed', function() {
      var place = autocomplete3.getPlace();
      var lat = place.geometry.location.lat();
      var lng = place.geometry.location.lng();

      var cityName, stateName, countryName, pincode;

      for (var sc = 0; sc < place.address_components.length; sc++) {

        if (place.address_components[sc].types[0] == "postal_code") {
          pincode = place.address_components[sc].long_name;
        }

      }
      const apiKey = "AIzaSyDgx-BEIFmY5JVvy_tn2TC5KCp9xAtSagE";

      fetch(`https://maps.googleapis.com/maps/api/geocode/json?latlng=${lat},${lng}&key=${apiKey}`)
            .then((response) => response.json())
            .then((data) => {
              const pincode3 = getPincodeFromGeocode(data);

              $.ajax({
                type: "POST",
                url: '{{ url('checkpincode') }}',
                data: {
                  "pincode": pincode3,
                  "_token": "{{ csrf_token() }}",
                },
                success: function(result) {

                  var checkpincode3 = result.check;
                  if (checkpincode3 == 2) {
                    $('#pincode3').val('');
                    $('#location_error3').html('Service is not available for this area');
                  } else {
                    $('#pincode3').val(pincode);
                    $('#location_error3').html('');

                  }

                }

              });


            });


    

    });


  }
</script>


<script>
  $(document).ready(function() {
    $('#datepicker').datepicker({
      format: 'dd-mm-yyyy',
      uiLibrary: 'bootstrap',
    
      autoclose: false,
      minDate: function() {
        var date = new Date();
       
        date.setHours(date.getHours() + 48); // Set minDate to 18 hours from the current time

        return new Date(date.getFullYear(), date.getMonth(), date.getDate());
      },
      beforeShowDay: function(date) {
        var currentDate = new Date(); // Get the current date
        var bgColor = (date.getTime() >= currentDate.getTime()) ? '#00ff00' : ''; // Set background color to green for dates starting from the current date

        return [true, 'selectable-date', bgColor];
      },
      onSelect: function(date) {


      }
    });
  });
</script>



<script>
  $(document).ready(function() {


    $('select').selectpicker();



  });
</script>



<script>
  $("body").on("change", "#route", function() {
    var row_id = $(this).val();
    $.ajax({
      type: "POST",
      url: '{{ url('getflightbyroute') }}',
      data: {
        "_token": "{{ csrf_token() }}",
        "route": row_id
      },
      success: function(result) {
        //console.log(result);
     //   console.log(result);
        $('#flight').empty();
        var flight = $('#flight');
      //  flight.selectpicker('destroy');

        flight.append("<option value=''>Choose Flight</option>");
        $.each(result, function(key, value) {
          flight.append("<option value='" + value.id + "'>" + value.name + "</option>");
        });

        flight.selectpicker('refresh');



        // flight.selectpicker('refresh');
      //  flight.selectpicker('destroy');

      /*  var options = $('#flight option');
        options.sort(function(a, b) {
            return a.getAttribute('data-icon') - b.getAttribute('data-icon');
        });

        $('#flight').empty().append(options);

        // Refresh the SelectPicker to apply changes
        $('#flight').selectpicker('refresh');


       // flight.selectpicker('refresh').selectpicker('render').trigger('change'); */


      }
    });
  });


  $("body").on("change", "#cab_type", function() {

    var row_id = $(this).val();
	
	pickup();

    if (row_id == 'Sharing') {

      handlechangepasss();
      $('#cab_car_div').hide();
      $('#cab_car').prop('required', false);

      $('#no_of_passenger_div').show();
      $('#no_of_passenger').prop('required', true);

      var no_of_passenger   = $('#no_of_passenger').val();
   

   /*   if( no_of_passenger!='' &&  no_of_passenger > 1)
      {
        console.log(no_of_passenger);

        $('#additional_pickup_drop_div').show();
      }else{
        $('#additional_pickup_drop_div').hide();

      } */

      $('#amount').text('0');
      $('#grandtotal').text('0');


    } else if (row_id == 'Special') {

      $('#cab_car_div').show();
      $('#cab_car').prop('required', true);

      $('#no_of_passenger_div').hide();
     /* $('#no_of_passenger').prop('required', false);*/

      $('#amount').text('0');
      $('#grandtotal').text('0');

     


    } else {

      $('#cab_car_div').hide();
      $('#cab_car').prop('required', false);


      $('#no_of_passenger_div').hide();
      $('#no_of_passenger').prop('required', false);

      $('#amount').text('0');
      $('#grandtotal').text('0');

     
    }

    getdiscount();

  });

  function handlechangepasss() {

    var no_of_passenger = $('#no_of_passenger').val();

    $.ajax({
      type: "get",
      url: '{{ url('getcabamount') }}',
      data: {


      },
      success: function(result) {

        $('#amount').text(result.amount * no_of_passenger);
        $('#pickupdrop_charge').text(0);

        getdiscount();

      }

    });

  }

  function getamount_cabbytype() {
    var cab_car = $('#cab_car').val();
    var cab_type = $('#cab_type').val();
    var no_of_address = $('#no_of_address').val();
    var no_of_passenger = $('#no_of_passenger').val();
    // alert(no_of_address);
    $.ajax({
      type: "POST",
      url: '{{ url('getamount_cabbytype') }}',
      data: {
        "type": cab_car,
        "no_of_address": no_of_address,
        "cab_type":cab_type,
        "no_of_passenger":no_of_passenger,
        "_token": "{{ csrf_token() }}",
      },
      success: function(result) {

          $('#amount').text(result.amount);
          $('#pickupdrop_charge').text(result.pickupdrop_charge);
        getdiscount();
        var no_of_passenger = 1;
        
        

       /* var stringhtml = '';
        for (var i = 0; i < no_of_passenger; i++) {
          stringhtml += ` <div class="col-sm-12">
                                    <label for="">Location ${i+1}</label>
                                    <input type="text" name="location[]" id="locality${i+1}"  onfocus="initAutocomplete()" class="form-control locality" required>



                                    <input  type="hidden" name="pincode[]" id="pincode${i+1}"  >
                                    <span id="location_error${i+1}" class="errorlocation" ></span>



                                  </div>`;

        }

        $('#location_div').html(stringhtml); */



      }

    });


  }


  function getdiscount() {

    var voucher = $('#voucher').val();
    var amount = $('#amount').text();
    var pickupdrop_charge = $('#pickupdrop_charge').text();
    $.ajax({
      type: "POST",
      url: '{{ url('getdiscount') }}',
      data: {
        "voucher": voucher,
        "amount": amount,
         pickupdrop_charge,
        "_token": "{{ csrf_token() }}",
      },
      success: function(result) {

        if (result.error) {
          $('#voucherError').text(result.error).addClass('error-message');
          $('#grandtotal').text(result.grand_total);
          $('#gst_amount').text(result.gst_amount);
          $('#convenience_fee').text(result.convenience_fee);
          $('#voucher_discount').text('0');
        } else {
          $('#grandtotal').text(result.grand_total);
          $('#voucher_discount').text(result.discount);
          $('#gst_amount').text(result.gst_amount);
          $('#convenience_fee').text(result.convenience_fee);


          $('#voucherError').text('').removeClass('error-message');
        }
      },
      error: function(xhr, status, error) {

        console.error(xhr.responseText);
      }
    });
  } 

 
</script>

<script>
function locationadd()
{
	 var no_of_address = $('#no_of_address').val();
	 
	    var stringhtml = 	"";
	    var stringhtmladdress = 	"";
        // for (var i = 0; i < no_of_address; i++) {
        //   stringhtml += ` <div class="col-sm-11">
        //                   <label for="">Google Location of Near by Landmark ${i+1}</label>
        //                   <input type="text" name="location[]" id="locality${i+1}" onfocus="initAutocomplete()" class="form-control locality" required >

        //                   <input  type="hidden" name="pincode[]" id="pincode${i+1}"  > 

        //                   <span id="location_error${i+1}"  class="errorlocation"></span>

        //                   </div><div class="mainmedia col-md-1" style="margin-top: 30px;"><button type="button"  class="mainbtn btn btn-primary" onclick="getcurrentlocation(${i+1})"> <i class="fa fa-location-arrow"> </i> </button> </div>`;

        // }


        for (var i = 0; i < no_of_address; i++) {
          stringhtmladdress += ` <div class="col-sm-6">
                          <label for="">Address ${i+1}</label>
                          <input type="text" name="address[]" id="address${i+1}" class="form-control" required >

                      
                          </div>`;

        }

        $('#address_div').html(stringhtmladdress);

        // $('#location_div').html(stringhtml);
        var cab_type = $('#cab_type').val();
        var no_of_passenger = $('#no_of_passenger').val();
        var no_of_address = $('#no_of_address').val();
          getamount_cabbytype();
        
	 
}


</script>



<script src="https://checkout.razorpay.com/v1/checkout.js"></script>

<script>
  $(document).ready(function () {
       
    // Swal.fire({
    //                   title: "Booking saved",
    //                   showClass: {
    //                     popup: `
    //                       animate__animated
    //                       animate__fadeInUp
    //                       animate__faster
    //                     `
    //                   },
    //                   hideClass: {
    //                     popup: `
    //                       animate__animated
    //                       animate__fadeOutDown
    //                       animate__faster
    //                     `
    //                   }
    //               });



    $('#bookingForm').submit(function (e) {
      e.preventDefault(); 

      var formData = new FormData(this);

      $.ajax({
        type: 'POST',
        url: '{{ url('validateAndSaveBooking') }}', // Replace with your validation route
        data: formData,
        contentType: false,
        processData: false,
        success: function (response) {
          if (response.success) {
            $(".custom-model-main").addClass('model-open');

            $(".main-check-out").click(function(){

              razorpay(response.grandtotal,response.booking_id);

            });


         //   razorpay(response.grandtotal);
            
          } else {

            Swal.fire({
              icon: "error",  
              title: "Oops...",
              text: response.errors,
         
            });


          }
        },
        error: function (xhr, status, error) {
          console.error(xhr.responseText);
        }
      });


    });
  });


  
</script>



<script>


       


  var SITEURL = '{{ url('onlinepay') }}';
     function razorpay(totalAmount,booking_id) {
    
       var options = {
       "key": "{{ config('app.razorpaykey') }}",
       "amount": (totalAmount*100), 
       "name": "abdg travel",
       "description": "Payment",
       "image": "https://abdgtravels.com/public/assets/design/images/abdg.png",
       "image": "https://abdgtravels.com/public/assets/design/images/abdg.png",
       "notes": {
        "booking_id": booking_id
      },

       "handler": function (response){
             $.ajax({ 
               url: SITEURL,
               type: 'post', 
               dataType: 'json',
               data: { 
               	"_token": "{{ csrf_token() }}",
                  razorpay_payment_id: response.razorpay_payment_id , 
                  booking_id,

                  totalAmount : totalAmount, 
                  "total":totalAmount,
                }, 
              success: function (data) {
                if(data.status==true){ 
                          
    $(".custom-model-main").removeClass('model-open');
                   
                  
                  Swal.fire({
                      title: "We have received your booking. We will update you through WhatsApp soon.",
                      showClass: {
                        popup: `
                          animate__animated
                          animate__fadeInUp
                          animate__faster
                        `
                      },
                      hideClass: {
                        popup: `
                          animate__animated
                          animate__fadeOutDown
                          animate__faster
                        `
                      }
                  });


                  
                    setTimeout(() => {
                      location.reload();
                    }, 3000);


                }else{

                  Swal.fire({
                    position: "top-end",
                    icon: "fail",
                    title: "Somthing want's Wrong",
                    showConfirmButton: false,
                    timer: 1500
                  });   
                            


                }
              }
            });  
         
       },
      "modal": {
          "ondismiss": function(){
              location.reload()
          }
      },
     
       "theme": {
           "color": "#528FF0"
       }
     };
     var rzp1 = new Razorpay(options);
     rzp1.open();
     //e.preventDefault();
     }
</script>

<script>
  $(".Click-here").on('click', function () {
    $(".custom-model-main1").addClass('model-open');
  });
  $(".close-btn, .bg-overlay").click(function () {
    $(".custom-model-main").removeClass('model-open');
  });

  $(".close-btn1, .bg-overlay").click(function () {
    $(".custom-model-main1").removeClass('model-open');
  });




</script>

@endsection