@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.subapp')
@section('metapart')
	<meta property="og:url" content="">
	<meta property="og:title" content="Category">
	<meta property="og:description" content="Category">
	<meta property="og:type" content="Website">
	<meta property="og:image" content="{{ url('public/assets/user') }}/images/about-3-1.png">
	<meta property="og:image:secure_url" content="{{ url('public/assets/user') }}/images/about-3-1.png">
	<meta property="og:image:type" content="image/jpg">
	<meta property="og:image:width" content="200">
	<meta property="og:image:height" content="200">
@endsection

<title>{{$sitesetting->meta_tag}} | Category</title>

@section('body')
<div class="inner-banner">
	<div class="container">
		<h3>Category</h3>
		<ul class="breadcumb">
			<li><a href="{{ url('/') }}">Home</a></li>
			<li><span class="sep"><i class="fa fa-angle-right"></i></span></li>
			<li><span>Category</span></li>
		</ul>
	</div>
</div>
<section class="blog-listing-page sec-pad">
	<div class="container">
		<div class="row">
			@foreach($category as $cat)
			<div class="col-md-4">
				<div class="single-blog-style-two">
					<div class="img-box">
						<img src="{{ $cat->image_url }}" alt="Awesome Image" />
					</div>
					<div class="text-box">
						<a href="#"><h3>{{ $cat->name }}</h3></a>
					</div>
				</div>
			</div>
			@endforeach
		</div>
	</div>
</section>


@endsection
@section('js')
@endsection