@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta property="og:url" content="">
<meta property="og:title" content="Category">
<meta property="og:description" content="Category">
<meta property="og:type" content="Website">
<meta property="og:image" content="{{ url('public/assets/user') }}/images/about-3-1.png">
<meta property="og:image:secure_url" content="{{ url('public/assets/user') }}/images/about-3-1.png">
<meta property="og:image:type" content="image/jpg">
<meta property="og:image:width" content="200">
<meta property="og:image:height" content="200">
@endsection

@section('pagetitle')
<title>{{$sitesetting->meta_tag}}z | companylist</title>
@endsection

@section('body')



<style>
    @media screen and (max-width: 420px) {
        .listing-title-bar {
            text-align: center;
        }
    }

    @media screen and (max-width: 767px) {

        .mainimgpart {
            column-gap: 20px;
            align-items: center;
            flex-wrap: wrap;
            justify-content: center;
        }

        .mainfles {
            display: flex;
            column-gap: 20px;
            flex-wrap: wrap;
        }

        .footer-widget {
            margin-left: 0px !important;
            text-align: start !important;
        }
    }
    img.fancybox-image{
        height: 500px;
        margin-top: 100px;
    }
    .card img{
        width: 300px;
        height: 300px;
    }
    .icons {
        margin-top: 20px;
    }

    .maintag h4 {
        font-size: 18px;
        margin: 10px;
    }

    .maintag {
        display: contents;
    }

    .maintitel h2 {
        margin-top: 25px;
    }

    .maintitel {
        text-align: center;
    }

    .mainfles {
        display: flex;
        column-gap: 20px;
    }

    .slidertext {
        background-color: #f9f9f9;
        padding-top: 14px;
        border-radius: 10px;
    }

    .icon {
        display: inline-block;
        width: 1em;
        height: 1em;
        stroke-width: 0;
        stroke: currentColor;
        fill: currentColor;
    }

    .blend-image,
    .card__background img {
        /* filter: brightness(250%) grayscale(100%); */
        /* mix-blend-mode: screen; */
    }

    .center-image,
    .card__background img {
        width: 100%;
        min-height: 100%;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        -o-object-fit: cover;
        object-fit: cover;
    }

    .slick-slide {
        padding: 2em 0.5em;
    }

    .card-slider {
        margin: auto;
        width: 100%;
    }

    .card {
        background: #fff;
        display: flex;
        padding: 2em;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-end;
        border-radius: 20px;
        overflow: hidden;
        position: relative;
        z-index: 1;
        height: 350px;
    }

    .card>* {
        transition: opacity 350ms;
    }

    .card--opened>* {
        opacity: 0;
    }

    .card__background {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        overflow: hidden;
        background: #2fd4dc;
        z-index: -1;
        text-align: left;
    }

    .card__background::after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        /* background: linear-gradient(to top, #fff 0, rgba(255, 255, 255, 0) 70%); */
    }

    .card__category {
        text-transform: uppercase;
        color: #fff;
        background: #2fd4dc;
        font-size: 0.85em;
        font-weight: 600;
        padding: 0.2em 0.5em 0.25em;
    }

    .card__title {
        text-transform: uppercase;
        margin: 0.5em 0;
        color: #2e5f80;
    }

    .card__duration {
        color: #6f7070;
    }

    .modal-wrapper,
    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
    }

    .modal-wrapper {
        display: flex;
    }

    .overlay {
        background: rgba(0, 0, 0, 0.5);
        transition: opacity 150ms ease;
    }

    .modal {
        overflow: hidden;
        position: relative;
        margin: auto;
        width: 90vw;
        height: 90vh;
        max-width: 500px;
        background: #fff;
        border-radius: 20px;
    }

    .modal__scroll-area {
        height: inherit;
        overflow: auto;
        border-radius: inherit;
        position: relative;
        z-index: 1;
    }

    .modal__close-button {
        background: transparent;
        border: none;
        margin-bottom: auto;
        color: #2e5f80;
        position: absolute;
        top: 0;
        right: 0;
        padding: 2em;
        z-index: 2;
    }

    .modal__header {
        text-align: center;
        position: relative;
        display: flex;
        padding: 0.5em;
        flex-direction: column;
        justify-content: flex-end;
        align-items: center;
        min-height: 300px;
        z-index: 1;
    }

    .modal__content {
        padding: 2em;
        color: #666;
        line-height: 1.5;
    }

    [data-modal-state=closed] .modal-wrapper {
        pointer-events: none;
    }

    [data-modal-state=closed] .overlay {
        pointer-events: none;
    }

    [data-modal-state=closed] .modal {
        opacity: 0;
    }

    [data-modal-state=closed] .overlay {
        opacity: 0;
    }

    [data-modal-state=opening] .modal__header,
    [data-modal-state=opening] .modal__content,
    [data-modal-state=opening] .modal__close-button,
    [data-modal-state=closing] .modal__header,
    [data-modal-state=closing] .modal__content,
    [data-modal-state=closing] .modal__close-button {
        opacity: 0;
    }

    [data-modal-state=opening] .overlay {
        transition: opacity 500ms ease;
    }

    [data-modal-state=closing] .overlay {
        opacity: 0;
        transition: opacity 500ms ease;
    }

    [data-modal-state=open] .modal__header,
    [data-modal-state=open] .modal__content {
        transition: opacity 450ms;
    }

    .responsive-map {
        overflow: hidden;
        padding-bottom: 56.25%;
        position: relative;
        height: 0;
    }

    .responsive-map iframe {
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        position: absolute;
    }

    .mainimgpart {
        display: flex;
        column-gap: 20px;
        align-items: center;
    }

    .profile-pic {
        color: transparent;
        transition: all 0.3s ease;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        transition: all 0.3s ease;
    }

    .profile-pic input {
        display: none;
    }

    .profile-pic img {
        position: absolute;
        object-fit: cover;
        width: 165px;
        height: 165px;
        box-shadow: 0 0 10px 0 rgba(255, 255, 255, 0.35);
        border-radius: 100px;
        z-index: 0;
    }

    .profile-pic .-label {
        cursor: pointer;
        height: 165px;
        width: 165px;
    }

    .profile-pic:hover .-label {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.8);
        z-index: 10000;
        color: #fafafa;
        transition: background-color 0.2s ease-in-out;
        border-radius: 100px;
        margin-bottom: 0;
    }

    .profile-pic span {
        display: inline-flex;
        padding: 0.2em;
        height: 2em;
    }
</style>

<!-- ================ Listing Detail Basic Information ======================= -->
<section class="detail-section bg-image" style="background:url(public/assets/design/images/slider01.jpg);" data-overlay="6">
    <div class="profile-cover-content">
        <div class="container">
            <div class="listing-owner hidden-xs hidden-sm">
                <div class="listing-owner-avater">
                    <img id="profilePic1" class="img-responsive img-circle" src="public/assets/design/images/img01.jpg">
                </div>
                <div class="listing-owner-detail">
                    <h4>Lucy Lukie</h4>
                    <span class="theme-cl">Web Designer</span>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- ================ End Listing Detail Basic Information ======================= -->


<!-- ================ Listing Detail Full Information ======================= -->
<section class="list-detail">
    <div class="container">
        <div class="row">
            <!-- Start: Listing Detail Wrapper -->
            <div class="col-md-12 col-sm-12">
                <div class="detail-wrapper">
                    <div class="detail-wrapper-body">
                        <div class="mainimgpart">

                            <div class="profile-pic">
                                <label class="-label" for="file">
                                    <span class="glyphicon glyphicon-camera"></span>
                                    <span>Change Image</span>
                                </label>
                                <input id="file" type="file" onchange="loadFile(event)" />
                                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRvKCZ5YUjRMehoNoNj4ejCBYT2knuhQoltBNFCIFPXtbDA_bMSgwTMfDB8skzRwKyknP8&usqp=CAU" id="output" width="200" />
                            </div>
                            <div class="listing-title-bar">
                                <h3>business name </h3>
                                <div>
                                    <a href="#listing-location" class="listing-address">
                                        <i class="ti-location-pin mrg-r-5"></i>
                                        business address
                                    </a>
                                    <p>business category</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="mainfles">
                    <div class="widget-boxed">
                        <div class="widget-boxed-header">
                            <h4></i>Business Overview</h4>
                        </div>
                        <div class="widget-boxed-body">
                            <div class="side-list no-border">
                                <ul>
                                    <li>
                                        <h4 class="maintag">Addr1 :</h4></i>suppoer@listinghub.com
                                    </li>
                                    <li>
                                        <h4 class="maintag">Addr2 :</h4></i>suppoer@listinghub.com
                                    </li>
                                    <li>
                                        <h4 class="maintag">Location :</h4></i>suppoer@listinghub.com
                                    </li>
                                    <li>
                                        <h4 class="maintag">State :</h4></i>suppoer@listinghub.com
                                    </li>
                                    <li>
                                        <h4 class="maintag">Pincode :</h4></i>suppoer@listinghub.com
                                    </li>
                                    <li>
                                        <h4 class="maintag">City :</h4></i>suppoer@listinghub.com
                                    </li>
                                    <li>
                                        <h4 class="maintag">Country :</h4></i>suppoer@listinghub.com
                                    </li>
                                </ul>
                            </div>
                            <h5 class="icons">Social Media</h5>
                            <ul class="side-list-inline no-border social-side">
                                <li><a href="https://www.facebook.com/"><i class="fa fa-facebook theme-cl"></i></a></li>
                                <li><a href="https://www.google.co.in/"><i class="fa fa-google-plus theme-cl"></i></a></li>
                                <li><a href="https://twitter.com/i/flow/login"><i class="fa fa-twitter theme-cl"></i></a></li>
                                <li><a href="https://in.linkedin.com/"><i class="fa fa-linkedin theme-cl"></i></a></li>
                                <li><a href="https://in.pinterest.com/"><i class="fa fa-pinterest theme-cl"></i></a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="detail-wrapper">
                        <div class="detail-wrapper-header">
                            <h4>Location</h4>
                        </div>
                        <div class="detail-wrapper-body">
                            <!-- <div id="map_full_width_one" class="full-width" style="height:400px;"></div> -->
                            <div class="responsive-map">
                                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d118147.80351149273!2d70.82129635!3d22.27348695!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3959c98ac71cdf0f%3A0x76dd15cfbe93ad3b!2sRajkot%2C%20Gujarat!5e0!3m2!1sen!2sin!4v1702380410644!5m2!1sen!2sin" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="maintitel">
                    <h2>Product</h2>
                </div>
                <div class="page" data-modal-state="closed">
                    <div class="container">
                        <div class="card-slider">
                            <div class="card-wrapper">
                                <article class="card">
                                    <a href="https://source.unsplash.com/Lzx4J_Pb3sk/1500x1000" data-fancybox="group">
                                        <img src="https://source.unsplash.com/Lzx4J_Pb3sk/240x160" />
                                    </a>
                                </article>
                                <div class="slidertext">
                                    <h4>Cole Harris</h4>
                                    <p>At Vero Eos Et Accusamus Et Iusto Odio Dignissimos Ducimus Qui Blanditiis Praesentium Voluptatum Deleniti Atque Corrupti Quos Dolores Et Quas Molestias.</p>
                                </div>
                            </div>
                            <div class="card-wrapper">
                                <article class="card">
                                    <a href="https://source.unsplash.com/Lzx4J_Pb3sk/1500x1000" data-fancybox="group">
                                        <img src="https://source.unsplash.com/Lzx4J_Pb3sk/240x160" />
                                    </a>
                                </article>
                                <div class="slidertext">
                                    <h4>Cole Harris</h4>
                                    <p>At Vero Eos Et Accusamus Et Iusto Odio Dignissimos Ducimus Qui Blanditiis Praesentium Voluptatum Deleniti Atque Corrupti Quos Dolores Et Quas Molestias.</p>
                                </div>
                            </div>
                            <div class="card-wrapper">
                                <article class="card">
                                    <a href="https://source.unsplash.com/Lzx4J_Pb3sk/1500x1000" data-fancybox="group">
                                        <img src="https://source.unsplash.com/Lzx4J_Pb3sk/240x160" />
                                    </a>
                                </article>
                                <div class="slidertext">
                                    <h4>Cole Harris</h4>
                                    <p>At Vero Eos Et Accusamus Et Iusto Odio Dignissimos Ducimus Qui Blanditiis Praesentium Voluptatum Deleniti Atque Corrupti Quos Dolores Et Quas Molestias.</p>
                                </div>
                            </div>
                            <div class="card-wrapper">
                                <article class="card">
                                    <a href="https://source.unsplash.com/Lzx4J_Pb3sk/1500x1000" data-fancybox="group">
                                        <img src="https://source.unsplash.com/Lzx4J_Pb3sk/240x160" />
                                    </a>
                                </article>
                                <div class="slidertext">
                                    <h4>Cole Harris</h4>
                                    <p>At Vero Eos Et Accusamus Et Iusto Odio Dignissimos Ducimus Qui Blanditiis Praesentium Voluptatum Deleniti Atque Corrupti Quos Dolores Et Quas Molestias.</p>
                                </div>
                            </div>
                            <div class="card-wrapper">
                                <article class="card">
                                    <a href="https://source.unsplash.com/Lzx4J_Pb3sk/1500x1000" data-fancybox="group">
                                        <img src="https://source.unsplash.com/Lzx4J_Pb3sk/240x160" />
                                    </a>
                                </article>
                                <div class="slidertext">
                                    <h4>Cole Harris</h4>
                                    <p>At Vero Eos Et Accusamus Et Iusto Odio Dignissimos Ducimus Qui Blanditiis Praesentium Voluptatum Deleniti Atque Corrupti Quos Dolores Et Quas Molestias.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- End: Listing Detail Wrapper -->
            <div class="col-md-8">

            </div>

        </div>
    </div>
</section>


<!-- ================ Listing Detail Full Information ======================= -->


@endsection

@section('js')
<script>
    var loadFile = function(event) {
        var image = document.getElementById("output");
        image.src = URL.createObjectURL(event.target.files[0]);
    };
</script>

<script>
    jQuery('.card-slider').slick({
        slidesToShow: 3,
        autoplay: true,
        speed: 3000,
        slidesToScroll: 2,
        dots: false,
        responsive: [{
                breakpoint: 768,
                settings: {
                    slidesToShow: 2
                }
            },
            {
                breakpoint: 600,
                settings: {
                    slidesToShow: 1
                }
            }
        ]
    });

    let cards = document.querySelectorAll('.card');
    let card;
    let modal = document.querySelector('.modal');
    let closeButton = document.querySelector('.modal__close-button');
    let page = document.querySelector('.page');
    const cardBorderRadius = 20;
    const openingDuration = 600; //ms
    const closingDuration = 600; //ms
    const timingFunction = 'cubic-bezier(.76,.01,.65,1.38)';

    var Scrollbar = window.Scrollbar;
    Scrollbar.init(document.querySelector('.modal__scroll-area'));


    function flipAnimation(first, last, options) {
        let firstRect = first.getBoundingClientRect();
        let lastRect = last.getBoundingClientRect();

        let deltas = {
            top: firstRect.top - lastRect.top,
            left: firstRect.left - lastRect.left,
            width: firstRect.width / lastRect.width,
            height: firstRect.height / lastRect.height
        };

        return last.animate([{
            transformOrigin: 'top left',
            borderRadius: `
    ${cardBorderRadius/deltas.width}px / ${cardBorderRadius/deltas.height}px`,
            transform: `
      translate(${deltas.left}px, ${deltas.top}px) 
      scale(${deltas.width}, ${deltas.height})
    `
        }, {
            transformOrigin: 'top left',
            transform: 'none',
            borderRadius: `${cardBorderRadius}px`
        }], options);
    }

    cards.forEach((item) => {
        item.addEventListener('click', (e) => {
            jQuery('.card-slider').slick('slickPause');
            card = e.currentTarget;
            page.dataset.modalState = 'opening';
            card.classList.add('card--opened');
            card.style.opacity = 0;
            document.querySelector('body').classList.add('no-scroll');

            let animation = flipAnimation(card, modal, {
                duration: openingDuration,
                easing: timingFunction,
                fill: 'both'
            });

            animation.onfinish = () => {
                page.dataset.modalState = 'open';
                animation.cancel();
            };
        });
    });

    closeButton.addEventListener('click', (e) => {
        page.dataset.modalState = 'closing';
        document.querySelector('body').classList.remove('no-scroll');

        let animation = flipAnimation(card, modal, {
            duration: closingDuration,
            easing: timingFunction,
            direction: 'reverse',
            fill: 'both'
        });

        animation.onfinish = () => {
            page.dataset.modalState = 'closed';
            card.style.opacity = 1;
            card.classList.remove('card--opened');
            jQuery('.card-slider').slick('slickPlay');
            animation.cancel();
        };
    });
</script>

<script>
    $('[data-fancybox]').fancybox({
        // Options will go here
        buttons: [
            'close'
        ],
        wheel: false,
        transitionEffect: "slide",
        // thumbs          : false,
        // hash            : false,
        loop: true,
        // keyboard        : true,
        toolbar: false,
        // animationEffect : false,
        // arrows          : true,
        clickContent: false
    });
</script>

@endsection