@php
$sitesetting=\App\Model\Sitesetting::first();
$category=\App\Model\Category::get();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}"> 
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Contact</title>
@endsection
@section('body')

<style>
    .mainfooter-from{
        display: flex;
        justify-content: center;
    }
</style>



 <!--=====pages hero header end=======-->

  <section class="title-transparent page-title" style="background:url(public/assets/design/images/title-bg.jpg);">
            <div class="container">
                <div class="title-content" style="margin-top:143px;">
                    <h1>Contact</h1>
                    <div class="breadcrumbs"> 
                        <a href="#">Home</a>
                        <span class="gt3_breadcrumb_divider"></span>
                        <span class="current">Contact</span>
                    </div>
                </div>
            </div>
        </section>
        <div class="clearfix"></div>
        <!-- ================ End Page Title ======================= -->


        <!-- ================ Office Address ======================= -->
        <section class="padd-0">
            <div class="container">
                <div class="col-md-10 col-md-offset-1 col-sm-12 translateY-60">
                    <div class="col-md-6 col-sm-6">
                        <div class="detail-wrapper text-center padd-top-40 mrg-bot-10 padd-bot-40 light-bg">
                            <i class="theme-cl font-30 ti-location-pin"></i>
                            <h4>Address</h4>
                            {{$sitesetting->comp_address}}
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6">
                        <div class="detail-wrapper text-center padd-top-40 mrg-bot-10 padd-bot-40 light-bg">
                            <i class="theme-cl font-30 ti-location-pin"></i>
                            <h4>Mobile No.</h4>
							<a href="tel:{{$sitesetting->comp_phone}}">{{$sitesetting->comp_phone}}</a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- ================ End Office Address ======================= -->

        <!-- ================ Fill Forms ======================= -->
        <section class="padd-top-0">
            <div class="container mainfooter-from">
                <div class="col-md-6 col-sm-6">
                    <form>
                        <div class="form-group">
                            <label>Name:</label>
                            <input type="text" class="form-control" placeholder="Name" />
                        </div>
                        <div class="form-group">
                            <label>Email:</label>
                            <input type="email" class="form-control" placeholder="Email" />
                        </div>
                        <div class="form-group">
                            <label>Message:</label>
                            <textarea class="form-control height-120" placeholder="Message"></textarea>
                        </div>
                        <div class="form-group">
                            <button class="btn theme-btn" name="submit">Send Request</button>
                        </div>
                    </form>
                </div>
                <!-- <div class="col-md-6 col-sm-6">
                    <div id="singleMap" data-latitude="42.7427837" data-longitude="-83.11445617675781"></div>
                </div> -->
            </div>
        </section>
@endsection

