@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | About</title>
@endsection
@section('body')

 <div class="slider">
        <div><img src="{{url('public/assets/user')}}/img/home2-liting-1.png" alt="Image 1"></div>
        <div><img src="{{url('public/assets/user')}}/img/home2-liting-2.png" alt="Image 2"></div>
        <div><img src="{{url('public/assets/user')}}/img/home2-liting-1.png" alt="Image 3"></div>
        <div><img src="{{url('public/assets/user')}}/img/new-litings1.png" alt="Image 4"></div>
   </div>

@endsection
@section('js')
<script>
    $(document).ready(function(){
        $('.slider').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            dots: true,
            arrows: true,
            autoplay: true,
            autoplaySpeed: 2000,
        });
    });
</script>
@endsection