@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
	<meta name="description" content="{{$sitesetting->description}}">
    <meta name="keywords" content="{{$sitesetting->meta_tag}}">
    <meta name="robots" content="all">
    
    <meta name="twitter:site" content="@ajtechnomech">
    <meta name="twitter:creator" content="@ajtechnomech">
    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="ajtechnomech">
    <meta name="twitter:description" content="ajtechnomech">
    <meta name="twitter:image" content="img/bg-default.jpg">
    <meta property="og:url" content="https://www.ajtechnomech.com">
    <meta property="og:title" content="ajtechnomech">
    <meta property="og:description" content="ajtechnomech">
    <meta property="og:type" content="website">
    <meta property="og:image" content="{{$sitesetting->image_url}}">
    <meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
    <meta property="og:image:type" content="image/jpg">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="630">
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Gallery</title>
@endsection
@section('body')
<div class="inner-banner">
	<div class="container">
		<h3>Gallery</h3>
		<ul class="breadcumb">
			<li><a href="{{ url('/') }}">Home</a></li>
			<li><span class="sep"><i class="fa fa-angle-right"></i></span></li>
			<li><span>Gallery</span></li>
		</ul>
	</div>
</div>
<section class="portfolio-style-two sec-pad">
	<div class="container">
		<div class="row masonary-layout filter-layout" data-filter-class="filter">
			@foreach($gallery as $gal)
			<div class="col-md-3 col-sm-6 col-xs-12 masonary-item single-filter-item oil ">
				<div class="single-portfolio-style-two">
					<div class="img-box">
						<img src="{{ $gal->image_url }}" alt="Awesome Image" />
						<div class="overlay">
							<div class="box">
								<div class="content">
									<a href="{{ $gal->image_url }}" class="img-popup icofont-ui-search"></a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			@endforeach
		</div>
	</div>
</section>



@endsection
@section('js')
@endsection