@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ strip_tags($productdetail->description) }}">
<meta name="keywords" content="{{$productdetail->name}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ strip_tags($productdetail->description) }}">
<meta name="twitter:image" content="{{$productdetail->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$productdetail->name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ strip_tags($productdetail->description) }}">
<meta property="og:image" content="{{ $productdetail->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$productdetail->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$productdetail->name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>{{$productdetail->name}} | {{ $productdetail->category->name }} | {{ $sitesetting->comp_name }}</title>
@endsection
@section('body')
<div class="breadcumb-wrapper" style="background-image: url('{{ url('public/assets/user')}}/img/breadcumb-bg.jpg');">
	<div class="container">
	  <div class="breadcumb-content">
		<h1 class="breadcumb-title">{{$productdetail->name}}</h1>
		<div class="breadcumb-menu-wrapper">
		  <ul class="breadcumb-menu">
			<li><a href="{{ url('/') }}">Home</a></li>
			<li>{{$productdetail->name}}</li>
		  </ul>
		</div>
	  </div>
	</div>
	<div class="breadcump-shape shape-mockup" data-bottom="0%" data-right="0%">
		<img src="{{ url('public/assets/user')}}/img/shape_2.png" alt="">
	</div>
</div>
<section class="space-top space-extra-bottom">
	<div class="container">
	  <div class="page-img">
		<img src="{{ $productdetail->image_url }}" alt="project Image"></div>
	  <div class="row">
		<ul class="project-details-wrap">
		  <li>
			<h6 class="title">Category:</h6>
			<p class="text">{{ $productdetail->category->name }}</p>
		  </li>
		</ul>
		<div class="page-content">
		  <h2 class="page-title">{{$productdetail->name}}</h2>
		  <p>{!!$productdetail->description !!}</p>                          
		</div>
	  </div>
	</div>
</section>

@endsection
@section('js')

@endsection