<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::ANY('razorpay/webh', 'Api\RazorpayController@razorpay_webh');
Route::ANY('razorpay/webhook', 'Api\RazorpayController@razorpay_webh');
Route::get('category', 'Api\CategoryController@index');
Route::get('category', 'Api\CategoryController@index');
Route::get('subcategory/{cid}', 'Api\CategoryController@sublevel');
Route::get('sitesetting', 'Api\CategoryController@sitesetting');
Route::get('file', 'Api\FileController@index');
Route::post('file-visit', 'Api\FileController@file_visit');
Route::get('random-data', 'Api\FileController@randomData');
Route::resource('favorite', 'Api\FavoriteController');

Route::post('user/login', 'Api\UserController@login');
Route::post('user/signup', 'Api\UserController@signup');
Route::post('user/getprofile', 'Api\UserController@get_profile');
Route::post('user/update_profile', 'Api\UserController@update_profile');
Route::post('user/verifyotp', 'Api\UserController@verifyotp');
Route::post('user/reset_password', 'Api\UserController@reset_password');
Route::post('user/changepassword', 'Api\UserController@changepassword');