<?php $__env->startSection('content'); ?>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Profile
                <small>Setting</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="<?php echo e(url('admin/home')); ?>"><i class="fa fa-user"></i> Home</a></li>
                <li class="active">Profile</li>
            </ol>
        </section>

        <section class="content">

            <div class="row">
                <!-- left column -->
                <div class="col-md-6 col-md-offset-1">
                    <?php echo $__env->make('flash', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Update Profile</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <?php echo Form::model($record,['route' => 'admin.profile_post', 'method' => 'post','files'=>true]); ?>

                            <div class="box-body">
                                <div class="form-group <?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Name <span class="text-danger">*</span></label>
                                    <?php echo Form::text('name',null, ['class' => 'form-control']); ?>

                                    <span class="help-block" id="error_name"><strong><?php echo e($errors->first('name')); ?></strong></span>
                                </div>
                                <div class="form-group <?php echo e($errors->has('email') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Email <span class="text-danger">*</span></label>
                                    <?php echo Form::text('email',null, ['class' => 'form-control']); ?>

                                    <span class="help-block" id="error_email"><strong><?php echo e($errors->first('email')); ?></strong></span>
                                </div>
                                <div class="form-group <?php echo e($errors->has('image') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Image <span class="text-danger">*</span></label>
                                    <?php echo Form::file('image', ['class' => ' thumb_image']); ?>

                                    <span class="help-block" id="error_image"><strong><?php echo e($errors->first('image')); ?></strong></span>
                                </div>
                            </div>
                            <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>
                <div class="col-md-3 text-center" >
                    <img src="<?php echo e(!empty($record['image'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg')); ?>" id="thumb_image" width="100%" />
                </div>

            </div>
        </section>

    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>