<?php 

    $sitesetting=\App\Model\Sitesetting::first();

 ?>



<?php $__env->startSection('metapart'); ?>

<meta name="description" content="<?php echo e($sitesetting->meta_desc); ?>">

<meta name="keywords" content="<?php echo e($sitesetting->meta_tag); ?>">



<meta name="twitter:card" content="summary">

<meta name="twitter:creator"
    content="<?php echo e(str_replace(' ','','@'.$sitesetting->comp_name)); ?>">

<meta name="twitter:description" content="<?php echo e($sitesetting->meta_desc); ?>">

<meta name="twitter:image" content="<?php echo e($sitesetting->image_url); ?>">

<meta name="twitter:site"
    content="<?php echo e(str_replace(' ','','@'.$sitesetting->comp_name)); ?>">

<meta name="twitter:title" content="<?php echo e($sitesetting->comp_name); ?>">

<meta name="twitter:url" content="<?php echo e(url('/')); ?>" />



<meta property="og:description" content="<?php echo e($sitesetting->meta_desc); ?>">

<meta property="og:image" content="<?php echo e($sitesetting->image_url); ?>">

<meta property="og:image:height" content="630">

<meta property="og:image:width" content="1200">

<meta property="og:image:secure_url" content="<?php echo e($sitesetting->image_url); ?>">

<meta property="og:image:type" content="image/jpg">

<meta property="og:title" content="<?php echo e($sitesetting->comp_name); ?>">

<meta property="og:type" content="website">

<meta property="og:url" content="<?php echo e(url('/')); ?>">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagetitle'); ?>

<title><?php echo e($sitesetting->comp_name); ?> | Privacy Policy</title>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>

<section class="Privacy">
    <div class="container">
        <div class="Privacy-text">
            <h3>Privacy Policy</h3>
            <br><br>

            <p>User privacy is of paramount importance to Baba travels. Baba travels has developed this Privacy
                Policy to explain the manner in which Baba travels collects, uses, discloses, transfers, and stores User
                information. Users are advised to familiarize themselves with Baba travels privacy practices and keep
                themselves updated with the changes hereto from time to time.</p>
            <p>By mere use of the Platform, the User expressly consents to Baba travels use and disclosure of Users
                Personal Information (as defined below) in accordance with this Privacy Policy. This Privacy Policy
                shall be deemed to be incorporated into the Terms and Conditions and shall be read in addition to
                and in conjunction with the Terms and Conditions. In the event of any inconsistency or ambiguity
                arising between the Terms and Conditions and the terms of this Privacy Policy, the provisions in this
                Privacy Policy to the extent of such inconsistency or ambiguity, shall prevail.</p>
            <p>For the purpose of this Privacy Policy, all capitalized terms shall have the meaning so assigned to
                them in the Terms and Conditions.</p>

            <br>
            <br>

            <p>1. COLLECTION AND USE OF PERSONAL INFORMATION</p>
            <ul>
                <li>Baba travels may collect, through the Platform, the information which is of a personal nature to
                    the User, including without limitation the following: the drivers name, age, contact details (email,
                    address and telephone / mobile numbers), date and place of birth, passport information, driving
                    license information, payment information, vehicle preferences, Vehicle location, destination to
                    which
                    the Vehicle is driven to and route taken to reach destination during the Rental Period and
                    reservation
                    details (Personal Information). Baba travels may use this information to send Users updates about
                    their bookings, questionnaires to measure User satisfaction with Baba travels service and
                    announcements about new services that Baba travels may offer. Users are also required to provide
                    their billing address as well as credit/debit card details. Baba travels uses this information only
                    for
                    billing purposes. For Users convenience, Baba travels saves billing information in case Users want
                    to
                    book from Baba travels again, but Baba travels does not use this information again without Users
                    permission.</li>
                <li>Baba travels may also use Personal Information for internal purposes such as auditing, data
                    analysis, and research to improve Baba travels services.</li>
                <li>Baba travels will occasionally ask the Users to complete optional online surveys. Baba travels
                    uses this data to tailor User experience on the Platform, providing the Users with content that Baba
                    travels thinks Users might be interested in and to display content according to User preferences.
                </li>
            </ul>


            <br>
            <br>

            <p>2. MANNER OF DEALING WITH PERSONAL INFORMATION</p>
            <ul>
                <li>Baba travels gathers some information automatically and stores it in log files. This information
                    includes Internet Protocol (IP) addresses, browser type and language, Internet Service Provider
                    (ISP),
                    referring and exit pages, operating system, date/time stamp, and click stream data.</li>
                <li>Baba travels uses this information to understand and analyze trends, to administer the Platform,
                    to learn about user behavior on the Platform, and to gather demographic information about Baba
                    travels user base as a whole. Baba travels may use this information in its marketing and advertising
                    services.</li>
                <li>Baba travels uses Personal Information to provide the services that the User requests. Baba
                    travels will provide the User with the ability to opt-out of such uses. Baba travels uses Users
                    Personal
                    Information to resolve disputes; troubleshoot problems; help promote a safe service; collect money;
                    customize User experience; detect and protect Baba travels against error, fraud and other criminal
                    activity; enforce Baba travels terms and conditions; and as otherwise described to the User at the
                    time of collection.
                </li>
            </ul>
            <br>
            <br>
            <p>3. COOKIES AND OTHER TECHNOLOGIES</p>

            <ul>
                <li>. When Users register themselves on the Platform, Baba travels creates Users profile, assigning a
                    personal identification number, this personal identification number is then sent back to Users hard
                    drive in the form of a cookie, which is a very small bit of code. This code is unique to each User.
                    It
                    enables seamless travel across the Platform, allowing User to use the Platform without having to
                    enter his password frequently or fill out registration forms with information User has already
                    provided.</li>
                <li>Baba travels uses cookies on certain pages of the Platform to help analyses Platform web page
                    flow, deliver ads that relate to Users interests, measure the effectiveness of ad campaigns and
                    promote trust and safety. Baba travels offers certain features that are only available through the
                    use
                    of a cookie. Cookies can also help Baba travels provide information that is targeted to the Users
                    interests. Most cookies are session cookies, meaning that they are automatically deleted from the
                    Users hard drive at the end of a session. Users are always free to decline Baba travels cookies by
                    disabling cookies in their internet browser, although in that case the User may not be able to use
                    certain features on the Platform and the User may be required to re-enter his password more
                    frequently during a session.
                </li>
                <li>Based on User’s previous visits to the Platform, third-party vendors, including Google, use
                    “cookies” to display advertisements on behalf of Baba travels across the internet.</li>
                <li>Additionally, the User may encounter “cookies” or other similar devices on certain pages of the
                    Platform that are placed by third parties. Baba travels does not control the use of cookies by third
                    parties. If the User chooses to book on the Platform, Baba travels collects information about User
                    booking behavior.</li>
            </ul>

            <br>
            <br>
            <p>4. DISCLOSURE TO THIRD PARTIES</p>

            <ul>
                <li>At times Baba travels may make certain Personal Information of the Users available to strategic
                    partners or other professional organizations that work with Baba travels to provide Services, or
                    that
                    help Baba travels market to Users.
                </li>
                <br>
                <p>Service Providers</p>
                <li>Baba travels shares Users Personal Information with companies who provide services such as
                    information processing, extending credit, fulfilling Users bookings, managing and enhancing User
                    data, providing customer service, assessing User interest in Baba travels products and services, and
                    conducting User research or satisfaction surveys. These companies shall handle User Personal
                    Information according to this Privacy Policy.
                </li>
                <li>Baba travels may also disclose information about the User if it determines that for purposes of
                    national security, law enforcement, or other issues of public importance, disclosure is necessary or
                    appropriate.
                </li>
                <li>Baba travels may also disclose information about the Users if it determines that disclosure is
                    reasonably necessary to enforce Baba travels terms and conditions or protect its operations or
                    Users.
                    Additionally, in the event of reorganization, merger, or sale Baba travels may transfer any and all
                    Personal Information Baba travels collects to the relevant third party.</li>
            </ul>


            <br>
            <br>


            <p>5. PROTECTION OF PERSONAL INFORMATION</p>
            <ul>
                <li>Baba travels has taken adequate measures to protect the security of Users Personal Information
                    and to ensure that Users choices for its intended use are honored. Baba travels takes robust
                    precautions to protect User data from loss, misuse, unauthorized access or disclosure, alteration,
                    or
                    destruction.
                </li>
                <li> Baba travels assures Users that their payment transactions are safe and secure. When Users
                    place bookings or access their personal account information, they’re utilizing a secure server
                    software SSL, which encrypts their Personal Information before it’s sent over the Internet. SSL is
                    one
                    of the safest encryption technologies available.
                </li>
                <li>Users Personal Information is never shared outside Baba travels without User permission,
                    except under conditions explained above. Inside the company, data is stored in password-controlled
                    servers with limited access to employees and other personnel or consultants on a need-to-know
                    basis.
                </li>
                <li>To ensure safety of Users Personal Information, Users are advised against sharing their user
                    name and password with anyone.
                </li>
            </ul>

            <br>
            <br>

            <p>6. ACCESS TO PERSONAL INFORMATION</p>
            <ul>
                <li>Baba travels provides Users with the means to ensure that their Personal Information is correct and
                    current. Users may review and update this information at any time by logging into their account or
                    by visiting the My Accounts section. Users can also change their passwords and other details related
                    to their profile by logging into their account.</li>
            </ul>


            <br>
            <br>

            <p>7. THIRD-PARTY SITES AND SERVICES</p>
            <ul>
                <li>Baba travels contracts with third-party vendors, including Google, to display advertisements on
                    behalf of Baba travels across the internet. These third-party vendors may use information (not
                    including User name, address, email address, or telephone number) about User’s visits to the
                    Platform and User’s interaction with Baba travels goods and services on the Platform to display such
                    advertisements. Baba travels r shall however, not be responsible for misuse of such information of
                    the User by any third-party vendors.</li>
                <li>The Platform links to other websites or applications that may collect Users Personal Information.
                    Baba travels is not responsible for the privacy practices or the content of those linked Platforms.
                    Baba travels may indicate to the User that he is getting linked to a third party Platform. The User
                    is
                    required to carefully read and understand the terms of use or privacy policy of such third party
                    Platform prior to browsing such Platform or transacting thereon.</li>
                <li>Baba travels uses third-party advertising companies to serve ads when the User visits the
                    Platform. These companies may use information (not including User name, address, email address,
                    or telephone number) about Users visits to this and other Platforms in order to provide
                    advertisements about goods and services of interest to the User.
                </li>
                <li>Third-Party Vehicle Suppliers: Users Personal Information may be forwarded to any third-party
                    (rental) vehicle supplier used by Baba travels . Other material related to the booking may also be
                    sent
                    to them. Contact detail of the supplier may be provided to the User for seeking any assistance</li>
                <li>Any Third-Party Service Suppliers: Baba travels may use third-party service suppliers to process
                    Users Personal Information on Baba travels behalf. For example, Baba travels may use service
                    suppliers to send the booking information on Baba travels behalf to the supplier of the rental car
                    booked by the User, or third parties may be instructed to contact the User. The third parties
                    involved
                    in any of these services would be bound by confidentiality agreements and would not be allowed to
                    use the Users Personal Information for any purposes other than those specified above.</li>
            </ul>

            <br>
            <br>

            <p>8. CONSENT</p>
            <ul>
                <li>By using the Platform and/ or by providing his information, the User consents to the collection
                    and use of the information User discloses on the Platform in accordance with this Privacy Policy,
                    including but not limited to Users consent for sharing Users Personal Information as per this
                    Privacy
                    Policy.</li>
                <li>The User agrees and acknowledges that his Personal Information collected through the Platform
                    may be transferred across national boundaries and stored and processed in any the country around
                    the world. User also acknowledges that in certain countries or with respect to certain activities,
                    the
                    collection, transfer, storage, and processing of User information may be undertaken by trusted third
                    party supplier of Baba travels such as credit card processors, web hosting providers, communication
                    services, and web analytic providers, to help facilitate Baba travels in providing certain
                    functions.
                </li>
                <li>Baba travels Privacy Policy is subject to change at any time without notice. To make sure the
                    Users are aware of changes, if any, Users are advised to review this policy periodically.
                </li>
                <li>By visiting the Platform and availing the Services, Users agree to be bound by the terms and
                    conditions of this Privacy Policy. Users are advised to not use or access the Platform, if they do
                    not
                    agree with the terms and conditions of this Privacy Policy.
                </li>
                <li>Unless stated otherwise, the Privacy Policy applies to all information that Baba travels has about
                    the User and Users account.</li>
                <li>If Baba travels decides to change the Privacy Policy, Baba travels will post those changes on the
                    Platform, so that the Users are always aware of what information Baba travels collects, how Baba
                    travels uses it, and under what circumstances Baba travels discloses it.</li>
            </ul>



            <br>
            <br>

            <p>9. OPT-OUT</p>

            <ul>
                <li>From time to time, Baba travels may communicate with Users who subscribe to its services via
                    email or text message. Baba travels r provides Users the opportunity to exercise an opt-out choice
                    if
                    they do not want to receive non-essential communication from Baba travels , such as emails or
                    updates from Baba travels regarding new services offered on the Platform or if Users do not want
                    Baba travels to share their Personal Information with third parties. The opt-out choice may be
                    exercised by ticking or un-ticking the appropriate box if such checkbox is available at the points
                    where Users Personal Information is collected or by contacting Baba travels at www.cabsindia.com
                    Baba travels will process Users unsubscribe request as soon as possible, in some circumstances
                    Users may receive a few more emails until the unsubscribe request is processed. Users also may
                    optout of receiving such emails by clicking on the “unsubscribe” link within the text of the email.
                </li>
                <li>If the Users want to remove their Personal Information from the Platform or withdraw all
                    consents given by them to Baba travels , they can do so by writing to info@cabsindia.com</li>
                <li>For the avoidance of doubt, it is stated that User information like, transaction records would be
                    retained by Baba travels for internal audit and security purposes for as long as legally permitted.
                </li>
                <li>User’s may opt-out of Google’s use of “cookies” by visiting Google’s Ads Settings. Alternatively,
                    User’s may opt-out of third-party vendors use of “cookies” by visiting the Network Advertising
                    Initiatives opt-out page.
                </li>
            </ul>


            <br>
            <br>


            <p>10. LIMITATION OF LIABILITY</p>

            <ul>
                <li>Baba travels is not responsible for any breach of security or for any actions of any third parties
                    that receive the Users Personal Information.</li>
                <li>Notwithstanding anything contained in this Privacy Policy or elsewhere, Baba travels shall not
                    be held responsible for any loss, damage or misuse of the User Personal Information, if such loss,
                    damage or misuse is attributable to a Force Majeure Event (as defined below).</li>
                <li>A Force Majeure Event shall mean any event that is beyond the reasonable control of Baba
                    travels and shall include, without limitation, sabotage, fire, flood, explosion, acts of God, civil
                    commotion, strikes, lockouts or industrial action of any kind, riots, insurrection, war, acts of
                    government, computer hacking, civil disturbances, unauthorized access to computer data and
                    storage device, computer crashes, breach of security and encryption, and any other similar events
                    not within the control of Baba travels and which Baba travels is not able to overcome.</li>
            </ul>



        </div>
    </div>
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('user.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>