<?php $__env->startSection('content'); ?>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Site
                <small>Setting</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="<?php echo e(url('admin/home')); ?>"><i class="fa fa-user"></i> Home</a></li>
                <li class="active"><?php echo e($title); ?></li>
            </ol>
        </section>

        <section class="content">

            <div class="row">
                <!-- left column -->
                <div class="col-md-8 col-md-offset-1">
                    <?php echo $__env->make('flash', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Update <?php echo e($title); ?></h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <?php echo Form::model($record,['route' => 'admin.sitesetting_post', 'method' => 'post','files'=>true]); ?>

						<?php echo e(Form::hidden('id', $record->id)); ?>

                            <div class="box-body">
                                <div class="form-group <?php echo e($errors->has('comp_name') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Name <span class="text-danger"></span></label>
                                    <?php echo Form::text('comp_name',null, ['class' => 'form-control']); ?>

                                    <span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_name')); ?></strong></span>
                                </div>
								<div class="form-group <?php echo e($errors->has('comp_gst') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Company GST <span class="text-danger"></span></label>
                                    <?php echo Form::text('comp_gst',null, ['class' => 'form-control']); ?>

                                    <span class="help-block" id="error_email"><strong><?php echo e($errors->first('comp_gst')); ?></strong></span>
                                </div>
                                <div class="form-group <?php echo e($errors->has('meta_tag') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Meta Tag <span class="text-danger"></span></label>
                                    <?php echo Form::text('meta_tag',null, ['class' => 'form-control']); ?>

                                    <span class="help-block" id="error_email"><strong><?php echo e($errors->first('meta_tag')); ?></strong></span>
                                </div>
								<div class="form-group <?php echo e($errors->has('meta_desc') ? ' has-error' : ''); ?>">
									<label class="control-label">Meta Desciption</label>
									<?php echo Form::textarea('meta_desc', null, ['class'=>'form-control','id'=>'meta_desc', 'rows' => 4]); ?>

									<span class="help-block" id="error_comp_address"><strong><?php echo e($errors->first('meta_desc')); ?></strong></span>
								</div>
                                <div class="form-group <?php echo e($errors->has('image') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Logo<span class="text-danger"></span></label>
                                    <?php echo Form::file('image', ['class' => ' thumb_image']); ?>

                                    <span class="help-block" id="error_image"><strong><?php echo e($errors->first('image')); ?></strong></span>
                                </div>
								<div class="form-group <?php echo e($errors->has('comp_address') ? ' has-error' : ''); ?>">
									<label class="control-label">Address</label>
									<?php echo Form::textarea('comp_address', null, ['class'=>'form-control','id'=>'comp_address', 'rows' => 4]); ?>

									<span class="help-block" id="error_comp_address"><strong><?php echo e($errors->first('comp_address')); ?></strong></span>
								</div>
								<div class="form-group <?php echo e($errors->has('comp_email') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Email <span class="text-danger"></span></label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-envelope-o"></i></button>
										</div>
                                        <?php echo Form::text('comp_email',null, ['class' => 'form-control']); ?>

									</div>	
                                    <span class="help-block" id="error_email"><strong><?php echo e($errors->first('comp_email')); ?></strong></span>
                                </div>
								<div class="form-group <?php echo e($errors->has('comp_email2') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Email 2 <span class="text-danger"></span></label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-envelope-o"></i></button>
										</div>
                                        <?php echo Form::text('comp_email2',null, ['class' => 'form-control']); ?>

									</div>	
                                    <span class="help-block" id="error_email"><strong><?php echo e($errors->first('comp_email2')); ?></strong></span>
                                </div>
								<div class="form-group <?php echo e($errors->has('comp_phone') ? ' has-error' : ''); ?>">
									<label class="control-label">Phone </label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-phone-square"></i></button>
										</div>
									    <?php echo Form::text('comp_phone',null, ['class' => 'form-control']); ?>

									</div>	
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_phone')); ?></strong></span>
								</div>

								<div class="form-group <?php echo e($errors->has('comp_phone2') ? ' has-error' : ''); ?>">
									<label class="control-label">Phone 2 </label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-phone-square"></i></button>
										</div>
									    <?php echo Form::text('comp_phone2',null, ['class' => 'form-control']); ?>

									</div>
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_phone2')); ?></strong></span>
								</div>

								<div class="form-group <?php echo e($errors->has('comp_phone3') ? ' has-error' : ''); ?>">
									<label class="control-label">Phone 3 </label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-phone-square"></i></button>
										</div>
									    <?php echo Form::text('comp_phone3',null, ['class' => 'form-control']); ?>

									</div>
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_phone3')); ?></strong></span>
								</div>

								<div class="form-group <?php echo e($errors->has('comp_fb') ? ' has-error' : ''); ?>">
									<label class="control-label">Facebook Link</label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-facebook-square"></i></button>
										</div>
									    <?php echo Form::text('comp_fb',null, ['class' => 'form-control']); ?>

									</div>	
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_fb')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('insta_link') ? ' has-error' : ''); ?>">
									<label class="control-label">Instagram Link</label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-instagram"></i></button>
										</div>
									    <?php echo Form::text('insta_link',null, ['class' => 'form-control']); ?>

									</div>	
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('insta_link')); ?></strong></span>
								</div>

								<div class="form-group <?php echo e($errors->has('comp_tweeter') ? ' has-error' : ''); ?>">
									<label class="control-label">Twitter Link</label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-twitter"></i></button>
										</div>
									    <?php echo Form::text('comp_tweeter',null, ['class' => 'form-control']); ?>

									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_tweeter')); ?></strong></span>
									</div>
								</div>

								<div class="form-group <?php echo e($errors->has('linkdin_link') ? ' has-error' : ''); ?>">
									<label class="control-label">LinkedIn Link</label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-linkedin"></i></button>
										</div>
									    <?php echo Form::text('linkdin_link',null, ['class' => 'form-control']); ?>

									</div>	
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('linkdin_link')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('comp_gplus') ? ' has-error' : ''); ?>">
									<label class="control-label">Googgle Plus Link</label>
									<div class="input-group " >
										<div class="input-group-btn">
											<button type="button" class="btn btn-primary"><i class="fa fa-google"></i></button>
										</div>
									    <?php echo Form::text('comp_gplus',null, ['class' => 'form-control']); ?>

									</div>	
									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('comp_gplus')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('cab_rate') ? ' has-error' : ''); ?>">
									<label class="control-label">Cab Rate</label>
									<?php echo Form::text('cab_rate', null, ['class'=>'form-control','id'=>'cab_rate']); ?>

									<span class="help-block" id="error_comp_address"><strong><?php echo e($errors->first('cab_rate')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('sedan_rate') ? ' has-error' : ''); ?>">
									<label class="control-label">Sedan Rate</label>
									<?php echo Form::text('sedan_rate', null, ['class'=>'form-control','id'=>'sedan_rate']); ?>

									<span class="help-block" id="error_sedan_rate"><strong><?php echo e($errors->first('sedan_rate')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('eartiga_rate') ? ' has-error' : ''); ?>">
									<label class="control-label">Ertiga Rate</label>
									<?php echo Form::text('eartiga_rate', null, ['class'=>'form-control','id'=>'eartiga_rate']); ?>

									<span class="help-block" id="error_eartiga_rate"><strong><?php echo e($errors->first('eartiga_rate')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('innova_rate') ? ' has-error' : ''); ?>">
									<label class="control-label">Innova Rate</label>
									<?php echo Form::text('innova_rate', null, ['class'=>'form-control','id'=>'innova_rate']); ?>

									<span class="help-block" id="error_comp_address"><strong><?php echo e($errors->first('innova_rate')); ?></strong></span>
								</div>
								
								<div class="form-group <?php echo e($errors->has('abt_detail') ? ' has-error' : ''); ?>">
									<label class="control-label">About us Detail</label>
									<?php echo Form::textarea('abt_detail', null, ['class'=>'form-control','id'=>'abt_detail']); ?>

									<span class="help-block" id="error_name"><strong><?php echo e($errors->first('abt_detail')); ?></strong></span>
								</div>
								<div class="form-group <?php echo e($errors->has('brochure') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Brochure<span class="text-danger"></span></label>
                                    <?php echo Form::file('brochure', ['class' => ' thumb_image']); ?>

                                    <span class="help-block" id="error_image"><strong><?php echo e($errors->first('brochure')); ?></strong></span>
                                </div>
								
                            </div>
                            <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>
                <div class="col-md-3 text-center">
                    <img src="<?php echo e(!empty($record['image'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg')); ?>" id="thumb_image" width="100%" />
                </div>
            </div>
        </section>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script type="text/javascript">
    CKEDITOR.config.removeButtons = 'Image';
	CKEDITOR.replace('abt_detail');
	CKEDITOR.replace('privacy_policy');
	CKEDITOR.replace('tandc');
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>