<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\DB;

class FavoriteController extends Controller
{
    
    public function __construct()
    {
        //$this->middleware('auth');
    }
   

    public function index(Request $request)
    {
        
        $data['result'] = '1';
        $data['message'] = 'success';
        //$data['records'] = $records;
        return Response::json($data);
    }
	
    public function store(Request $request)
    {
        $auth = \App\User::where('api_token',$request['api_token'])->first();
        $file = \App\Model\File::find($request['file_id']);
        if(!empty($auth) && !empty($file)){
            $favorite = \App\Model\Favorite::where('user_id',$auth->id)->where('file_id',$request['file_id'])->first();
            if(!empty($favorite)){
                $favorite->delete();
                $file->total_favorite = $file->total_favorite - 1;
                $file->save();
            }else{
                \App\Model\Favorite::create([
                    'user_id' => $auth->id,
                    'file_id' => $request['file_id']
                ]);
                $file->total_favorite = $file->total_favorite + 1;
                $file->save();
            }
            $data['result'] = '1';
            $data['message'] = 'success';
        }else{
            $data['result'] = '0';
            $data['message'] = 'Error';
        }
        
        //$data['records'] = $records;
        return Response::json($data);
    }
    
   
}
