<?php
namespace App\Http\Controllers\UserAuth;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Auth;
use App\Model\Sitesetting;
use App\Model\ProductImage;
use App\Model\Category;
use App\Model\Product;
class CategoryController extends Controller {
	
	
	public function category($category=null,Request $request)
	{
		/*$query=Category::query();
		$category = $query->Paginate(12);
		return view('user.category')->with(['category'=>$category]);*/
		if(!empty($category))
			{
				$category_data = Category::where('slug',$category)->first();
				if(!empty($category_data))
					{
						$query = Product::query()->with(['category']);
						$query->where('category_id', $category_data->id);
						$product=$query->get();
						$product = $query->paginate(15);
						$product->appends($request->all());
						return view ('user.product')->with(['product'=>$product,'category'=>$category_data]);
						}
						else
							{
								return abort(404);
							}
			}
			else
			{
				$query = Product::query()->with(['category']);
				$product=$query->get();
				$product = $query->paginate(15);
				$product->appends($request->all());
				return view ('user.product')->with(['product'=>$product]);
			}
	}
	public function productlist($slug)
	{
		
		$category=Category::Where('slug',$slug)->first();
		if(!empty($category))
		{
			$productlist=Product::Where('category_id',$category->id)->get();
			return view('user.productlist')->with(['category'=>$category,'productlist'=>$productlist]);
		}
		else
		{
			return abort(404);
		}
		
		
	}
	public function categorylist(Request $request)
	{
		$categorylist=Category::get();
		return view('user.categorylist')->with(['categorylist'=>$categorylist]);
	}	
	
	
}
