<?php



namespace App\Model;

use Cviebrock\EloquentSluggable\Sluggable;

use Illuminate\Database\Eloquent\Model;

use Illuminate\Support\Facades\Storage;

use Illuminate\Database\Eloquent\SoftDeletes;



class EventImage extends Model

{

    use SoftDeletes;

    protected $fillable = [

        'eventcheck_id','image',

   ];



    protected $appends = ['image1_url','image1_thumb_url'];



    public function getImage1UrlAttribute($value)

    {

        return  !empty($this->attributes['image1']) && Storage::exists($this->attributes['image1'])? Storage::url($this->attributes['image1']):null;

    }

    public function getImageThumbUrlAttribute($value)

    {

        return Storage::exists( $this->attributes['image1'])? Storage::url('thumb/'.$this->attributes['image1']):null;

    }

}

