<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\SoftDeletes;

class Timeline extends Model {

    use SoftDeletes;
	

    protected $fillable = [
        'year','datee','status',
    ];

    
	
	public function scopeStatus($query) {
        return $query->where('status', '=', 'Active');
    }
   
   
	
	

}
