<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
            <label class="control-label">Name <span class="text-danger">*</span></label>
            {!! Form::text('name',null, ['class' => 'form-control']) !!}
            <span class="help-block" id="error_name"><strong>{{ $errors->first('name') }}</strong></span>
        </div>
        <div class="form-group {{ $errors->has('email') ? ' has-error' : '' }}">
            <label class="control-label">Email <span class="text-danger">*</span></label>
            {!! Form::text('email',null, ['class' => 'form-control']) !!}
            <span class="help-block" id="error_email"><strong>{{ $errors->first('email') }}</strong></span>
        </div>
        <div class="form-group {{ $errors->has('password') ? ' has-error' : '' }}">
            <label class="control-label">Password <span class="text-danger">*</span></label>
            {!! Form::password('password', ['class' => 'form-control']) !!}
            <span class="help-block" id="error_password"><strong>{{ $errors->first('password') }}</strong></span>
        </div>
        <div class="form-group {{ $errors->has('password_confirmation') ? ' has-error' : '' }}">
            <label class="control-label">Password Confirmation <span class="text-danger">*</span></label>
            {!! Form::password('password_confirmation', ['class' => 'form-control']) !!}
            <span class="help-block" id="error_password_confirmation"><strong>{{ $errors->first('password_confirmation') }}</strong></span>
        </div>
    </div>

</div>
<hr/>
<b><center>User Role</center></b>
<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="form-group {{ $errors->has('role') ? ' has-error' : '' }}">
            <label class="control-label">Select Role <span class="text-danger">*</span></label>
            @if(!empty($record))
            {!! Form::select('role_id',\Spatie\Permission\Models\Role::all()->pluck('name','name'),$record->getRoleNames()->toArray(),['class' => 'form-control']) !!}
		    @else
			{!! Form::select('role_id',\Spatie\Permission\Models\Role::all()->pluck('name','name'),null,['class' => 'form-control']) !!}
		    @endif
            <span class="help-block" id="error_name"><strong>{{ $errors->first('name') }}</strong></span>
        </div>
    </div>    
</div>


