
<style>
  .wrapper{
    display: inline;
  } 
</style><div class="row">
  <div class="col-md-6 col-md-offset-2">
    <div class="form-group {{ $errors->has('title') ? ' has-error' : '' }}">
      <label class="control-label"> Title <span class="text-danger">*</span>
      </label> {!! Form::text('title',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('title') }}</strong>
      </span>
    </div>
    <div class="form-group {{ $errors->has('datee') ? ' has-error' : '' }}">
      <label class="control-label"> Event Registration Date <span class="text-danger">*</span>
      </label> {!! Form::text('datee',null, ['class' => 'form-control datepicker','required'=>'required']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('datee') }}</strong>
      </span>
    </div>
	 <div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
            <label class="control-label">Event Image <span class="text-danger">*</span></label>
            {!! Form::file('image', ['class' => 'form-control thumb_image']) !!}
            <span class="help-block" id="error_image"><strong>{{ $errors->first('image') }}</strong></span>
  </div> 
	<div class="form-group {{ $errors->has('description') ? ' has-error' : '' }}">
      <label class="control-label"> Event Text 
      </label> {!! Form::textarea('description', null, ['class'=>'form-control','id'=>'description']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('description') }}</strong>
      </span>
    </div>
   
    <div class="form-group {{ $errors->has('time') ? ' has-error' : '' }}">
      <label class="control-label"> Time 
      </label> {!! Form::text('time',null, ['class' => 'form-control timepicker']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('time') }}</strong>
      </span>
    </div>
    <div class="form-group {{ $errors->has('location') ? ' has-error' : '' }}">
      <label class="control-label"> Location <span class="text-danger">*</span>
      </label> {!! Form::text('location',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('location') }}</strong>
      </span>
    </div>
    
    <div class="row event">
     
	   <div class="col-md-4">
        <div class="form-group {{ $errors->has('youtube_link') ? ' has-error' : '' }}">
          <label class="control-label">Youtube Gallery
          </label> {!! Form::text('youtube_link[]', null, ['class'=>'form-control','id'=>'youtube_link']) !!} <span class="help-block" id="error_name">
            <strong>{{ $errors->first('youtube_link') }}</strong>
          </span>
        </div>
       </div>
        <div class="col-lg-1">
          <button type="button" id="addButton" class="btn btn-primary mb-2 onclickshow" style="margin-top: 24px;">Add</button>
        </div>
      
    </div>
  
   <div class="row">
  <div class="col-md-6 ">
 
  </div>
  </div>
  <div class="row">
  <div class="col-md-12 ">
   <div class="form-group {{ $errors->has('post_event_text') ? ' has-error' : '' }}">
      <label class="control-label"> Post Event Text 
      </label> {!! Form::textarea('post_event_text',null, ['class' => 'form-control ']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('post_event_text') }}</strong>
      </span>
    </div>
	</div>
	</div>
  <div class="row">
  <div class="col-md-6 ">
  <div class="form-group">
    <label class="control-label">Photo Gallery
    </label> {!! Form::file('image1[]', ['class' => 'form-control','multiple']) !!}
  </div>
  </div>
  </div>
  
  <div class="row">
  <div class="col-md-6 ">
  <div class="form-group {{ $errors->has('form') ? ' has-error' : '' }}">
      <label class="control-label"> Form 
      </label> {!! Form::text('form',null, ['class' => 'form-control ']) !!} <span class="help-block" id="error_name">
        <strong>{{ $errors->first('form') }}</strong>
      </span>
    </div>
  </div>
  </div>

  <div class="row"> <?php            
            if(!empty($image1)){               
                 foreach ($image1 as $key =>$value) 
                 { 
                    ?> <div class="col-md-3 text-center">
      <button type="button" class="remove" style="float: right;">X</button> {!! Form::hidden('old_image[]',$value->image ,['class' => 'form-control']) !!} <a href="{{ $value['image1_url'] }}" target="_blank">
        <img src="{{ $value['image1_url'] }}" width="50" height="100" />
      </a>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script type="text/javascript">
      element = $(".remove");
      for (var i in element) {
        element.on("click", function() {
          $(this).parent().remove();
        });
      }
    </script> <?php                
                    }                
                ?> <?php            
                }            
            ?>
  </div>
</div>
	<div class="col-md-3 text-center" >
        <img src="{{ !empty($record['image'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg') }}" id="thumb_image" width="150" />
    </div>
   
</div>
@section('js')
<script type="text/javascript">
    CKEDITOR.config.removeButtons = 'Image';
	CKEDITOR.replace('description');
	CKEDITOR.replace('post_event_text');
	

    
</script>

<script type="text/javascript">
    $(document).ready(function () {
        $('.js-example-basic-multiple').select2();
    });
	
	 $('.timepicker').datetimepicker({
            format: 'hh:mm:ss a'
        });
		
$(document).ready(function () {
	$('.datepicker').datepicker({
		autoclose: true,
		format: 'dd-mm-yyyy',
		todayHighlight: true,
		todayBtn: true,
	});
});		
</script>
<script type="text/javascript">
$('.onclickshow').click(function() { 
	
    $(`   <div class="row ">
     
	   <div class="col-md-4">
        <div class="form-group {{ $errors->has('youtube_link') ? ' has-error' : '' }}">
          <label class="control-label">Youtube Gallery <span class="text-danger"></span>
          </label> {!! Form::text('youtube_link[]', null, ['class'=>'form-control','id'=>'youtube_link']) !!} <span class="help-block" id="error_name">
            <strong>{{ $errors->first('youtube_link') }}</strong>
          </span>
        </div>
       </div>
        
           <span class="col-lg-1"><button type="button" id="addButton" class="btn btn-primary mb-2 fa fa-trash-o" onClick="$(this).closest(\'div\').remove();" style="margin-top: 26px;"></button></span>
       
      
    </div>
	
	
	`).insertAfter("div.event");
});	
</script>
@endsection