<div class="row">
    <div class="col-md-6 col-md-offset-3">
	     <div class="form-group {{ $errors->has('category_id') ? ' has-error' : '' }}">
            <label class="control-label">Category <span class="text-danger">*</span></label>
            {!! Form::select('category_id',App\Model\Category::all()->pluck('name','id')->toArray() ,null, ['class' => 'form-control']) !!}
            <span class="help-block" id="error_category_id"><strong>{{ $errors->first('category_id') }}</strong></span>
        </div>
        <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
            <label class="control-label">Name <span class="text-danger">*</span></label>
            {!! Form::text('name',null, ['class' => 'form-control','required'=>'required']) !!}
            <span class="help-block" id="error_name"><strong>{{ $errors->first('name') }}</strong></span>
        </div>
		<div class="form-group {{ $errors->has('description') ? ' has-error' : '' }}">
            <label class="control-label">Description <span class="text-danger"></span></label>
            {!! Form::textarea('description', null, ['class'=>'form-control','id'=>'description']) !!}
            <span class="help-block" id="error_name"><strong>{{ $errors->first('description') }}</strong></span>
        </div>
		<div class="form-group {{ $errors->has('image1') ? ' has-error' : '' }}">
            <label class="control-label">Image <span class="text-danger">*</span></label>
            {!! Form::file('image1', ['class' => 'form-control thumb_image']) !!}
            <span class="help-block" id="error_image"><strong>{{ $errors->first('image1') }}</strong></span>
        </div>
		@if(!empty($record['image1']))       
        <div class="row">
            <button type="button" class='remove'>X</button>
            {!! Form::hidden('old_image1',$record['image1'] ,['class' => 'form-control']) !!}
            <div class="col-md-6 text-center">
                <a href="{{ $record['image_url'] }}" target="_blank"><img src="{{ $record['image_url'] }}" width="150" height="250"></a>
            </div>
        </div>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
          <script type="text/javascript">
              element = $(".remove");

        for (var i in element) {
          element.on('click', function() {
            $(this).parent().remove();
             });
            }
          </script> 
        @endif
		<div class="form-group">
            <label class="control-label">Other Image</label>
            {!! Form::file('image[]', ['class' => 'form-control','multiple']) !!}
     </div>
	 <div class="row">
            <?php            
            if(!empty($image)){               
                 foreach ($image as $key =>$value) 
                 { 
                    ?>
            <div class="col-md-3 text-center">
                <button type="button" class="remove" style="float: right;">X</button> {!! Form::hidden('old_image[]',$value->image ,['class' => 'form-control']) !!}
                <a href="{{ $value['image_url'] }}" target="_blank"> <img src="{{ $value['image_url'] }}" width="50" height="100" /></a>
            </div>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
            <script type="text/javascript">
                element = $(".remove");
                for (var i in element) {
                    element.on("click", function () {
                        $(this).parent().remove();
                    });
                }
            </script>
            <?php                
                }                
            ?>
            <?php            
                }            
            ?>
        </div>
	  
    </div>
	<div class="col-md-3 text-center" >
        <img src="{{ !empty($record['image1'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg') }}" id="thumb_image" width="150" />
    </div>
	
</div>
@section('js')
<script type="text/javascript">
    CKEDITOR.config.removeButtons = 'Image';
	CKEDITOR.replace('description');
</script>
<script type="text/javascript">
    $(document).ready(function () {
        $('.datepicker').datepicker({
            autoclose: true,
            format: 'yyyy-mm-dd',
            todayHighlight: true,
            todayBtn: true,
            startDate: '0d',
        });
    });
</script>
<script type="text/javascript">
	$(function () {
		$('.timepicker').datetimepicker({
			 format:'HH:mm'
		});
	});
</script>
@endsection
