<div class="row">
    <div class="col-md-6 col-md-offset-3">
		<div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
		  <label class="control-label"> Name <span class="text-danger">*</span>
		  </label> {!! Form::text('name',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('name') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('middle_name') ? ' has-error' : '' }}">
		  <label class="control-label"> Middle Name <span class="text-danger">*</span>
		  </label> {!! Form::text('middle_name',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('middle_name') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('surname') ? ' has-error' : '' }}">
		  <label class="control-label"> Surname<span class="text-danger">*</span>
		  </label> {!! Form::text('surname',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('surname') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('email') ? ' has-error' : '' }}">
		  <label class="control-label"> Email<span class="text-danger">*</span>
		  </label> {!! Form::text('email',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('email') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('mobile_whatsapp') ? ' has-error' : '' }}">
		  <label class="control-label"> Mobile(Whatsapp)<span class="text-danger">*</span>
		  </label> {!! Form::text('mobile_whatsapp',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('mobile_whatsapp') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('username') ? ' has-error' : '' }}">
		  <label class="control-label">User Name<span class="text-danger">*</span>
		  </label> {!! Form::text('username',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('username') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('password') ? ' has-error' : '' }}">
		  <label class="control-label">Password<span class="text-danger">*</span>
		  </label> <br>
		  {!! Form::password('password',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('password') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('confirm_password') ? ' has-error' : '' }}">
		  <label class="control-label">Confirm Password<span class="text-danger">*</span>
		  </label><br>
		  {!! Form::password('confirm_password',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('confirm_password') }}</strong>
		  </span>
		</div> 
		<div class="form-group {{ $errors->has('date_of_birth') ? ' has-error' : '' }}">
		  <label class="control-label">Date of Birth<span class="text-danger">*</span>
		  </label>
		  {!! Form::text('date_of_birth',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('date_of_birth') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('gender') ? ' has-error' : '' }}">
		  <label class="control-label">Gender<span class="text-danger">*</span>
		  </label> 
		  {{ Form::select('gender', [
					''=> '--Select Gender--', 
					'male' => 'Male',
					'female' => 'Female',
					'other' => 'Other',
                     ], 'null', ['class' => 'form-control js-example-basic-multiple','required'=>'required']) }} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('gender') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('martial_status') ? ' has-error' : '' }}">
		  <label class="control-label">Martial Status<span class="text-danger">*</span>
		  </label> 
		  {{ Form::select('martial_status', [
					''=> '--Select Martial Status--', 
					'unmarried' => 'Unmarried',
					'married' => 'Married',
					'divoiced' => 'Divoiced',
                     ], 'null', ['class' => 'form-control js-example-basic-multiple','required'=>'required']) }} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('martial_status') }}</strong>
		  </span>
		</div>
		
		
		<div class="form-group {{ $errors->has('education') ? ' has-error' : '' }}">
		  <label class="control-label"> Education <span class="text-danger">*</span>
		  </label> {!! Form::text('education',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('education') }}</strong>
		  </span>
		</div>
		
		<div class="form-group {{ $errors->has('profile_image') ? ' has-error' : '' }}">
		  <label class="control-label"> Profile Photo <span class="text-danger">*</span>
		  </label> {!! Form::file('profile_image',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('profile_image') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('sadari_uid') ? ' has-error' : '' }}">
		  <label class="control-label"> Sadari Uid <span class="text-danger">*</span>
		  </label> {!! Form::text('sadari_uid',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('sadari_uid') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('sub_religion') ? ' has-error' : '' }}">
		  <label class="control-label">Sub Religion <span class="text-danger">*</span>
		  </label> {!! Form::select('sub_religion',[''=>'--Select Sub Religion--',
		  'oswal-sthanak'=>'Oswal-Sthanak',
		  'oswal-mandir'=>'Oswal-Mandir',
		  'porwal'=>'Porwal-Sthanak',
		  'porwal-madir'=>'Porwal-Sthanak'],null,['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('sub_religion') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('residential_address') ? ' has-error' : '' }}">
		  <label class="control-label"> Residential Address <span class="text-danger">*</span>
		  </label> {!! Form::text('residential_address',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('residential_address') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('residential_address1') ? ' has-error' : '' }}">
		  <label class="control-label"> Address 1<span class="text-danger">*</span>
		  </label> {!! Form::text('residential_address1',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('residential_address1') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('residential_address2') ? ' has-error' : '' }}">
		  <label class="control-label">Address 2<span class="text-danger">*</span>
		  </label> {!! Form::text('residential_address2',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('residential_address2') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('business_address') ? ' has-error' : '' }}">
		  <label class="control-label">Business Address<span class="text-danger">*</span>
		  </label> {!! Form::text('business_address',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('business_address') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('business_address1') ? ' has-error' : '' }}">
		  <label class="control-label"> Address 1<span class="text-danger">*</span>
		  </label> {!! Form::text('business_address1',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('business_address1') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('business_address2') ? ' has-error' : '' }}">
		  <label class="control-label"> Address 2<span class="text-danger">*</span>
		  </label> {!! Form::text('business_address2',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('business_address2') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('business_category') ? ' has-error' : '' }}">
		  <label class="control-label">Business Category<span class="text-danger">*</span>
		  </label> {!! Form::select('business_category',[''=>'--Select Business Category--','arab'=>'arab'],null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('business_category') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('website') ? ' has-error' : '' }}">
		  <label class="control-label">Website<span class="text-danger">*</span>
		  </label> {!! Form::text('website',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('website') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('business_profile') ? ' has-error' : '' }}">
		  <label class="control-label">Business Profile<span class="text-danger">*</span>
		  </label> {!! Form::text('business_profile',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('business_profile') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('product') ? ' has-error' : '' }}">
		  <label class="control-label">Products<span class="text-danger">*</span>
		  </label> {!! Form::text('product',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('product') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
		  <label class="control-label">Image<span class="text-danger">*</span>
		  </label> {!! Form::file('image',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('image') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('label') ? ' has-error' : '' }}">
		  <label class="control-label">Label<span class="text-danger">*</span>
		  </label> {!! Form::text('label',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('label') }}</strong>
		  </span>
		</div>
		<div class="form-group {{ $errors->has('description') ? ' has-error' : '' }}">
		  <label class="control-label">Description<span class="text-danger">*</span>
		  </label> {!! Form::textarea('description',null, ['class' => 'form-control','required'=>'required']) !!} <span class="help-block" id="error_name">
			<strong>{{ $errors->first('description') }}</strong>
		  </span>
		</div> 
    </div>

</div>
