@extends('admin.layout.app')

@section('content')
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1 class="pull-left">
			{{ $title }} Details
		</h1>
		<p>&nbsp;</p>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-xs-6 col-xs-offset-3">
				<div class="box box-primary">
					<div class="box-header with-border">
						<h3 class="box-title">Details</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<table class="table table-bordered">
							<thead>
                           
							
							
							<tr>
								<th width="30%">Name</th>
								<td width="70%">{{ $record['name'] }}</td>
							</tr>
							<tr>
								<th width="30%">Middle Name</th>
								<td width="70%">{{ $record['middle_name'] }}</td>
							</tr>
							<tr>
								<th width="30%">Surname</th>
								<td width="70%">{{ $record['surname'] }}</td>
							</tr>
							<tr>
								<th width="30%">Email</th>
								<td width="70%">{{ $record['email'] }}</td>
							</tr>
							<tr>
								<th width="30%">Date Of Birth</th>
								<td width="70%">{{ date('d-m-y',strtotime($record->date_of_birth)) }}</td>
							</tr>
							<tr>
								<th width="30%">Mobile whatsapp</th>
								<td width="70%">{{ $record['mobile_whatsapp'] }}</td>
							</tr>
							<tr>
								<th width="30%">Gender</th>
								<td width="70%">{{ $record['gender'] }}</td>
							</tr>
							<tr>
								<th width="30%">Martial Status</th>
								<td width="70%">{{ $record['martial_status'] }}</td>
							</tr>
							<tr>
								<th width="30%">Education</th>
								<td width="70%">{{ $record['education'] }}</td>
							</tr>
							<tr>
								<th width="30%">Sadari Uid</th>
								<td width="70%">{{ $record['sadari_uid'] }}</td>
							</tr>
							<tr>
								<th width="30%">Sub Religion</th>
								<td width="70%">{{ $record['sub_religion'] }}</td>
							</tr>
							<tr>
								<th width="30%">Residential Address1</th>
								<td width="70%">{!! $record->residential_address1 !!}</td>
							</tr><tr>
								<th width="30%">Residential Address2</th>
								<td width="70%">{!! $record->residential_address2 !!}</td>
							</tr>
							<tr>
								<th width="30%">Residential Location</th>
								<td width="70%">{{ $record['residential_location'] }}</td>
							</tr>
							<tr>
								<th width="30%">Residential State</th>
								<td width="70%">{{ $record['residential_state'] }}</td>
							</tr>
							<tr>
								<th width="30%">Residential Pincode</th>
								<td width="70%">{{ $record['residential_pincode'] }}</td>
							</tr>
							<tr>
								<th width="30%">Residential City</th>
								<td width="70%">{{ $record['residential_city'] }}</td>
							</tr>
							<tr>
								<th width="30%">Residential Country</th>
								<td width="70%">{{ $record['residential_country'] }}</td>
							</tr>
							<tr>
								<th width="30%">Sadarihouse Address1</th>
								<td width="70%">{!! $record['sadari_house_address1'] !!}</td>
							</tr>
							<tr>
								<th width="30%">Sadarihouse Address2</th>
								<td width="70%">{!! $record->sadari_house_address2 !!}</td>
							</tr>
                            <tr>
								<th width="30%">Sadarihouse Location</th>
								<td width="70%">{{ $record['sadari_house_location'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Sadarihouse State</th>
								<td width="70%">{{ $record['sadari_house_state'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Sadarihouse Pincode</th>
								<td width="70%">{{ $record['sadari_house_pincode'] }}</td>
							</tr>
                             <tr>
								<th width="30%">Sadarihouse Country</th>
								<td width="70%">{{ $record['sadari_house_country'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Name Business</th>
								<td width="70%">{{ $record['business_name'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Business Category</th>
								<td width="70%">{{ $record['business_category'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Business Address1</th>
								<td width="70%">{!! $record->business_address1 !!}</td>
							</tr>
                             <tr>
								<th width="30%">Business Address2</th>
								<td width="70%">{!! $record['business_address2'] !!}</td>
							</tr>
                             <tr>
								<th width="30%">Business Location</th>
								<td width="70%">{{ $record['business_location'] }}</td>
							</tr>
                             <tr>
								<th width="30%">Business State</th>
								<td width="70%">{{ $record['business_state'] }}</td>
							</tr>
                             <tr>
								<th width="30%">Name</th>
								<td width="70%">{{ $record['name'] }}</td>
							</tr>
                             <tr>
								<th width="30%">Business City</th>
								<td width="70%">{{ $record['business_city'] }}</td>
							</tr>
                             <tr>
								<th width="30%">Business Pincode</th>
								<td width="70%">{{ $record['business_pincode'] }}</td>
							</tr>
                             <tr>
								<th width="30%">Business Country</th>
								<td width="70%">{{ $record['business_country'] }}</td>
							</tr>
                        
                             <tr>
								<th width="30%">Business City</th>
								<td width="70%">{{ $record['business_city'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Business Website</th>
								<td width="70%">{{ $record['website'] }}</td>
							</tr> 
                            <tr>
								<th width="30%">Business Profile</th>
								<td width="70%">{{ $record['business_profile'] }}</td>
							</tr>
                            <tr>
								<th width="30%">Business Brochure Price</th>
								<td width="70%">{{ $record['brochure_pricelist'] }}</td>
							</tr>
							<tr>
								<th width="30%">Status</th>
								<td width="70%">{{ $record['status'] }}</td>
							</tr>
							
							<tr>
								<th>Business Product Image</th>
								<td><img src="{{ $record['profile_image_url'] }}" width="250"/></td>
							</tr>
							</thead>
						</table>
					</div>
					<!-- /.box-body -->

					<div class="box-footer">
						<a href="{{ route($route.'index') }}" type="submit" class="btn btn-default pull-left">Back</a>
					</div>
				</div>
					<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->
</div>
@endsection