@extends('admin.layout.app')

@section('content')
<!-- http://stephenwalther.com/archive/2010/11/30/an-introduction-to-jquery-templates -->
<style>
    .connectedSortable{
        min-height: 100px;
    }
    .connectedSortable li .input-group{
        margin-bottom: 10px;
    }
</style>
{!! Form::open(['url' => route('test.store'), 'files' =>true, 'method' => 'post','id'=>'' ,'class' => '']) !!}
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1 class="pull-left">
            Details
        </h1>
        <button type="submit" class="btn btn-success pull-right">Submit</button>
        <button type="button" class="btn btn-success pull-right add_category">Add Category</button>&nbsp;&nbsp;
        <p>&nbsp;</p>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-7">
                <ul class=" list-unstyled" id="sortable_root">
					<?php /*
                    @for($i=0; $i<5;$i++)
                    <li >
                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <div class="input-group ">
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-default root-move-handler "><i class="fa fa-arrows"></i></a>
                                    </div>
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-success root-move-handler  pull-right addList"><i class="fa fa-plus"></i></a>
                                    </div>
                                    <input class="form-control" name="root[{{ $i+1 }}][root_name]" type="text" value="subcategory-{{ $i+1 }}">
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-danger removeRoot" ><i class="fa fa-trash-o"></i></a>
                                    </div>
                                </div>
                            </div>
                            <div class="box-body">
                                <ul id="sortable1" class="list-unstyled connectedSortable" style="">
                                    @for($sub=10; $sub<15;$sub++)
                                    <li>
                                        <div class="input-group ">
                                            <div class="input-group-btn">
                                                <a type="button" class="btn btn-default bull-move-handler"><i class="fa fa-arrows"></i></a>
                                            </div>
                                            <input name="root[{{ $i+1 }}][{{ $sub }}]" class="form-control field" type="text" value="subcategory-{{ ($i+1).'-'.($sub+1) }}">
                                            <input name="note[{{ $i+1 }}][{{ $sub }}]" class="form-control note" type="hidden" value="note-{{ ($i+1).'-'.($sub+1) }}">
                                            <div class="input-group-btn">
                                                <a type="button" class="btn btn-danger removeList" ><i class="fa fa-trash-o"></i></a>
                                            </div>
                                        </div>
                                    </li>
                                    @endfor

                                </ul>
                            </div>
                        </div>
                    </li>
                    @endfor
					*/ ?>
                </ul>
                
            </div>
            <div class="col-md-5" id="">
                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                    {!! Form::textarea('descrioption',null, ['class' => 'form-control hidden','rows'=>'4','placeholder'=>'Enter Details','id' => 'set_note']) !!}
                </div>
            </div>
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
</div>
{!! Form::close() !!}
<script id="categoryTemplate" type="text/x-jQuery-tmpl">
    <li >
        <div class="box box-primary box-obj" id="${category_id}">
            <div class="box-header with-border">
                <div class="input-group ">
                    <div class="input-group-btn">
                        <a type="button" class="btn btn-default root-move-handler "><i class="fa fa-arrows"></i></a>
                    </div>
                    <div class="input-group-btn">
                        <a type="button" class="btn btn-success root-move-handler  pull-right addSubcategory"><i class="fa fa-plus"></i></a>
                    </div>
                    <input name="root[${category_id}][root][name]" class="form-control root_field" type="text" value="${title}" placeholder="Enter name">
                    <input name="root[${category_id}][root][note]" class="form-control note" type="hidden" value="">
                    <input name="root[${category_id}][root][id]" class="form-control field_id" type="hidden" value="${field_id}">
                        
                    <div class="input-group-btn">
                        <a type="button" class="btn btn-danger removeRoot" ><i class="fa fa-trash-o"></i></a>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <ul id="" class="list-unstyled connectedSortable" category_id="${category_id}" style="">
                </ul>
            </div>
        </div>
    </li>
</script>
<script id="templateSubcategory" type="text/x-jQuery-tmpl">
    <li subcategory_id="${subcategory_id}">
        <div class="input-group ">
            <div class="input-group-btn">
                <a type="button" class="btn btn-default bull-move-handler"><i class="fa fa-arrows"></i></a>
            </div>
            <input name="root[${category_id}][${subcategory_id}][name]" class="form-control field" type="text" value="" placeholder="Enter name">
            <input name="root[${category_id}][${subcategory_id}][note]" class="form-control note" type="hidden" value="">
            <input name="root[${category_id}][${subcategory_id}][id]" class="form-control field_id" type="hidden" value="${field_id}">
            <div class="input-group-btn">
                <a type="button" class="btn btn-danger removeList" ><i class="fa fa-trash-o"></i></a>
            </div>
        </div>
    </li>
</script>
@endsection

                                
@section('js')
 <script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/jquery.templates/beta1/jquery.tmpl.js"></script>
 
<script type="text/javascript">
    $(document).ready(function () {
        var category_index = 0;
        var subcategory_index = 1;
        $("#sortable_root").sortable({
            placeholder: "sort-highlight",
            handle: ".root-move-handler",
            forcePlaceholderSize: true,
        }).disableSelection();
        //$( "#sortable1, #sortable2" ).sortable({

//        $(".connectedSortable").sortable({
//            placeholder: "sort-highlight",
//            connectWith: ".connectedSortable",
//            handle: ".bull-move-handler",
//            forcePlaceholderSize: true,
//            // zIndex: 999999,
//            //axis: "y"
//        }).disableSelection();
        
        // Add Category
        $('body').on('click','.add_category',function(){
            category_index = category_index + 1 ;
             $("#categoryTemplate").tmpl([
                        {title: 'test1',category_id:category_index,field_id:0},
                 ]).appendTo("#sortable_root");
        });
        $('body').on('click','.addSubcategory',function(){
            var box_obj = $(this).closest('.box-obj');
            var box_id = $(box_obj).attr('id');
            $("#templateSubcategory").tmpl([
                        {title: 'test1',category_id:box_id,subcategory_id:subcategory_index,field_id:0}
                 ]).appendTo($(box_obj).find('.connectedSortable'));
            subcategory_index = subcategory_index + 1;
            
            $(".connectedSortable").sortable({
                placeholder: "sort-highlight",
                connectWith: ".connectedSortable",
                handle: ".bull-move-handler",
                forcePlaceholderSize: true,
                update: function(event, ui) {
                     var li_obj = ui.item;
                     
                     // Get Category and Subcategory Object
                     var category_id = $(li_obj).closest('ul').attr('category_id');
                     var subcategory_id = ui.item.attr('subcategory_id');
                     
                     // Change name of input field
                     $(li_obj).find('.field').attr('name','root['+category_id+']['+subcategory_id+'][name]');
                     $(li_obj).find('.note').attr('name','root['+category_id+']['+subcategory_id+'][note]');
                     $(li_obj).find('.field_id').attr('name','root['+category_id+']['+subcategory_id+'][field_id]');
                 },
                // zIndex: 999999,
                //axis: "y"
                
            }).disableSelection();
        });
        /* add data for edit */
        @if(!empty($root))
        $("#categoryTemplate").tmpl({!! $root !!}).appendTo("#sortable_root");
        @endif
        
        $('body').on('click','.removeRoot',function(){
            if (confirm('Are you sure!')) {
                $(this).closest('li').remove();
            }
        });
        
        $('body').on('click', '.removeList', function (e) {
            if (confirm('Are you sure!')) {
                $(this).parent().parent().remove();
            }
        });
        
        /* Set note changes start */
        var obj_hidden_note = null;
        $('body').on('click', '.field', function (e) {
            obj_hidden_note = $(this).parent().find('.note');
            var note = $(this).parent().find('.note').val();
            $('#set_note').val(note);
            $('#set_note').removeClass('hidden');
        });
        $('body').on('keyup', '#set_note', function (e) {
            var new_value = $(this).val();
            $(obj_hidden_note).val(new_value);
        });
        // hide Note when click on root category
        $('body').on('click', '.root_field', function (e) {
            $('#set_note').addClass('hidden');
        });
        /* Set note changes end */
    });
</script>
@endsection