@php

$sitesetting=\App\Model\Sitesetting::first();

@endphp

@extends('user.layouts.app')

@section('metapart')

<meta name="description" content="{{ $sitesetting->meta_desc }}">

<meta name="keywords" content="{{$sitesetting->meta_tag}}">



<meta name="twitter:card" content="summary">

<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">

<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">

<meta name="twitter:image" content="{{$sitesetting->image_url}}">

<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">

<meta name="twitter:title" content="{{$sitesetting->comp_name}}">

<meta name="twitter:url" content="{{ url('/') }}" />



<meta property="og:description" content="{{ $sitesetting->meta_desc }}">

<meta property="og:image" content="{{ $sitesetting->image_url }}">

<meta property="og:image:height" content="630">

<meta property="og:image:width" content="1200">

<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">

<meta property="og:image:type" content="image/jpg">

<meta property="og:title" content="{{$sitesetting->comp_name}}">

<meta property="og:type" content="website">

<meta property="og:url" content="{{ url('/') }}">

@endsection

@section('pagetitle')

<title>{{$sitesetting->comp_name}} | About</title>

@endsection

@section('body')











<section class="title-transparent page-title" style="background:url({{url('public/assets/design')}}/images/title-bg.jpg);">

	<div class="container">

        <div class="title-content" style="margin-top:150px;">

			<h1>About Us</h1>

			<div class="breadcrumbs">

                <a href="#">Home</a>

				<span class="gt3_breadcrumb_divider"></span>

				<span class="current">About Us</span>

			</div>

		</div>

	</div>

</section>


<div style="text-align: center; cursor: pointer;" class="ads">
    <a href="#"<img class="mainiconcx" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTb4oJ71ddwHZ1fHmxfbh9XUg4c23HZJN8m8g&usqp=CAU" class="img-responsive" alt=""></a>
<div>
  



        <section>

            <div class="container">

                <div class="row">

                </div>



                <div class="row"  style="margin-top:50px;">

                    <div class="col-md-8 col-sm-7">

					<h2 style="text-align:center;">About Us</h2>

                        <a href="" class="place-box">

                            <div class="place-box-bg" style="background-image: url({{$about->image_url}});"></div>

                        </a>

                    </div>

                    <div class="col-md-4 col-sm-5" style="margin-top:50px;">

                            <p><?php echo substr($about->about_us,0,665); ?></p>

                    </div>

                </div>

                <div class="row">

                    <div class="col-md-12">

                        <p><?php echo substr($about->about_us,665); ?></p>

                    </div>

                    

                </div>





            </div>

        </section>

        <!-- End Top Places Listing -->

    

      

     

@endsection



