@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Blog</title>
@endsection

@section('body')
 <div class="pages-hero">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="page-hadding hadding2">
                        <h1
                  class="font-f-2 weight-500 font-40 font-lg-60 line-height-48 line-height-lg-65" data-aos="fade-right" data-aos-duration="900"
                >
                Our <span class="after">Service</span>
                </h1>
                <p class="font-f-2 font-16 weight-500 line-height-16"><a href="">Home</a> <span><i class="fa-solid fa-angle-right"></i></span> Our Service</p>
                    </div>
                </div>
            </div>
        </div>
      </div>

      <!--=====pages hero header end=======-->

      <!--=====service page box start=======-->
      <div class="service-page-box-all sp2">
        <div class="container" >
            <div class="row" id="data-container" >
                @foreach($blog as $b)
                <div class="col-lg-4 col-md-6" >
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{$b->image_url}}" style="width:370px;height:280px;" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="javascript:void();">{{$b->name}}</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">{!!$b->description!!}</p>
                            
                          </div>
                    </div>
				</div>
               
				@endforeach
				
				 
               
			
            <?php  /*   <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img2.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Marketing & advertising</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img3.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Accounbility & execution</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img3.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Business planning</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img4.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Business planning</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img5.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Privet planning</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img6.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Mutual invest planning</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img7.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Project managment</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6">
                    <div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="{{url('public/assets/user')}}/img/service2-img9.png" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="#">Project managment</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">The network was created to help us all continue to grow as people and as professionals. Having a community that is mindful, supportive, diverse.</p>
                            <div class="all-read-btn">
                                <a href="service-details.html" class="font-f-2 line--height-16 font-16 weight-700">Learn more <i class="fa-solid fa-arrow-right"></i></a>
                              </div>
                          </div>
                    </div>
                </div>

                    */ ?>
            </div>
			 <div class="all-read-btn" style="text-align:center;">
                               <button  class="btn btn-info" id="load-more">Load more </button>
                              </div>
        </div>
 
    </div>
      <!--=====service page box end=======-->

          <!--=====ABOUT US END=======-->
    <div class="litings home1-about-us sp2" id="about">
        <div class="container">
          <div class="row">
            <div class="col-md-6 m-auto text-center">
              <div class="hadding2 apartment2-hadding font-f-2">
                <h1
                  class="font-f-2 weight-500 font-30 font-lg-45 line-height-30 line-height-lg-45" 
                >
                  What our <span class="after">customers</span> <br />
                  say about us.
                </h1>
              </div>
            </div>
          </div>
          <div class="space60"></div>
          <div class="row">
            <div class="about-slider-all owl-carousel">
              <div class="about-slider-single">
                <div class="about-slider-commnet-icon">
                  <img src="{{url('public/assets/user')}}/img/about-commnet.svg" alt="" />
                </div>
                <div class="about-slider-box">
                  <div class="hadding-about">
                    <p class="font-f-2 weight-400 font-18 line-height-32">
                      “Uphome has saved me a ton of time finding great teanants
                      and managing lease signing. Its sophisticated features help
                      me manage my properties seamlessly and digitally! Park gate
                      sell they west hard for the. Abode stuff noisy manor far”
                    </p>
                    <div class="space5"></div>
                    <div class="about-slider-hadding-bottom">
                      <h6 class="font-f-2 font-16 line-height-16 weight-500">
                        Enring Haaland
                      </h6>
                      <p class="font-f-2 font-14 line-height-14 weight-400">
                        Landlord
                      </p>
                    </div>
                  </div>
                </div>
              </div>
  
              <div class="about-slider-single">
                <div class="about-slider-commnet-icon">
                  <img src="{{url('public/assets/user')}}/img/about-commnet.svg" alt="" />
                </div>
                <div class="about-slider-box">
                  <div class="hadding-about">
                    <p class="font-f-2 weight-400 font-18 line-height-32">
                      “Uphome has saved me a ton of time finding great teanants
                      and managing lease signing. Its sophisticated features help
                      me manage my properties seamlessly and digitally! Park gate
                      sell they west hard for the. Abode stuff noisy manor far”
                    </p>
                    <div class="space5"></div>
                    <div class="about-slider-hadding-bottom">
                      <h6 class="font-f-2 font-16 line-height-16 weight-500">
                        Enring Haaland
                      </h6>
                      <p class="font-f-2 font-14 line-height-14 weight-400">
                        Landlord
                      </p>
                    </div>
                  </div>
                </div>
              </div>

              <div class="about-slider-single">
                <div class="about-slider-commnet-icon">
                  <img src="assets/img/icons/about-commnet.svg" alt="" />
                </div>
                <div class="about-slider-box">
                  <div class="hadding-about">
                    <p class="font-f-2 weight-400 font-18 line-height-32">
                      “Uphome has saved me a ton of time finding great teanants
                      and managing lease signing. Its sophisticated features help
                      me manage my properties seamlessly and digitally! Park gate
                      sell they west hard for the. Abode stuff noisy manor far”
                    </p>
                    <div class="space5"></div>
                    <div class="about-slider-hadding-bottom">
                      <h6 class="font-f-2 font-16 line-height-16 weight-500">
                        Enring Haaland
                      </h6>
                      <p class="font-f-2 font-14 line-height-14 weight-400">
                        Landlord
                      </p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="about-slider-single">
                <div class="about-slider-commnet-icon">
                  <img src="assets/img/icons/about-commnet.svg" alt="" />
                </div>
                <div class="about-slider-box">
                  <div class="hadding-about">
                    <p class="font-f-2 weight-400 font-18 line-height-32">
                      “Uphome has saved me a ton of time finding great teanants
                      and managing lease signing. Its sophisticated features help
                      me manage my properties seamlessly and digitally! Park gate
                      sell they west hard for the. Abode stuff noisy manor far”
                    </p>
                    <div class="space5"></div>
                    <div class="about-slider-hadding-bottom">
                      <h6 class="font-f-2 font-16 line-height-16 weight-500">
                        Enring Haaland
                      </h6>
                      <p class="font-f-2 font-14 line-height-14 weight-400">
                        Landlord
                      </p>
                    </div>
                  </div>
                </div>
              </div>
  
              <div class="about-slider-single">
                <div class="about-slider-commnet-icon">
                  <img src="assets/img/icons/about-commnet.svg" alt="" />
                </div>
                <div class="about-slider-box">
                  <div class="hadding-about">
                    <p class="font-f-2 weight-400 font-18 line-height-32">
                      “Uphome has saved me a ton of time finding great teanants
                      and managing lease signing. Its sophisticated features help
                      me manage my properties seamlessly and digitally! Park gate
                      sell they west hard for the. Abode stuff noisy manor far”
                    </p>
                    <div class="space5"></div>
                    <div class="about-slider-hadding-bottom">
                      <h6 class="font-f-2 font-16 line-height-16 weight-500">
                        Enring Haaland
                      </h6>
                      <p class="font-f-2 font-14 line-height-14 weight-400">
                        Landlord
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
  
      <!--=====ABOUT US  END=======-->

      <!--=====SUBSRIBE START=======-->
    <div class="subsribe-all sp2">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-md-7">
            <div class="all-subsribe-hadding">
              <h1
                class="font-f-2 weight-500 font-30 font-lg-45 line-height-30 line-height-lg-45 font-w"
              >
                Get the properties you're interested in delivered straight to
                your inbox.
              </h1>
            </div>
          </div>
          <div class="col-md-5">
            <div class="comon-subsribe-all-input">
              <input type="email" placeholder="Enter your email here" />
              <div class="subsribe-btn">
                <div class="home2-btn">
                  <button
                    class="font-18 line-height-30 weight-700 font-f-2 font-w"
                  >
                    Get Notified
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
	 </div>

@endsection
@section('js')
<script>
     let skip = 3;
    const loadMoreButton = $('#load-more');
    const postContainer = $('#data-container');
	loadMoreButton.on('click', function () {
    $.get("{{ url('fetch-data') }}", { skip: skip }, function (data) {
        if (data.length > 0) {
            data.forEach(function (blog) {
                const postDiv = $('<div>').addClass('col-lg-4 col-md-6');
                postDiv.html(`<div class="service2-single-box">
                        <div class="service2-box-img">
                            <img src="${blog.image_url}" style="width:370px;height:280px;" alt="">
                        </div>
                        <div class="hadding2 service2-hadding">
                            <h4 class="font-f-2 font-22 line--height-22 weight-500"> <a href="javascript:void();">${blog.name}</a></h4>
                            <p class="font-f-2 weight-500 line-height-28 font-16">${blog.description}</p>
                            
                          </div>
                    </div>`);
                postContainer.append(postDiv);
            });
            skip += data.length;
        } else {
            loadMoreButton.prop('disabled',true).text('No More Blogs');
        }
    });
});
</script>
@endsection