@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')

<style>
	.project-card .project-img img{
		width:70px !important;
		padding:10px;
	}
</style>

<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Brochures</title>
@endsection
@section('body')

<style>
	.project-card .project-img img{
		width:100px;
	}
</style>


<div class="breadcumb-wrapper" style="background-image: url('{{ url('public/assets/user')}}/img/breadcumb-bg.jpg');">
        <div class="container">
          <div class="breadcumb-content">
            <h1 class="breadcumb-title">Brochures</h1>
            <div class="breadcumb-menu-wrapper">
              <ul class="breadcumb-menu">
                <li><a href="{{ url('/') }}">Home</a></li>
                <li>Brochures</li>
              </ul>
            </div>
          </div>
        </div>
        <div class="breadcump-shape shape-mockup" data-bottom="0%" data-right="0%">
            <img src="{{ url('public/assets/user')}}/img/shape_2.png" alt="">
        </div>
      </div>
	  <section class="project-sec space">
      <div class="container">
        <div class="row gy-4">
			
			<div class="col-lg-2">
				<div class="project-card style2" style="text-align:center;">
				 	<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - ENGLISH CATALOGUE.pdf">
						<div class="project-img">
						<img src="{{ url('public/assets/user')}}/img/e.png" alt="" style="height:auto;">
						</div>
		  			</a>
					<p class="project-title" style="font-size:15px; color:black;">
                		<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - ENGLISH CATALOGUE.pdf" style="color:black;">ENGLISH</a>
              		</p>
				</div>
			</div>
			
			<div class="col-lg-2">
				<div class="project-card style2" style="text-align:center;">
					<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - FRENCH CATALOGUE.pdf">
						<div class="project-img">
							<img src="{{ url('public/assets/user')}}/img/f.png" alt="" style="height:auto;">
						</div>
					</a>
					<p class="project-title" style="font-size:15px; color:black;">
						<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - FRENCH CATALOGUE.pdf" style="color:black;">FRENCH</a>
					</p>
				</div>
			</div>
			
			<div class="col-lg-2">
				<div class="project-card style2" style="text-align:center;">
					<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - SPANISH CATALOGUE (1).pdf">
						<div class="project-img">
							<img src="{{ url('public/assets/user')}}/img/s.png" alt="" style="height:auto;">
						</div>
					</a>
					<p class="project-title" style="font-size:15px; color:black;">
						<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - SPANISH CATALOGUE (1).pdf" style="color:black;">SPANISH</a>
					</p>
				</div>
			</div>
			
			<div class="col-lg-2">
				<div class="project-card style2" style="text-align:center;">
					<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - PORTUGUESE CATALOGUE.pdf">
						<div class="project-img">
						<img src="{{ url('public/assets/user')}}/img/p.png" alt="" style="height:auto;">
						</div>
					</a>
					<p class="project-title" style="font-size:15px; color:black;">
						<a target="_blank" href="{{ url('public/assets/user')}}/img/G. A. I. - MOTOFIX - PORTUGUESE CATALOGUE.pdf" style="color:black;">PORTUGUESE</a>
					</p>
				</div>
			</div>			        
        </div>
      </div>
    </section>
@endsection
@section('js')
@endsection