@php

@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{ $sitesetting->meta_tag }}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator"
	content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{ $sitesetting->image_url }}">
<meta name="twitter:site"
	content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{ $sitesetting->comp_name }}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{ $sitesetting->image_url }}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{ $sitesetting->comp_name }}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>BABA TRAVELS</title>@endsection

@section('body')
<style>
	.about-titel {
		text-align: center;
	}

	.about-img {
		text-align: -webkit-center;
	}

	.about-img img {
		width: 50%;
	}

	.aboutbtn {
		margin-top: 20px;
		text-align: -webkit-center;
	}

	.about-sec {
		MARGIN: 40px 0px;
	}
	@media (min-width: 320px) and (max-width: 470px) {
		img.slide-image{
			height: 235px !important;
		}
		.about-img img {
    		width: 60%;
		}
	}

	@media (min-width: 470px) and (max-width: 767px) {
		img.slide-image{
			height: 340px !important;
		}
		.about-img img {
    		width: 60%;
		}
	}

	@media screen and (max-width: 767px) {
		.about-sec {
    		MARGIN: 0px 0px !important; 
		}
	}
	.button {
		position: relative;
		transition: all 0.3s ease-in-out;
		box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
		padding-block: 0.5rem;
		padding-inline: 1.25rem;
		background-color: rgb(0 107 179);
		border-radius: 9999px;
		display: flex;
		align-items: center;
		justify-content: center;
		cursor: pointer;
		color: #ffff;
		gap: 10px;
		font-weight: bold;
		border: 3px solid #ffffff4d;
		outline: none;
		overflow: hidden;
		font-size: 15px;
	}

	.icon {
		width: 24px;
		height: 24px;
		transition: all 0.3s ease-in-out;
	}

	.button:hover {
		transform: scale(1.05);
		border-color: #fff9;
	}

	.button:hover .icon {
		transform: translate(4px);
	}

	.button:hover::before {
		animation: shine 1.5s ease-out infinite;
	}

	.button::before {
		content: "";
		position: absolute;
		width: 100px;
		height: 100%;
		background-image: linear-gradient(120deg,
				rgba(255, 255, 255, 0) 30%,
				rgba(255, 255, 255, 0.8),
				rgba(255, 255, 255, 0) 70%);
		top: 0;
		left: -100px;
		opacity: 0.6;
	}

	<blade keyframes|%20shine%20%7B%0D>0% {
		left: -100px;
	}

	60% {
		left: 100%;
	}

	to {
		left: 100%;
	}
</style>

<div class="clearfix"></div>

<!-- Slider Section Start -->
<div id="bootstrap-touch-slider" class="carousel bs-slider fade  control-round indicators-line" data-ride="carousel"
	data-pause="hover" data-interval="false">

	<!-- Wrapper For Slides -->
	<div class="carousel-inner" role="listbox">
		@foreach($slider as $key =>$v)
			<!-- Second Slide -->
			<div class=" {{ $key==0?'active item':'item' }} ">

				<!-- Slide Background -->
				<img src="{{ $v->image_url }}" alt="Bootstrap Touch Slider" class="slide-image" data-overlay="8" />
				<div class="bs-slider-overlay" data-overlay="1"></div>
				<!-- Slide Text Layer -->
				<!-- <div class="slide-text slide_style_left">
				<h1 data-animation="animated flipInX">{{ $v->title }}</h1>
				<p data-animation="animated lightSpeedIn"></p>
				<a href="#" class="btn theme-btn" data-animation="animated flipInX">Get Started Now</a>
			</div> -->
			</div>
		@endforeach
		<!-- End of Slide -->
		<?php /*
				<!-- Second Slide -->
				<div class="item">

					<!-- Slide Background -->
					<img src="{{ url('public/assets/design') }}/images/slider-3.jpg" alt="Bootstrap Touch Slider" class="slide-image" data-overlay="1" />
					<div class="bs-slider-overlay" data-overlay="1"></div>
					<!-- Slide Text Layer -->
					<div class="slide-text slide_style_left">
						<h1 data-animation="animated flipInX">You Own Local Events</h1>
						<p data-animation="animated lightSpeedIn">Setup in minut & start growing your business today</p>
						<a href="#" class="btn theme-btn" data-animation="animated flipInX">Get Started Now</a>
					</div>
				</div>
				  */  ?>
		<!-- End of Slide -->
	</div>

	<!-- End of Wrapper For Slides -->

	<!-- Left Control -->
	<a class="left carousel-control" href="#bootstrap-touch-slider" role="button" data-slide="prev">
		<span class="fa fa-angle-left" aria-hidden="true"></span>
		<span class="sr-only">Previous</span>
	</a>

	<!-- Right Control -->
	<a class="right carousel-control" href="#bootstrap-touch-slider" role="button" data-slide="next">
		<span class="fa fa-angle-right" aria-hidden="true"></span>
		<span class="sr-only">Next</span>
	</a>

</div>


<section class="about-sec">
	<div class="container">
		<div class="about-titel">
			<!-- <h2>About</h2> -->
		</div>
		<div class="about-img">
			<img src="{{ url('public/assets/design') }}/images/nwabout.jpg" class="img-responsive"
				alt="">
		</div>
		<div class="aboutbtn">
			<a href="{{ url('booking')}}"><button class="button">
					Booking Now
					<svg fill="currentColor" viewBox="0 0 24 24" class="icon">
						<path clip-rule="evenodd"
							d="M12 2.25c-5.385 0-9.75 4.365-9.75 9.75s4.365 9.75 9.75 9.75 9.75-4.365 9.75-9.75S17.385 2.25 12 2.25zm4.28 10.28a.75.75 0 000-1.06l-3-3a.75.75 0 10-1.06 1.06l1.72 1.72H8.25a.75.75 0 000 1.5h5.69l-1.72 1.72a.75.75 0 101.06 1.06l3-3z"
							fill-rule="evenodd"></path>
					</svg>
				</button></a>
		</div>
	</div>
</section>

@endsection