@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.subapp')
@section('metapart')
	<meta name="description" content="{{$sitesetting->description}}">
    <meta name="keywords" content="{{$sitesetting->meta_tag}}">
    <meta name="robots" content="all">
    
    <meta name="twitter:site" content="@ajtechnomech">
    <meta name="twitter:creator" content="@ajtechnomech">
    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="ajtechnomech">
    <meta name="twitter:description" content="ajtechnomech">
    <meta name="twitter:image" content="img/bg-default.jpg">
    <meta property="og:url" content="https://www.ajtechnomech.com">
    <meta property="og:title" content="ajtechnomech">
    <meta property="og:description" content="ajtechnomech">
    <meta property="og:type" content="website">
    <meta property="og:image" content="{{$sitesetting->image_url}}">
    <meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
    <meta property="og:image:type" content="image/jpg">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="630">
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Produ</title>
@endsection
@section('body')
<div class="inner-banner">
	<div class="container">
		<h3>Product Listing</h3>
		<ul class="breadcumb">
			<li><a href="{{ url('/') }}">Home</a></li>
			<li><span class="sep"><i class="fa fa-angle-right"></i></span></li>
			<li><span>Product Listing</span></li>
		</ul>
	</div>
</div>
<section class="blog-listing-page sec-pad">
	<div class="container">
		<div class="row">
			@foreach($product as $pro)
			<div class="col-md-4">
				<div class="single-blog-style-two">
					<div class="img-box">
						<img src="{{ $pro->image_url }}" alt="Awesome Image" />
					</div>
					<div class="text-box">
						<a href="{{ url('/product/detail/'.$pro['slug']) }}"><h3>{{ $pro->name }}</h3></a>
					</div>
				</div>
			</div>
			@endforeach
		</div>
	</div>
</section>


@endsection
@section('js')
@endsection