@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{$category->name}}">
<meta name="keywords" content="{{$category->name}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name)}}">
<meta name="twitter:description" content="{{$sitesetting->meta_desc}}">
<meta name="twitter:image" content="{{$category->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name)}}">
<meta name="twitter:title" content="{{$category->name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{$sitesetting->meta_desc}}">
<meta property="og:image" content="{{$category->image_url}}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$category->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$category->name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>{{$category->name}} | {{ $sitesetting->comp_name }}</title>
@endsection
@section('body')
<div class="breadcumb-wrapper" style="background-image: url('{{ url('public/assets/user')}}/img/breadcumb-bg.jpg');">
      <div class="container">
        <div class="breadcumb-content">
          <h1 class="breadcumb-title">{{$category->name}}</h1>
          <div class="breadcumb-menu-wrapper">
            <ul class="breadcumb-menu">
              <li><a href="{{ url('/') }}">Home</a></li>
              <li>{{$category->name}}</li>
            </ul>
          </div>
        </div>
      </div>
      <div class="breadcump-shape shape-mockup" data-bottom="0%" data-right="0%"><img src="{{ url('public/assets/user')}}/img/shape_2.png" alt=""></div>
    </div>
    <section class="project-sec space">
      <div class="container">
        <div class="row gy-4">
			@foreach ($productlist as $pro)
			<div class="col-lg-3">
				<div class="project-card style2" style="text-align:center;">
					<div>
            <img src="{{ $pro->image_url }}" alt="{{ $pro->name }}" style="height:200px;width:100%;margin-bottom:67px;">
          </div>
          <div class="card_view" style="border:0px; border-radius:10px;background-color:#2d365b;position: absolute;z-index: 999; margin-top: -100px; margin-left: 13px;padding: 15px 28px;">
            <p class="project-title" style="font-size:15px;margin:0;">
              <a href="{{ url('/product-detail')}}/{{$pro->slug}}" style="color:#fff;font-weight:500;">{{ $pro->name }}</a>
            </p>
          </div>
				</div>
			</div>
			@endforeach          
        </div>
      </div>
    </section>
@endsection
