@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.subapp')
@section('metapart')
	<meta property="og:url" content="http://bronzexinternational.com/single-service">
	<meta property="og:title" content="{{$sitesetting->meta_tag}}">
	<meta property="og:description" content="{{$sitesetting->meta_tag}}">
	<meta property="og:type" content="Website">
	<meta property="og:image" content="{{$sitesetting->image_url}}">
	<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
	<meta property="og:image:type" content="image/jpg">
	<meta property="og:image:width" content="200">
	<meta property="og:image:height" content="200">
@endsection

<title>{{$sitesetting->meta_tag}} | Service Details</title>

@section('body')
<div class="inner-banner">
	<div class="container">
		<h3>Service Details</h3>
		<ul class="breadcumb">
			<li><a href="{{ url('/') }}">Home</a></li>
			<li><span class="sep"><i class="fa fa-angle-right"></i></span></li>
			<li><span>Service Details</span></li>
		</ul>
	</div>
</div>
<section class="service-page service-details-page">
	<div class="container">
		<div class="row">
			<div class="col-md-3 col-sm-12 col-xs-12">
				<div class="sidebar">
					<div class="single-sidebar service-sidebar">
						<ul class="service-list">
							<li class="active"><a href="#">Chemical Research</a> </li>
							<li><a href="#">Fuel & Gas Management</a></li>
							<li><a href="#">Eco & Bio Power</a></li>
							<li><a href="#">Mechanical Engineering</a></li>
							<li><a href="#">Petroleum Refinery</a></li>
							<li><a href="#">Power & Energy Sector</a></li>
						</ul>
					</div>
					<div class="single-sidebar broucher-sidebar">
						<div class="title">
							<h3>Brochures</h3>
						</div>
						<p>View our 2018 financial prospectus brochure for an easy to read guide on all of the services offer.</p> <a href="#" class="broucher-btn"><i class="industrio-icon-emails-interface-download-symbol"></i> Download Brochure</a>
						<a href="#" class="broucher-btn"><i class="industrio-icon-pdf"></i> Characteristics</a>
					</div>
				</div>
			</div>
			<div class="col-md-9 col-sm-12 col-xs-12">
				<div class="service-item-box service-details-content">
					<div class="img-box">
						<img src="{{ url('public/assets/user') }}/images/service-details-1-1.jpg" alt="Awesome Image" />
					</div>
					<br />
					<br />
					<h3>Fuel & Gas Management</h3>
					<br />
					<p>Manufacturing industry became a key sector of production and labour in European and North American countries during the Industrial Revolution, upsetting previous mercantile and feudal economies. The Industrial Revolution, which took place from the 18th to 19th centuries,</p>
					<br />
					<p>The Industrial Revolution, which took place from the 18th to 19th centuries, was a period during which predominantly agrarian, rural societies in Europe and America became industrial and urban. Prior to the Industrial Revolution, which began in Britain in the late 1700s, manufacturing was often done in people’s homes, using hand tools or basic machines.</p>
					<br />
					<div class="feature-list-box clearfix">
						<div class="content-box">
							<h4>Why chose us?</h4>
							<p>The Industrial Revolution, which took place from the 18th to 19th centuries, was a period during which predominantly agrarian, rural societies in Europe and America became industrial.</p>
							<ul class="list-items">
								<li><i class="fa fa-arrow-circle-right"></i>Support and Analysis</li>
								<li><i class="fa fa-arrow-circle-right"></i>Suggesting Ingredients</li>
								<li><i class="fa fa-arrow-circle-right"></i>Measuring Performance</li>
								<li><i class="fa fa-arrow-circle-right"></i>Technical Consultation</li>
							</ul>
						</div>
						<div class="img-box">
							<img src="{{ url('public/assets/user') }}/images/service-details-1-2.jpg" alt="Awesome Image" />
						</div>
					</div>
					<br />
					<br />
					<div class="feature-style-one">
						<div class="clearfix">
							<div class="col-md-6">
								<div class="single-feature-style-one">
									<div class="icon-box"> <i class="industrio-icon-innovation"></i>
									</div>
									<div class="text-box">
										<h3>Creative Ideas</h3>
										<p>Sed quia non numquam eius modi tempora incidunt ut labore.</p>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="single-feature-style-one light">
									<div class="icon-box"> <i class="industrio-icon-secure-shield"></i>
									</div>
									<div class="text-box">
										<h3>Super Safety</h3>
										<p>Sed quia non numquam eius modi tempora incidunt ut labore.</p>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="single-feature-style-one light">
									<div class="icon-box"> <i class="industrio-icon-support"></i>
									</div>
									<div class="text-box">
										<h3>24/7 Support</h3>
										<p>Sed quia non numquam eius modi tempora incidunt ut labore.</p>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="single-feature-style-one">
									<div class="icon-box"> <i class="industrio-icon-support"></i>
									</div>
									<div class="text-box">
										<h3>24/7 Support</h3>
										<p>Sed quia non numquam eius modi tempora incidunt ut labore.</p>
									</div>
								</div>
							</div>
						</div>
					</div>
					<br />
					<br />
					<div class="faq-style-one">
						<div class="accrodion-grp" data-grp-name="faq-accrodion">
							<div class="accrodion active">
								<div class="accrodion-title">
									<h4>How to process the funtion for consulting?</h4>
								</div>
								<div class="accrodion-content">
									<div class="inner">
										<p>Many of our SELC registered employees are requested as main preferred Guilds were gone for
											<br />associations of artisans and Merchant that oversaw the main production and distribution of a
											<br />particular good has been over flow.</p>
									</div>
								</div>
							</div>
							<div class="accrodion ">
								<div class="accrodion-title">
									<h4>Where should I incorporate my business?</h4>
								</div>
								<div class="accrodion-content">
									<div class="inner">
										<p>Many of our SELC registered employees are requested as main preferred Guilds were gone for
											<br />associations of artisans and Merchant that oversaw the main production and distribution of a
											<br />particular good has been over flow.</p>
									</div>
								</div>
							</div>
							<div class="accrodion">
								<div class="accrodion-title">
									<h4>How much should I capitalize with at the beginning?</h4>
								</div>
								<div class="accrodion-content">
									<div class="inner">
										<p>Many of our SELC registered employees are requested as main preferred Guilds were gone for
											<br />associations of artisans and Merchant that oversaw the main production and distribution of a
											<br />particular good has been over flow.</p>
									</div>
								</div>
							</div>
							<div class="accrodion">
								<div class="accrodion-title">
									<h4>What is certification?</h4>
								</div>
								<div class="accrodion-content">
									<div class="inner">
										<p>Many of our SELC registered employees are requested as main preferred Guilds were gone for
											<br />associations of artisans and Merchant that oversaw the main production and distribution of a
											<br />particular good has been over flow.</p>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<section class="contact-info-style-one">
	<div class="container">
		<div class="row">
			<div class="col-md-6">
				<div class="title">
					<h3>Get in <span>touch</span></h3>
					<p>You will find yourself working in a true partnership that results in an incredible experience, and an end product that is the best.</p>
				</div>
			</div>
			<div class="col-md-6">
				<div class="contact-infos">
					<div class="single-contact-infos">
						<div class="icon-box"> <i class="industrio-icon-phone-call"></i>
						</div>
						<div class="text-box">
							<h3>Call us on</h3>
							<p>222-121-4562</p>
						</div>
					</div>
					<div class="single-contact-infos">
						<div class="icon-box"> <i class="industrio-icon-envelope"></i>
						</div>
						<div class="text-box">
							<h3>Email us</h3>
							<p>support@gmail.com</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>


@endsection
@section('js')
@endsection