@php

$sitesetting=\App\Model\Sitesetting::first();

@endphp

@extends('user.layouts.app')

@section('metapart')

<meta name="description" content="{{ $sitesetting->meta_desc }}">

<meta name="keywords" content="{{ $sitesetting->meta_tag }}">



<meta name="twitter:card" content="summary">

<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">

<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">

<meta name="twitter:image" content="{{ $sitesetting->image_url }}">

<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">

<meta name="twitter:title" content="{{ $sitesetting->comp_name }}">

<meta name="twitter:url" content="{{ url('/') }}" />



<meta property="og:description" content="{{ $sitesetting->meta_desc }}">

<meta property="og:image" content="{{ $sitesetting->image_url }}">

<meta property="og:image:height" content="630">

<meta property="og:image:width" content="1200">

<meta property="og:image:secure_url" content="{{ $sitesetting->image_url }}">

<meta property="og:image:type" content="image/jpg">

<meta property="og:title" content="{{ $sitesetting->comp_name }}">

<meta property="og:type" content="website">

<meta property="og:url" content="{{ url('/') }}">

@endsection

@section('pagetitle')

<title>{{ $sitesetting->comp_name }} | terms condition</title>

@endsection

@section('body')

<section class="terms">
    <div class="container">
        <div class="terms-text">
            <h3>Terms Condition Gujarati</h3>
            <br>

            <ul>
                <li>પ્રિય યાત્રીશ્રી, કૃપા કરીને નીચેના મુદ્દે અમને સહયોગ આપશો.</li>
                <li>👉🏻 "શેરિંગ કેબ" માં આપને ટાઈમ રેન્જ આપવામાં આવશે એ ટાઈમ રેન્જ દરમ્યાન ગાડી કોઈપણ સમયે આપને પીકઅપ કરવા આવશે માટે કૃપા કરી એ સમય દરમ્યાન તૈયાર રહેશો. સ્પેશ્યલ કેબમાં આપ આપનો ઈચ્છીત પીકઅપ સમય પસંદ કરી શકો છો.</li>
                <li>👉🏻સ્પેશિયલ કેબ માં પ્રથમ 15 મિનિટ વેઇટિંગ ફ્રી રહેશે, ત્યારબાદ પ્રતિ 30 મિનિટ ₹150/- વેઇટિંગ ચાર્જ રહેશે.</li>
                <li>👉🏻 જો આપે "શેરિંગ કેબ" બુક કરેલ હોય તો કૃપા કરીને આપને જણાવવામાં આવેલ ટાઈમ રેન્જ દરમ્યાન તૈયાર રહેશો, અન્ય સહ-યાત્રીઓને અસુવિધા ન થાય તે માટે કેબ પાંચ મિનિટ થી વધુ રાહ જોઈ શકશે નહીં.</li>
                <li>👉🏻 "શેરિંગ કેબ" માં વ્યક્તિ દીઠ માત્ર એક જ બેગ સમાવી શકાશે.</li>
                <li>👉🏻"શેરિંગ કેબ" માં સેડાન કેબમાં ચાર અને SUVમાં છ સહયાત્રીઓ હોઈ શકે છે.</li>
                <li>👉🏻 આપે કરાવેલ બુકિંગ રદ્દ થવા પાત્ર કે રિફંડેબલ નથી.</li>
                <li>👉🏻 જો આપની ફ્લાઇટ વિલંબિત/રદ/સામાન કે અન્ય કારણોસર વિલંબ થાય, તો પ્રથમ 30 મિનિટ વેઇટિંગ ફ્રી છે. ત્યારબાદ ₹100/- પ્રતિ કલાકનો વેઇટિંગ ચાર્જ રહેશે.</li>
                <li>👉🏻 વાહનમાં કોઈ યાંત્રિક સમસ્યાને લીધે થનાર વિલંબ / નુકશાની માં અમારી જવાબદારી રહેશે નહીં.</li>
                <li>👉🏻 આપના દ્વારા કરવામાં આવેલ બુકિંગની સમીક્ષા કરવામાં આવશે અને આપનું બુકિંગ સ્વીકારવા બાબતનો અંતિમ નિર્ણય ABDG Travels નો રહેશે, જો અમારા તરફથી આપનું બુકિંગ રદ્દ કરવામાં આવે તો આપને પૂરું રિફંડ ચૂકવવામાં આવશે.</li>

                <li>આપના સહયોગ બદલ આભારી છીએ. 🙏🏻🙏🏻
                </li>

                <p>આપની યાત્રા સુખદ રહે એવી કામના કરીએ છીએ. 💐💐🙂</p>
            </ul>
        </div>

        <hr class="hr-4">

        <div class="terms-text eng-text">
            <h3>Terms Condition English</h3>
            <br>

            <ul>
                <li>👉🏻 If you have booked the "sharing cab”, kindly be ready at our instructed time range. You can book a special cab for your desired pickup time.</li>
                <li>👉🏻 If you have booked a special cab, the first 15 minutes of waiting will be free; after that, ₹150/- waiting charge for every 30 minutes will be applicable. </li>
                <li>👉🏻 If you have booked the "sharing cab", kindly be ready at the instructed time range. The cab will only wait up to five minutes to avoid inconveniencing co-passengers.
                </li>
                <li>👉🏻 In the "sharing cab", only one bag per person can be accommodated. </li>
                <li>👉🏻 In a "sharing cab", a sedan cab may have up to four passengers, and an SUV may have up to six passengers.
                </li>
                <li>👉🏻 The booking made is not cancellable or refundable. </li>
                <li>👉🏻 If your flight is delayed/cancelled / luggage or any other issue, the first 30 minutes of waiting is free. After that, a waiting charge of ₹100/- per hour will be applicable. </li>
                <li>👉🏻 We will not be responsible for any delay / financial loss due to any mechanical problem in the vehicle. </li>
                <li>👉🏻 Your booking will undergo a review, and ABDG Travels will make the final decision on whether to accept it. In the event of a cancellation, you will receive a full refund.</li>
                <li>👉🏻 We appreciate your support. 🙏🏻🙏🏻</li>

                <p>We wish you a pleasant journey. 💐😊</p>
            </ul>


            {{-- <p>Dear passenger, You have booked a taxi for Hirasar airport pickup/drop.</p>
            <p>Please support us on the following issue.</p>
            <p>It is advisable to reach the airport two hours before the departure of your flight. In normal
                circumstances, it will take
                approximately one hour to reach Hirasar airport from Rajkot. </p>
            <p>If you have booked a special cab, the first 15 minutes of waiting will be free; after that, ₹ 150/-
                waiting charge will be
                charged for every half hour.</p>
            <p>If you have booked the sharing cab, be ready when you are told that the cab won't wait for more than five
                minutes to
                avoid the inconvenience to co-passengers.</p>
            <p>In the sharing cab, only one bag per person can be accommodated.</p>
            <p>In a sharing cab, a sedan cab may have up to four passengers, and an SUV may have up to six passengers.
            </p>
            <p>The booking made is not cancelable or refundable.</p>
            <p>If your flight is delayed/cancelled / luggage or any other issue, the first 30 minutes of waiting is
                free. After that, a
                waiting charge of ₹ 200/- per hour will be applicable</p>
            <p>We will not be responsible for any delay / financial loss due to any mechanical problem in the vehicle.
            </p>
            <p>If we cancel your booking due to unavoidable circumstances, you will be refunded 1.5 times the payment.
            </p>
            <p>We appreciate your support. </p>
            <p>We wish you a pleasant journey.</p> --}}

        </div>

    </div>

</section>


@endsection