<?php

/*Route::get('/home', function () {
    $users[] = Auth::user();
    $users[] = Auth::guard()->user();
    $users[] = Auth::guard('admin')->user();
    return view('admin.home');
})->name('home');*/

Route::get('profile','AdminAuth\ProfileController@index')->name('profile');
Route::post('profile','AdminAuth\ProfileController@profile_post')->name('profile_post');
Route::get('reset_password','AdminAuth\ProfileController@reset_password')->name('profile.reset_password');
Route::post('profile/info','AdminAuth\ProfileController@info')->name('profile.info');
Route::post('profile/password','AdminAuth\ProfileController@password')->name('profile.password');

Route::get('home','AdminAuth\HomeController@index');
Route::get('analytics','AdminAuth\HomeController@analytics');
Route::post('analytics','AdminAuth\HomeController@analytics_data');
Route::post('upload-analytics','AdminAuth\HomeController@analytics_upload_data');

Route::resource('category','AdminAuth\CategoryController');
Route::resource('groupofcompany','AdminAuth\GroupofcompanyController');
Route::post('deletemultiplecategory','AdminAuth\CategoryController@deletemultiple');
Route::resource('subcategory','AdminAuth\SubcategoryController');
Route::resource('product','AdminAuth\ProductController');
Route::resource('pincode','AdminAuth\PincodeController');
Route::resource('gallery','AdminAuth\GalleryController');
Route::resource('testimonial','AdminAuth\TestimonialController');
Route::resource('service','AdminAuth\ServiceController');
Route::resource('role','AdminAuth\RoleController');
Route::resource('eventapply','AdminAuth\EventapplyController');
Route::resource('permission','AdminAuth\PermissionController');
Route::resource('brand','AdminAuth\BrandController');
Route::resource('admin','AdminAuth\AdminController');
Route::resource('reference','AdminAuth\ReferenceController');
Route::resource('slider','AdminAuth\SliderController');
Route::resource('timeline','AdminAuth\TimelineController');
Route::resource('ourteam','AdminAuth\OurteamController');
Route::resource('inquiry','AdminAuth\InquiryController');


Route::resource('user','AdminAuth\UserController');
Route::resource('vendor','AdminAuth\VendorController');
Route::resource('flight','AdminAuth\FlightController');
Route::resource('voucher','AdminAuth\VoucherController');
Route::resource('booking','AdminAuth\BookingController');
Route::get('bookingpdf','AdminAuth\BookingController@pdf');
Route::get('bookinglist','AdminAuth\BookingController@bookinglist');
Route::post('bookinglist','AdminAuth\BookingController@bookinglist');
Route::post('bookingexcel','AdminAuth\BookingController@bookingexcel');
Route::get('set-ip-details/{user_id}','AdminAuth\UserController@set_ip');

Route::get('sitesetting','AdminAuth\SitesettingController@index')->name('sitesetting');
Route::post('sitesetting','AdminAuth\SitesettingController@sitesetting_post')->name('sitesetting_post');

Route::get('about','AdminAuth\AboutController@index')->name('about');
Route::post('getyear','AdminAuth\OurteamController@getyear')->name('getyear');
Route::post('about','AdminAuth\AboutController@about_post')->name('about_post');
Route::get('test','AdminAuth\TestController@index');
Route::get('deleteyoutubelink/{id}','AdminAuth\EventcheckController@deleteyoutubelink');
Route::post('eventapplylist','AdminAuth\EventapplyController@eventapplylist');

Route::get('bookingbill/{id}','AdminAuth\BookingController@bookingbill');

