<?php $__env->startSection('content'); ?>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Profile
                <small>Setting</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="<?php echo e(url('admin/home')); ?>"><i class="fa fa-user"></i> Home</a></li>
                <li class="active">Profile</li>
            </ol>
        </section>

        <section class="content">
            <div class="row">
            
                <div class="col-md-6 col-md-offset-3">
                    <?php echo $__env->make('flash', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Password  Reset</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <?php echo Form::open(['route' => 'admin.profile.password', 'method' => 'post']); ?>

                            <div class="box-body">
                                <div class="form-group <?php echo e($errors->has('password') ? ' has-error' : ''); ?>">
                                    <label class="control-label">Password <span class="text-danger">*</span></label>
                                    <?php echo Form::text('password',null, ['class' => 'form-control']); ?>

                                    <span class="help-block" id="error_password"><strong><?php echo e($errors->first('password')); ?></strong></span>
                                </div>
                                
                               <div class="form-group <?php echo e($errors->has('password_confirmation') ? ' has-error' : ''); ?>">
                                   <label class="control-label">Password Confirmation <span class="text-danger">*</span></label>
                                   <?php echo Form::text('password_confirmation',null, ['class' => 'form-control']); ?>

                                   <span class="help-block" id="error_password_confirmation"><strong><?php echo e($errors->first('password_confirmation')); ?></strong></span>
                               </div>

                            </div>
                            <!-- /.box-body -->

                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary pull-right">Submit</button>
                            </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

            </div>
        </section>

    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>