<?php 
$sitesetting=\App\Model\Sitesetting::first();
 ?>

<?php $__env->startSection('metapart'); ?>
<meta name="description" content="<?php echo e($sitesetting->meta_desc); ?>">
<meta name="keywords" content="<?php echo e($sitesetting->meta_tag); ?>">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="<?php echo e(str_replace(' ','','@'.$sitesetting->comp_name)); ?>">
<meta name="twitter:description" content="<?php echo e($sitesetting->meta_desc); ?>">
<meta name="twitter:image" content="<?php echo e($sitesetting->image_url); ?>">
<meta name="twitter:site" content="<?php echo e(str_replace(' ','','@'.$sitesetting->comp_name)); ?>">
<meta name="twitter:title" content="<?php echo e($sitesetting->comp_name); ?>">
<meta name="twitter:url" content="<?php echo e(url('/')); ?>" />

<meta property="og:description" content="<?php echo e($sitesetting->meta_desc); ?>">
<meta property="og:image" content="<?php echo e($sitesetting->image_url); ?>">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="<?php echo e($sitesetting->image_url); ?>">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="<?php echo e($sitesetting->comp_name); ?>">
<meta property="og:type" content="website">
<meta property="og:url" content="<?php echo e(url('/')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('pagetitle'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>


<style>
      .filter-option{
    color: black;
  } 

  .listing-box-header img{
    width: 50px;
  }
.maindate{
  color: black;
}
.listing-box-header h3{
  text-decoration: underline;
}
.listing-box-header p {
    font-weight: 800 !important;
    color: black;
}
label{
    font-weight: 800 !important;
    color: black;
  }
    @media  screen and (max-width: 767px) {
        .perametr {
            text-align: center;
        }

        .mainmedia {
            margin-top: 10px !important;
            margin-bottom: 15px !important;
        }
    }

    @media  screen and (max-width: 9999px) {
        ul.slick-dots {
            display: none !important;
        }
    }

    @media (min-width: 768px) and (max-width: 991px) {
        .mainbtn {
            width: 40px !important;
            margin-top: 22px !important;
        }

        .bookfild {
            justify-content: flex-start !important;
        }
    }

    @media (min-width: 992px) and (max-width: 1199px) {
        .mainbtn {
            width: auto !important;
        }

        .bookfild {
            justify-content: flex-start !important;
        }
    }



    @media (min-width: 992px) and (max-width: 9999px) {
        .bookfild {
            justify-content: flex-start !important;
        }
    }


    .responsivslid img {
        width: 370px;
        padding: 10px;
        height: 300px;
    }

    .responsivslid p {
        text-align: center;
        color: black;
        font-size: 16px;
        font-weight: 700;
    }

    img.slick-slide.slick-active {
        width: 380px;
        height: 300px;
    }

    .bookfl {
        display: flex;
        row-gap: 10px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .bookfild {
        display: flex;
        column-gap: 40px;
        flex-wrap: wrap;
        justify-content: space-around;
        row-gap: 10px;
    }

    .page-title {
        background-size: cover !important;
        background-position: left !important;
        position: relative;
        height: 320px;
    }

    .form-control {
        width: -webkit-fill-available;
    }

    section {
        padding: 70px 0 70px;
    }

    .newtitel {
        display: flex;
        justify-content: center;
        column-gap: 10px;
    }

    .profile-pic-wrapper {
        height: 30vh;
        width: 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .pic-holder {
        text-align: center;
        position: relative;
        border-radius: 50%;
        width: 150px;
        height: 150px;
        overflow: hidden;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 20px;
    }

    .pic-holder .pic {
        height: 100%;
        width: 100%;
        -o-object-fit: cover;
        object-fit: cover;
        -o-object-position: center;
        object-position: center;
    }

    .pic-holder .upload-file-block,
    .pic-holder .upload-loader {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: rgba(90, 92, 105, 0.7);
        color: #f8f9fc;
        font-size: 12px;
        font-weight: 600;
        opacity: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: all 0.2s;
    }

    .pic-holder .upload-file-block {
        cursor: pointer;
    }

    .pic-holder:hover .upload-file-block,
    .uploadProfileInput:focus~.upload-file-block {
        opacity: 1;
    }

    .pic-holder.uploadInProgress .upload-file-block {
        display: none;
    }

    .pic-holder.uploadInProgress .upload-loader {
        opacity: 1;
    }

    /* Snackbar css */
    .snackbar {
        visibility: hidden;
        min-width: 250px;
        background-color: #333;
        color: #fff;
        text-align: center;
        border-radius: 2px;
        padding: 16px;
        position: fixed;
        z-index: 1;
        left: 50%;
        bottom: 30px;
        font-size: 14px;
        transform: translateX(-50%);
    }

    .snackbar.show {
        visibility: visible;
        -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
        animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

    @-webkit-keyframes fadein {
        from {
            bottom: 0;
            opacity: 0;
        }

        to {
            bottom: 30px;
            opacity: 1;
        }
    }

    <blade keyframes|%20fadein%20%7B%0D>from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
    }

    @-webkit-keyframes fadeout {
        from {
            bottom: 30px;
            opacity: 1;
        }

        to {
            bottom: 0;
            opacity: 0;
        }
    }

    <blade keyframes|%20fadeout%20%7B%0D>from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
    }








    input#birthday {
        height: 50px;
        border: 1px solid #dde6ef;
        margin-bottom: 10px;
        box-shadow: none;
        border-radius: 0;
        background: #fbfdff;
        font-size: 15px;
        color: #445461;
        padding: 6px 30px 6px 18px;
        font-weight: 400;
    }

    .checkbox-wrapper-31:hover .check {
        stroke-dashoffset: 0;
    }

    .checkbox-wrapper-31 {
        position: relative;
        display: inline-block;
        width: 26px;
        height: 26px;
    }

    .checkbox-wrapper-31 .background {
        fill: #ccc;
        transition: ease all 0.6s;
        -webkit-transition: ease all 0.6s;
    }

    .checkbox-wrapper-31 .stroke {
        fill: none;
        stroke: #fff;
        stroke-miterlimit: 10;
        stroke-width: 2px;
        stroke-dashoffset: 100;
        stroke-dasharray: 100;
        transition: ease all 0.6s;
        -webkit-transition: ease all 0.6s;
    }

    .checkbox-wrapper-31 .check {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
        stroke-dashoffset: 22;
        stroke-dasharray: 22;
        transition: ease all 0.6s;
        -webkit-transition: ease all 0.6s;
    }

    .checkbox-wrapper-31 input[type=checkbox] {
        position: absolute;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        margin: 0;
        opacity: 0;
        -appearance: none;
        -webkit-appearance: none;
    }

    .checkbox-wrapper-31 input[type=checkbox]:hover {
        cursor: pointer;
    }

    .checkbox-wrapper-31 input[type=checkbox]:checked+svg .background {
        fill: #6cbe45;
    }

    .checkbox-wrapper-31 input[type=checkbox]:checked+svg .stroke {
        stroke-dashoffset: 0;
    }

    .checkbox-wrapper-31 input[type=checkbox]:checked+svg .check {
        stroke-dashoffset: 0;
    }


    .selectable-date {
        background-color: #00ff00 !important;
        /* Override the background color for selectable dates */
    }


    .gj-picker-bootstrap table tr td:not(.disabled) div {
        color: green !important;


    }
</style>
<style>
    .errorlocation {
        color: red;
    }

    /*//////////////////////popup model///////////////*/


    .btn-size {
        width: 15% !important;
    }


    .Click-here {
        cursor: pointer;
        /*background-image: linear-gradient(190deg, #ff3f0a 0%, #f43900 100%);*/
        /* color: #ff431e; */
        width: max-content;
        text-align: center;
        font-size: 16px;
        padding: 10px 0;
        margin: 0px 10px;
        transition: background-image 3s ease-in-out;
    }

    .Click-here a {
        color: #ff431e;
    }

    /*.Click-here:hover{
  transition:background-image 3s ease-in-out;
  background-image: linear-gradient(90deg, #fee140 0%, #f83600 100%);
}*/

    .popup-flex {
        display: flex;
        align-items: center;
        margin: 0px 20px;
    }

    .custom-model-main {
        text-align: center;
        overflow: hidden;
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        /* z-index: 1050; */
        -webkit-overflow-scrolling: touch;
        outline: 0;
        opacity: 0;
        -webkit-transition: opacity 0.15s linear, z-index 0.15;
        -o-transition: opacity 0.15s linear, z-index 0.15;
        transition: opacity 0.15s linear, z-index 0.15;
        z-index: -1;
        overflow-x: hidden;
        overflow-y: auto;
    }

    .model-open {
        z-index: 99999;
        opacity: 1;
        overflow: hidden;
    }

    .custom-model-inner {
        -webkit-transform: translate(0, -25%);
        -ms-transform: translate(0, -25%);
        transform: translate(0, -25%);
        -webkit-transition: -webkit-transform 0.3s ease-out;
        -o-transition: -o-transform 0.3s ease-out;
        transition: -webkit-transform 0.3s ease-out;
        -o-transition: transform 0.3s ease-out;
        transition: transform 0.3s ease-out;
        transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out;
        display: inline-block;
        vertical-align: middle;
        width: max-content;
        margin: 30px auto;
        max-width: 97%;
    }

    .custom-model-wrap {
        display: block;
        width: 100%;
        position: relative;
        background-color: #fff;
        border: 1px solid #999;
        border: 1px solid rgba(0, 0, 0, 0.2);
        border-radius: 6px;
        -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
        box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
        background-clip: padding-box;
        outline: 0;
        text-align: left;
        padding: 20px;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        max-height: calc(100vh - 70px);
        overflow-y: auto;
    }

    .model-open .custom-model-inner {
        -webkit-transform: translate(0, 0);
        -ms-transform: translate(0, 0);
        transform: translate(0, 0);
        position: relative;
        z-index: 999;
    }

    .model-open .bg-overlay {
        background: rgba(0, 0, 0, 0.6);
        z-index: 99;
    }

    .bg-overlay {
        background: rgba(0, 0, 0, 0);
        height: 100vh;
        width: 100%;
        position: fixed;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 0;
        -webkit-transition: background 0.15s linear;
        -o-transition: background 0.15s linear;
        transition: background 0.15s linear;
    }

    .close-btn {
        position: absolute;
        right: 0;
        top: -30px;
        cursor: pointer;
        z-index: 99;
        font-size: 30px;
        color: #fff;
    }

    @media  screen and (min-width:800px) {
        .custom-model-main:before {
            content: "";
            display: inline-block;
            height: auto;
            vertical-align: middle;
            margin-right: -0px;
            height: 100%;
        }
    }

    @media  screen and (max-width:799px) {
        .custom-model-inner {
            margin-top: 45px;
        }
    }



    .ui-checkbox {
        --primary-color: #1677ff;
        --secondary-color: #fff;
        --primary-hover-color: #4096ff;
        /* checkbox */
        --checkbox-diameter: 20px;
        --checkbox-border-radius: 5px;
        --checkbox-border-color: #d9d9d9;
        --checkbox-border-width: 1px;
        --checkbox-border-style: solid;
        /* checkmark */
        --checkmark-size: 1.2;
    }

    .ui-checkbox,
    .ui-checkbox *,
    .ui-checkbox *::before,
    .ui-checkbox *::after {
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }

    .ui-checkbox {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        width: var(--checkbox-diameter);
        height: var(--checkbox-diameter);
        border-radius: var(--checkbox-border-radius);
        background: var(--secondary-color);
        border: var(--checkbox-border-width) var(--checkbox-border-style) var(--checkbox-border-color);
        -webkit-transition: all 0.3s;
        -o-transition: all 0.3s;
        transition: all 0.3s;
        cursor: pointer;
        position: relative;
    }

    .ui-checkbox::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        -webkit-box-shadow: 0 0 0 calc(var(--checkbox-diameter) / 2.5) var(--primary-color);
        box-shadow: 0 0 0 calc(var(--checkbox-diameter) / 2.5) var(--primary-color);
        border-radius: inherit;
        opacity: 0;
        -webkit-transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
        -o-transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
        transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
    }

    .ui-checkbox::before {
        top: 40%;
        left: 50%;
        content: "";
        position: absolute;
        width: 4px;
        height: 7px;
        border-right: 2px solid var(--secondary-color);
        border-bottom: 2px solid var(--secondary-color);
        -webkit-transform: translate(-50%, -50%) rotate(45deg) scale(0);
        -ms-transform: translate(-50%, -50%) rotate(45deg) scale(0);
        transform: translate(-50%, -50%) rotate(45deg) scale(0);
        opacity: 0;
        -webkit-transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
        -o-transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
        transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
    }

    /* actions */

    .ui-checkbox:hover {
        border-color: var(--primary-color);
    }

    .ui-checkbox:checked {
        background: var(--primary-color);
        border-color: transparent;
        width: 16px;
        height: 16px;
    }


    .ui-checkbox:checked::before {
        opacity: 1;
        -webkit-transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
        -ms-transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
        transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
        -webkit-transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
        -o-transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
        transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
    }

    .ui-checkbox:active:not(:checked)::after {
        -webkit-transition: none;
        -o-transition: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        transition: none;
        opacity: 1;
    }

    @media  screen and (max-width: 767px) {
        .ui-checkbox {
            width: 45px;
        }
    }


    .swal2-select{
        display: none;
    }

    /*//////////////////////popup model///////////////*/
</style>

<div class="clearfix"></div>

<!-- ================ Start Page Title ======================= -->
<section class="title-transparent page-title"
    style="background:url(<?php echo e(url('public/assets/design')); ?>/images/newbannerr.jpg);">
    <div class="container">
        <div class="title-content">
            <h1>Inquiry</h1>
            <div class="breadcrumbs">
                <a href="#">Home</a>
                <span class="gt3_breadcrumb_divider"></span>
                <span class="current">Inquiry</span>
            </div>
        </div>
    </div>
</section>
<div class="clearfix"></div>
<!-- ================ End Page Title ======================= -->

<!-- ================ Start Add Listing Section ======================= -->



 
<form action="<?php echo e(url('saveinquiry')); ?>" method="post" id="bookingForm" enctype="multipart/form-data">
    <?php echo e(csrf_field()); ?>

    <section>

        <div class="container">
            <div class="col-md-10 col-sm-12 col-md-offset-1 mob-padd-0">
                <!-- General Information -->
                <div class="add-listing-box general-info mrg-bot-25 padd-bot-30 padd-top-25">
                    <div class="listing-box-header">
                    <img src="<?php echo e(url('public/assets/design')); ?>/images/travellogo.jpeg" alt="">
                        <h3><b>Inquiry Form</b></h3>
                        <p>For any assistance, feel free to contact on <a href="tel:9426260000">9426260000</a></p>
                    </div>
 
                    <div class="row mrg-r-10 mrg-l-10">
                        <div class="col-sm-6">
                            <label>Select Route :</label>
                            <select style="width: -webkit-fill-available !important;" data-placeholder="Choose Route"
                                id="route" name="route" class="form-control chosen-select" tabindex="2" >
                                <option value="">Choose Route</option>
                                <option value="Rajkot City - Hirasar airport">Rajkot City - Hirasar airport</option>
                                <option value="Hirasar airport - Rajkot City">Hirasar airport - Rajkot City</option>
                            </select>
                        </div>

                        <div class="birthdate col-sm-6" style="height: 91px;">

                            <label for="birthday">Date</label>
                            <input type="text" name="date" style="width: -webkit-fill-available;" id="datepicker"
                                autocomplete="off" >

                        </div>

                        <div class="col-sm-6">
                            <label> Flight :</label>
                            <select data-placeholder="Choose Flight" name="flight" id="flight" class="form-control"
                                tabindex="2" >


                            </select>
                        </div>

                        



                        <div class="row mrg-r-10 mrg-l-10">

                            <div iv class="col-sm-6">
                                <label>Name :</label>
                                <input type="text" name="name" class="form-control" required>
                            </div>
                            <div iv class="col-sm-6">
                                <label>Contact No :</label>
                                <input type="number" name="contactno" class="form-control" required>
                            </div>
                          


                            <div iv class="col-sm-6">
                                <label>Agent Code :</label>
                                <input type="text" name="agent_code" class="form-control" required>
                            </div>


                        </div>

                    </div>
                    <div class="row">
                        
                    </div>
                    <div class="mainchack">
                        <div class="bookfl">
                          
                          <div class="col-sm-6 text-center">
                            <input type="submit" onclick="" value="Submit" class="btn theme-btn" title="Submit Listing">
                          </div>
                        </div>
                      </div>
                   
                </div>
    </section>

</form>


<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>





<script>




    <?php 

    if(session()->get('success')){

    ?>

    Swal.fire({
                      title: "Booking saved",
                      showClass: {
                        popup: `
                          animate__animated
                          animate__fadeInUp
                          animate__faster
                        `
                      },
                      hideClass: {
                        popup: `
                          animate__animated
                          animate__fadeOutDown
                          animate__faster
                        `
                      }
                  });
                    setTimeout(() => {
                      location.reload();
                    }, 2000);


                    <?php 

                }
                    ?>
    function pickup()
{
	
	var flight = $('#flight').val();
	var cab = $('#cab_type').val();
	
	 $.ajax({
        type: "POST",
        url: "<?php echo e(url('pickupchangetime')); ?>",
        data: {
          "cab": cab,
          "flight": flight,
          "_token": "<?php echo e(csrf_token()); ?>",
        },
        success: function(result) 
		{
          $('#pickup').val(result);
        }
  });
}
</script>






<script>
    $(document).ready(function() {
    $('#datepicker').datepicker({
      format: 'dd-mm-yyyy',
      uiLibrary: 'bootstrap',
      autoclose: false,
      minDate: function() {
        var date = new Date();
       
        date.setHours(date.getHours() + 48); // Set minDate to 18 hours from the current time

        return new Date(date.getFullYear(), date.getMonth(), date.getDate());
      },
      beforeShowDay: function(date) {
        var currentDate = new Date(); // Get the current date
        var bgColor = (date.getTime() >= currentDate.getTime()) ? '#00ff00' : ''; // Set background color to green for dates starting from the current date

        return [true, 'selectable-date', bgColor];
      },
      onSelect: function(date) {


      }
    });
  });
</script>



<script>
    $(document).ready(function() {


    $('select').selectpicker();



  });
</script>



<script>
    $("body").on("change", "#route", function() {
    var row_id = $(this).val();
    $.ajax({
      type: "POST",
      url: '<?php echo e(url('getflightbyroute')); ?>',
      data: {
        "_token": "<?php echo e(csrf_token()); ?>",
        "route": row_id
      },
      success: function(result) {
        //console.log(result);
     //   console.log(result);
        $('#flight').empty();
        var flight = $('#flight');
      //  flight.selectpicker('destroy');

        flight.append("<option value=''>Choose Flight</option>");
        $.each(result, function(key, value) {
          flight.append("<option value='" + value.id + "'>" + value.name + "</option>");
        });

        flight.selectpicker('refresh');




      }
    });
  });



 

 

 
</script>



<script>
    $(".Click-here").on('click', function () {
    $(".custom-model-main").addClass('model-open');
  });
  $(".close-btn, .bg-overlay").click(function () {
    $(".custom-model-main").removeClass('model-open');
  });



</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('user.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>