<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1 class="pull-left">
			<?php echo e($title); ?> Details
		</h1>
		<p>&nbsp;</p>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-xs-6 col-xs-offset-3">
				<div class="box box-primary">
					<div class="box-header with-border">
						<h3 class="box-title">Details</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<table class="table table-bordered">
							<thead>
								<tr>
									<th width="30%">Name</th>
									<td width="70%"><?php echo e($record['name']); ?></td>
								</tr>
								<tr>
									<th width="30%">Route name</th>
									<td width="70%"><?php echo e($record['route_id']); ?></td>
								</tr>

								<tr>
									<th width="30%">Flight name</th>
									<td width="70%"><?php echo e($record['flight']['name']??''); ?></td>
								</tr>

								<tr>
									<th width="30%">Cab Type</th>
									<td width="70%"><?php echo e($record['cab_type']); ?></td>
								</tr>

								<tr>
									<th width="30%">Cab Car</th>
									<td width="70%"><?php echo e($record['cab_car']); ?></td>
								</tr>

								<tr>
									<th width="30%">No of Passager</th>
									<td width="70%"><?php echo e($record['no_of_passenger']); ?></td>
								</tr>

								<tr>
									<th width="30%">Amount</th>
									<td width="70%"><?php echo e($record['amount']); ?></td>
								</tr>

								<tr>
									<th width="30%" style="vertical-align: baseline;">Location</th>
									<td width="70%">
										<?php 
										try{

										$unserializedArray_address = unserialize($record->location);

										} catch(\Exception $e) {
										echo '1. ' . $record->location;
										}
										 ?>

										<?php if(!empty($unserializedArray)): ?>

										<?php $__currentLoopData = $unserializedArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
										<p> <?php echo e(($key + 1).'. '.$location); ?> </p>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
									</td>


									<?php endif; ?>
								</tr>
								<tr>
									<th width="30%" style="vertical-align: baseline;">Address</th>
									<td width="70%">

										<?php 
										try{

										$unserializedArray_address = unserialize($record->address);

										} catch(\Exception $e) {
										echo '1. ' . $record->location;
										}

										 ?>

										<?php if(!empty($unserializedArray_address)): ?>

										<?php $__currentLoopData = $unserializedArray_address; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
										<p> <?php echo e(($key + 1).'. '.$location); ?> </p>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
									</td>


									<?php endif; ?>


								</tr>

								<tr>
									<th width="30%">Contact No</th>
									<td width="70%"><?php echo e($record['contactno']); ?></td>
								</tr>

								<tr>
									<th width="30%">Whatsapp No</th>
									<td width="70%"><?php echo e($record['whatsappno']); ?></td>
								</tr>

								<tr>
									<th width="30%">Email</th>
									<td width="70%"><?php echo e($record['email']); ?></td>
								</tr>



								<tr>
									<th width="30%">Voucher Discount</th>
									<td width="70%"><?php echo e($record['voucher_discount']); ?></td>
								</tr>

								<tr>
									<th width="30%">Gst No</th>
									<td width="70%"><?php echo e($record['gst_no']); ?></td>
								</tr>


								<tr>
									<th width="30%">Grand Total</th>
									<td width="70%"><?php echo e($record['grandtotal']); ?></td>
								</tr>

								<tr>
									<th width="30%">Status</th>
									<td width="70%"><?php echo e($record['status']); ?></td>
								</tr>

							</thead>
						</table>
					</div>
					<!-- /.box-body -->

					<div class="box-footer">
						<a href="<?php echo e(route($route.'index')); ?>" type="submit" class="btn btn-default pull-left">Back</a>
					</div>
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>