<?php 

$sitesetting=\App\Model\Sitesetting::first();

 ?>



<?php $__env->startSection('metapart'); ?>

<meta name="description" content="<?php echo e($sitesetting->meta_desc); ?>">

<meta name="keywords" content="<?php echo e($sitesetting->meta_tag); ?>">



<meta name="twitter:card" content="summary">

<meta name="twitter:creator" content="<?php echo e(str_replace(' ','','@'.$sitesetting->comp_name)); ?>">

<meta name="twitter:description" content="<?php echo e($sitesetting->meta_desc); ?>">

<meta name="twitter:image" content="<?php echo e($sitesetting->image_url); ?>">

<meta name="twitter:site" content="<?php echo e(str_replace(' ','','@'.$sitesetting->comp_name)); ?>">

<meta name="twitter:title" content="<?php echo e($sitesetting->comp_name); ?>">

<meta name="twitter:url" content="<?php echo e(url('/')); ?>" />



<meta property="og:description" content="<?php echo e($sitesetting->meta_desc); ?>">

<meta property="og:image" content="<?php echo e($sitesetting->image_url); ?>">

<meta property="og:image:height" content="630">

<meta property="og:image:width" content="1200">

<meta property="og:image:secure_url" content="<?php echo e($sitesetting->image_url); ?>">

<meta property="og:image:type" content="image/jpg">

<meta property="og:title" content="<?php echo e($sitesetting->comp_name); ?>">

<meta property="og:type" content="website">

<meta property="og:url" content="<?php echo e(url('/')); ?>">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagetitle'); ?>

<title><?php echo e($sitesetting->comp_name); ?> | Cancellation Policy</title>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>


<div class="container">
    <h3>Cancellation and Refunds Policy</h3> 
    <br><br>
    <p>Baba travels believes in helping its customers in excellence manner as far as possible and has
        therefore a liberal cancellation policy:</p>

    <ol>
        <li>. The customer agrees and acknowledges that a 30 % cancellation fees of booking amount will
            be charged if the cancellation request is received before 48 hours of scheduled pickup. (Refer
            to point 3 for special cases)</li>
        <li>No cancellations are entertained in any case for those products/Services that the Baba
            travels has obtained on special occasions like Dussehra, Pongal, Diwali, New year, etc. These
            are limited occasion offers and therefore cancellations are not possible.</li>
        <li>Baba travels will not be responsible for any cancellation/delay of service in case of any
            natural calamity, agitation, Strike, or Road Jam/traffic, etc. Hence no refund would be made.</li>
        <li>The customer agrees and acknowledges that no refund shall be processed if the cancellation
            request is received within 48 hours of scheduled pickup.</li>
        <li>Baba travels might change driver & Taxi details prior to boarding the taxi in case of vehicle
            breakdown or other genuine reasons at the Driver’s end. No Cancellation request shall be
            entertained in such cases.</li>
        <li>Baba travels reserves the right to cancel/change the booking of the vehicle at any point in
            time.</li>
            <li>Amount will be refunded within 7 working days.</li>
    </ol>

</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('user.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>